<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

 // TAKE STARTING TIME
 $starttime       = microtime(); 
 $starttime   	 = explode(" ",$starttime); 
 $starttime   	 = $starttime[1] + $starttime[0]; 
 $timescriptstart = $starttime; 

 if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
 $timeparts = explode(" ",microtime());
 $starttime = $timeparts[1].substr($timeparts[0],1); 

 $include_path = dirname(__FILE__); $include_path .= "/";
 include_once ($include_path."./../language/language.inc.php");
 include_once ($include_path."./../includes/global.inc.php");			 
 include_once ($include_path."./../includes/binarystat.inc.php"); 		 		 	 
 include_once ($include_path."./../includes/dbactions.inc.php");
 include_once ($include_path."./../includes/timezone.inc.php");
 include_once ($include_path."./../includes/sessions.inc.php");

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // try to set time limit to 30 minutes before this script will be terminated
 @set_time_limit(30*60); 

 // get total process time
 $time = $_REQUEST['time'];

 // get month and year of data that needs to be archived
 $archivemonth 		= $_REQUEST['archivemonth'];
 $archiveyear  		= $_REQUEST['archiveyear'];

 // get id of archivetable entry
 $id		 		= $_REQUEST['id'];

 // get maximum number of entries per report
 $numofentries 		= $_REQUEST['numofentries'];

 ///////////////////////////////////////////////////////////////////////////////////// 
 // get report for the month to be archived and save data to the table
 ///////////////////////////////////////////////////////////////////////////////////// 
// number of days in this month
 $numofdays = date ("d", mktime(0,0,0,$archivemonth+1,0,$archiveyear));

 // get number of visitors for this month
 $visitors_month_total 	= get_visitors_formonth($archivemonth,$archiveyear,$my_tables->maintable,'ALL');
 $visitors_month_unique = get_visitors_formonth($archivemonth,$archiveyear,$my_tables->maintable,'UNIQUE');

 // get number of lateral (cross) entries for this month
 $lateralentry_thismonth 	= lateral_entry_month($archivemonth,$archiveyear,$my_tables->maintable);

 // get number of number of unique days controlled this month
 $activedays = active_days($archivemonth, $archiveyear, $numofdays, $my_tables->maintable);

 // get busiest visitor-day of month
 $top_day = topday($archivemonth,$archiveyear,$my_tables->maintable, "TOTAL"); // find busiest visitor-day
 $sorted = $top_day;
 $highpos = count($sorted)-1;
 $lowpos = 0;
 $busiestday_total_visitors = $sorted[$highpos]["visitors"]; // save highest visitor number in $highest
 $busiestday_total = $sorted[$highpos]["day"]; // save day of highest visitor number in $theday
 $maxvalue = $highest;
 if ($maxvalue == 0) $maxvalue=1;

 $top_day_unique = topday($archivemonth,$archiveyear,$my_tables->maintable, "UNIQUE"); // find busiest visitor-day
 $sorted_unique = $top_day_unique;
 $highpos_unique = count($sorted_unique)-1;
 $lowpos_unique = 0; 
 $busiestday_unique_visitors = $sorted_unique[$highpos_unique]["visitors"]; // save highest visitor number in $highest
 $busiestday_unique = $sorted_unique[$highpos_unique]["day"]; // save day of highest visitor number in $theday
 $maxvalue_unique = $highest_unique;
 if ($maxvalue_unique == 0) $maxvalue_unique=1;

 // get weakest visitor-day of month
 $weakestday_total_visitors = $sorted[$lowpos]["visitors"];
 $weakestday_total = $sorted[$lowpos]["day"];
 $weakestday_unique_visitors = $sorted[$lowpos]["day"];
 
 // get number of visitors by referer
 $visitors_by_referer = visitors_by_referer(1,$numofdays,$archivemonth,$archiveyear,$my_tables->maintable);

 // get number of visitors by searchengine
 $visitors_by_engine = visitors_by_engine(1,$numofdays,$archivemonth,$archiveyear,$my_tables->maintable);

 // get number of visitors by direct access
 $visitors_by_direct_access = visitors_by_direct_access(1,$numofdays,$archivemonth,$archiveyear,$my_tables->maintable);

 // get busiest weekday
 $busiest_weekday_container = busiestweekday($archivemonth,$archiveyear,$my_tables->maintable, "TOTAL");
 // a. get name of busiest weekday and total number of visits
 foreach ($busiest_weekday_container AS $key=>$value) {$busiest_weekday = $key; @reset($busiest_weekday_container); break;}
 $busiestweekday_totalnumber = max($busiest_weekday_container); 
 // b. get name of weakest weekday and total number of visits
 @array_multisort($busiest_weekday_container, SORT_ASC);
 foreach ($busiest_weekday_container AS $key=>$value) {$weakest_weekday = $key; @reset($busiest_weekday_container); break;}
 $weakest_weekday_totalnumber = min($busiest_weekday_container);

 // read total-visitor-data from database
 $totalvisitors = monthly_overview($numofdays, $archivemonth, $archiveyear, $my_tables->maintable, 'TOTAL');
 // read unique-visitor-data from database
 $uniquevisitors = monthly_overview($numofdays, $archivemonth, $archiveyear, $my_tables->maintable, 'UNIQUE');

 ///////////////////////////////////////////////////////////////////////////////////// 
 // build $text_variables
 ///////////////////////////////////////////////////////////////////////////////////// 
 $text_direct_access 	= $visitors_by_direct_access." (".@round((($visitors_by_direct_access*100)/$visitors_month_total),2)."%)";
 $text_byreferer		= $visitors_by_referer." (".@round((($visitors_by_referer*100)/$visitors_month_total),2)."%)";
 $text_bysearchengine	= $visitors_by_engine." (".@round((($visitors_by_engine*100)/$visitors_month_total),2)."%)";

 // serialize arrays
 $daytotal_container	= serialize($totalvisitors);
 $dayunique_container	= serialize($uniquevisitors);

 ///////////////////////////////////////////////////////////////////////////////////// 
 // save data to database
 $archive_error = FALSE;
 
 $sql = "UPDATE $my_tables->archivetable SET
		 visitstotal      				= '$visitors_month_total',
         visitsunique     				= '$visitors_month_unique',
         lateral_entries				= '$lateralentry_thismonth',
  		 text_directaccess				= '$text_direct_access',
  		 text_byreferer					= '$text_byreferer',
  		 text_bysearchengine			= '$text_bysearchengine',
		 busiest_day					= '$busiestday_total',
		 weakest_day					= '$weakestday_total',
		 busiestday_totalnumber     	= '$busiestday_total_visitors',
 		 weakestday_totalnumber     	= '$weakestday_total_visitors',
	     busiest_weekday				= '$busiest_weekday',
		 weakest_weekday				= '$weakest_weekday',	
 		 busiestweekday_totalnumber    	= '$busiestweekday_totalnumber',
 		 weakestweekday_totalnumber    	= '$weakest_weekday_totalnumber',
 		 daytotal_container    			= '$daytotal_container',
 		 dayunique_container	    	= '$dayunique_container'
         WHERE id = '$id'";

 $result   = mysql_query($sql);
 $db_error = mysql_error(); 

 // calculate total time of this process
 $endtime 		 = microtime(); 
 $endtime 		 = explode(" ",$endtime); 
 $endtime 		 = $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 	 = ($timescriptend - $timescriptstart); 
 $loadtime  	 = round($loadtime,3);
 
 // calculate time of archivation-duration 
 $time += $loadtime;

 // forward to next archive-rotuine
 if ($result)
 {
  // continue with next step
  $target_page = "step_three.php?id=$id&numofentries=$numofentries&time=$time&archivemonth=$archivemonth&archiveyear=$archiveyear";
 }
 else
 {
  // handle DB-error here
  $archive_error = TRUE;
  // delete defect entry from archivtable
  @$result = mysql_query("DELETE FROM $my_tables->archivetable WHERE id = '$id' AND websitename = '$activesitename'");
 }
?>
<HTML>
<HEAD>
<script language="javascript">
function showError()
{
 window.top.frames['contentframe'].document.location.replace("./failure.php?message=<?php echo urlencode($db_error);?>");
}

function doIt()
{
 window.parent.document.images['percentage'].src='./images/12.gif';
 document.location.replace("<?php echo $target_page;?>");
}
</script>
</HEAD>
<BODY onload="
<?php
if (!$archive_error)
 echo "doIt();";
else
  echo "showError();";
?>">
</BODY>
</HTML>