<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.

#English notice:
This code is copyrighted. No copy, modification, distribution, sale or rent 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

function export_to_file($data_container, $maxvalue, $filename, $fileformat, $heading1, $heading2, $heading3)
{
 // include senfile-functions
 include ("sendfile.inc.php");

 // set csv-format
 $field_delimiter 	= ";";
 $quote	   			= "\"";
 $linefeed			= "\r\n";

 // delete file if already exists 
 if (file_exists($filename)) unlink($filename); // delete older file if exists
 
 // create new file
 $fp = fopen($filename, "w");
  
 // write header
 $writeline = $linefeed.$heading1.$field_delimiter.$heading2.$field_delimiter.$heading3.$linefeed;
 fwrite($fp, $writeline);
 unset($writeline);

 // write container to file and use csv-format
 foreach ($data_container AS $key=>$value)
 {
  // calculate percentage
  $calc_percent = round((($value*100)/$maxvalue),2)."%";
  // write key and value to file
  $writeline = $key.$field_delimiter.$value.$field_delimiter.$calc_percent.$linefeed;
  fwrite($fp, $writeline);
  unset($writeline);
  unset($calc_percent);
 }

 // close file
 fclose($fp);

 // send file
 sendfile($filename, $fileformat);
}


///////////////////////////////////////////////////////////////////////////////////////////////////////

function export_table($tablename, $exportformat, $versionnumber, $my_timestamp, $lang, $databasehost, $targetsite, $compression)
{
 // include senfile-functions
 include ("sendfile.inc.php");

 $account_id 	= $_SESSION['account_id'];
 $filename 	= "export/".$account_id."_".$tablename;
 //$filename 	= "./export/".$account_id."_".$tablename;

 // try to increase allowed size for file upload (megabyte)
 @ini_set("upload_max_filesize","100M");
 @ini_set("post_max_size","100M");

 // try to increase allowed execution time (seconds)
 @ini_set ("max_execution_time", "30000"); 

 //////////////////////////////////////////////////////////////////////
 // user wants to export table in sql-format ---> large file!
 //////////////////////////////////////////////////////////////////////

 if ($exportformat == 'sql')
 {
  // get database information
  @$myresult   	  = mysql_query("SELECT VERSION() as version, USER() as user, DATABASE() as dbname");
  @$mysql_user 	  = mysql_result($myresult, 0, 'user');
  @$mysql_version = mysql_result($myresult, 0, 'version');
  @$mysql_dbname  = mysql_result($myresult, 0, 'dbname');
  $phpversion 	  = phpversion(); if ($phpversion == '') $phpversion = $lang['Unknown'];

  // step #1 - save table structure to file
  if (file_exists($filename.".sql")) unlink($filename.".sql"); // delete older file if exists

  // add extension to filename
  $filename .= ".sql";

  // open file for writing
  @$fp = fopen($filename, "wb");

  // get current time
  $current_time = date("D M j G:i:s T Y");

  // write header to file
  fwrite($fp,"# \n");
  fwrite($fp,"# ".$lang['Export_Title']."\n");
  fwrite($fp,"# ".$lang['Version']." $versionnumber\n");
  fwrite($fp,"# ----------------------------------------------------------------------\n");
  fwrite($fp,"# \n");
  fwrite($fp,"# ".$lang['Websitename'].": $targetsite\n");
  fwrite($fp,"# ".$lang['Tablename'].": $tablename\n");
  fwrite($fp,"# ".$lang['Date_of_Creation'].": $current_time\n");
  fwrite($fp,"# ".$lang['Database'].": $mysql_dbname\n");
  fwrite($fp,"# ".$lang['Mysql_Version'].": $mysql_version\n");
  fwrite($fp,"# ".$lang['PHP_Version'].": $phpversion\n");
  fwrite($fp,"# \n");
  fwrite($fp,"# --------------------------------------------------------\n");
  fwrite($fp,"\n");
  fwrite($fp,"\n");

  // step #2 : save table data into file - run through all table rows and fields
  $result = mysql_unbuffered_query("SELECT * FROM $tablename"); 
  
  define("auto_quote",get_magic_quotes_gpc());
  
  // loop through all rows and columns   
  while($row = mysql_fetch_assoc($result))
  { 
   $keys = array_keys($row); 
   $val  = array_values($row); 
   $len  = count($keys); 

   // add line header to sql-line
   $sql_line .= "INSERT INTO ".$tablename." (";   
   /// add fields sql-line
   for($i=0; $i < $len; $i++)
   { 
    $comma = ($i+1 != $len)?",":""; 
    $keys[$i] = (auto_quote == 1)?addslashes($keys[$i]):$keys[$i]; 
    $sql_line .= trim($keys[$i]). $comma; 
   } 
   // add values to sql-line
   $sql_line .= ") VALUES("; 
   for($i=0;$i < $len;$i++)
   { 
    $comma = ($i+1 != $len)?"',":"'"; 
    $val[$i] = (auto_quote == 1)?addslashes($val[$i]):$val[$i]; 
    $sql_line .= "'". trim($val[$i]). $comma; 
   } 
   $sql_line .= ");\n";
  } 
  // write sql-lineto file
  fwrite($fp, $sql_line); 
  // close file
  fclose($fp);

  // compress file if requested
  if ($compression == 'TRUE')
  {
   // Read the file to a variable
   $source_file = fopen($filename, "rb");
   $filename .= ".gz";
   $target_file = fopen($filename, "wb");

   while (!feof($source_file))
   {
    $buffer = fread($source_file, 8192);
    $zipped_data = gzencode($buffer);
    fwrite($target_file, $zipped_data);
    unset($zipped_data);
   }
   
   // Close the file pointer
   fclose($target_file);
   fclose($source_file);
  }

  $table_error = FALSE;
  $shortname = basename($filename);
  $filesize  = filesize($filename); 
  $downloadspot = "./export/$shortname"; 

  // send file to user via download-dialog
  $myformat = "sql";
  if ($compression == 'TRUE') $myformat = "gz";
  
  sendfile($downloadspot,$myformat);
 }
 
 /////////////////////////////////////////////////////////////////////////////////////////////////////////
 // user wants to export table in csv or xls format ---> smaller file!
 /////////////////////////////////////////////////////////////////////////////////////////////////////////

 if ($exportformat == 'csv' || $exportformat == 'xls')
 {
  if (file_exists($filename.".csv")) unlink($filename.".csv"); // delete older file if exists
  if (file_exists($filename.".xls")) unlink($filename.".xls"); // delete older file if exists
   
  if ($exportformat == 'csv') $filename .= ".csv"; else $filename .= ".xls";
 
  // create export-file
  $fp = fopen($filename, "wb");

  // set database query
  $result = mysql_unbuffered_query("SELECT * FROM $tablename");
  $error  = mysql_error();

  // get number of table-fields
  $count = mysql_num_fields($result); 

  // set "create header"-FLAG
  $create_header = TRUE;

  //only create header if set to true
  if ($create_header)
  {
   // start csv export to file by creating a header first
   for ($i = 0; $i < $count; $i++)
   { 
    $header .= mysql_field_name($result, $i);
    if ($i < $count-1) $header .= ","; 
   } 
  
   // append new line to header
   $header .= "\n";
 
   // write header to file
   fwrite($fp, $header);
  } 

  // set counter to 1
  $x = 1;
 
  // loop through all table elements
  while ($arrSelect = mysql_fetch_array($result, MYSQL_ASSOC))
  {
   $elements = count($arrSelect);
   foreach($arrSelect as $current_element)
   {
    $current_element = trim($current_element);
    if ($x < $elements) $current_element .= ",";
    $line .= "$current_element";
    $x++;
   }
   $line .= "\n";
   fwrite($fp, $line);
   unset($line);
   $x=1;
  }

  // close file
  fclose($fp);
  
  // compress file if requested
  if ($compression == 'TRUE')
  {
   // Read the file to a variable
   $source_file = fopen($filename, "rb");
   $filename .= ".gz";
   $target_file = fopen($filename, "wb");

   while (!feof($source_file))
   {
    $buffer = fread($source_file, 8192);
    $zipped_data = gzencode($buffer);
    fwrite($target_file, $zipped_data);
    unset($zipped_data);
   }
   
   // close file pointer
   fclose($target_file);
   fclose($source_file);
  }

  // set file-format (filetype)
  if ($exportformat == 'csv')  $myformat = "csv";
  elseif ($exportformat == 'xls')  $myformat = "xls";
  elseif ($compression  == 'TRUE') $myformat = "gz";

  // send file to user via download-dialog
  $table_error = FALSE;
  $shortname = basename( $filename );
  $filesize = filesize( $filename ); 
  $downloadspot = "./export/$shortname";
  
  sendfile($filename, $myformat);
  exit();
 }
}
?>