<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/


///////////////////////////////////////////////////////////////////////////////
// SEARCH ENGINE DETECTION * START *
///////////////////////////////////////////////////////////////////////////////

function check_searchengine($THE_REFERER, $enginetable, $my_timestamp, $my_engines, $websitename)
{
 // do we have a search engine here and is there something stored in the query?
 // First of all, check if visitor was refered by a search-engine
 // if so, save search-engine's name and the search-query the user entered
 // on the search-engine website
  
 // set global variables
 global $my_tables, $my_db, $my_conn, $my_config, $my_timestamp, $my_robots, $visitor_data, $block_result, $robot_check;

 // do some URL decodings
 $THE_REFERER = urldecode($THE_REFERER);
 $THE_REFERER = utf8_decode($THE_REFERER);

 $stoproutine = 'FALSE';

 // exit routine if referer is directory.google.xxx
 if (eregi('directory.google', $THE_REFERER)) return;
 
 if ($stoproutine == 'FALSE')
 {
  preg_match('!^(([^:/?#]+):)?(//([^/:?#]*)(:(\d+))?)?([^?#]*)(\\?([^#]*))?(#(.*))?!',$THE_REFERER, $matches);
  list(,,$url['scheme'],,$url['host'],,$url['port'],$url['path'],,$url['query'])= $matches; 
  $search_query    = $url['query'];     // the search query
  $engine_path     = $url['path'];      // the path of the referring script
  $engine_name     = $url['host'];      // search engine's name
  $engine_length   = strlen($engine_name);      // stringlength of search-engine name 
  $engine_found    = 'FALSE';

  if ($engine_name == '') $engine_name = 'Unknown';  

  // -----------------------------------------------------------------------------------------------------
  // STEP #1: Get name of searchengine
  // -----------------------------------------------------------------------------------------------------
  $my_buffer = explode("\n", $my_engines);

  foreach($my_buffer AS $currentengine)
  { 
   if($currentengine == '') $currentengine = 'EMPTY';
   if(@substr_count(trim($engine_name), trim($currentengine)) > 0) 
   { 
    if (@eregi('www.', $engine_name))
     $the_engine = substr($engine_name,4,strlen($engine_name));
    else
     $the_engine = $engine_name;
  
   
    if (@eregi("[a-zA-Z]", $the_engine)) 
    {
     if (@eregi("\.com\.", $the_engine) || @eregi("\.co\.", $the_engine)) // referer like google.co.uk?
     {
      // get hostname and TLD out of refererstring
      $temp_engine    = explode (".", $the_engine); 			  // Split refererstring into several packets
      $elemente       = count($temp_engine);				  // Count the number of packets
      // we need the last three elements of the exploded string
      $elementone     = $temp_engine[$elemente-3]; 	  		  // grab the domainname 
      $elementtwo     = $temp_engine[$elemente-2];    		  	  // grab the last element (unreal TLD)
      $elementthree   = $temp_engine[$elemente-1];    	          	  // grab the last element (real TLD)
      $the_engine     = $elementone.$elementtwo.$elementthree;  	  // build the final referer by pasting TLD and hostname together 
      $firstchar      = substr($the_engine,0,1); if ($firstchar == ".") $the_engine = substr($the_engine,1,strlen($the_engine));
     }
    }
   }
   
   // make final changes to searchengine-name  
   if(!@eregi("[a-zA-Z]", $engine_name)) $the_engine = $engine_name;
   if($the_engine == '216.15.219.40')    $the_engine = 'metacrawler.de';
   if($the_engine == '216.248.199.88')   $the_engine = 'bellnet.de';
   if($the_engine == '212.40.165.90')    $the_engine = 'metacrawler.com';
  
   // exit loop if searchengine found
   if ($the_engine != '') { $engine_found = 'TRUE'; break;}
  }

  // ---------------------------------------------------------------------------------
  // Make last changes to name of search engine if needed. In some cases, the name
  // of an engine has to be changed, like below (uni-hannover.de = MetaGer)
  // ---------------------------------------------------------------------------------
   
  if ($the_engine == 'uni-hannover.de') 	   $the_engine = 'metager.de';     
  if ($the_engine == 'mserv.rrzn.uni-hannover.de') $the_engine = 'metager.de';
  if ($the_engine == 'jserv.rrzn.uni-hannover.de') $the_engine = 'metager.de';
    
  // -----------------------------------------------------------------------------------------------------
  // STEP #2: Get searchwords
  // -----------------------------------------------------------------------------------------------------

  // make search-query lowercase
  $search_query = strtolower($search_query);

  // url decode query
  $search_query     = rawurldecode($search_query);
  $search_query     = urldecode($search_query);

  // remove other unwanted chars
  $search_query = eregi_replace('\%', ' ', $search_query);
  $search_query = eregi_replace('\+', ' ', $search_query);
  $search_query = eregi_replace('\,', ' ', $search_query);
  $search_query = eregi_replace('\!', ' ', $search_query);
  $search_query = eregi_replace('\$', ' ', $search_query);
  $search_query = eregi_replace('\?', ' ', $search_query);
  $search_query = eregi_replace("'", "", $search_query );
  $search_query = eregi_replace("\"", "", $search_query );
  $search_query = eregi_replace("[\]", "", $search_query );
  $search_query = eregi_replace('  ', ' ', $search_query );
  $search_query = eregi_replace('   ', ' ', $search_query );
  $search_query = eregi_replace('    ', ' ', $search_query );
  $search_query = eregi_replace('     ', ' ', $search_query );
  $search_query = eregi_replace('      ', ' ', $search_query );
   
  // trim the query 
  $search_query = trim($search_query);


  // check for a typical google image-search URL -> extract searchword(s) from image search
  if (eregi('/images\?q=', $THE_REFERER))
  {
   $partial 	= strstr($THE_REFERER, '=/images?q=');
   $partial 	= substr($partial, 11, strlen($partial));
   $exploded 	= explode('&', $partial);
   $searchwords = $exploded[0];
   $searchwords = eregi_replace('\%', ' ', $searchwords);
   $searchwords = eregi_replace('\+', ' ', $searchwords);
   $searchwords = eregi_replace('\,', ' ', $searchwords);
   $searchwords = eregi_replace('\!', ' ', $searchwords);
  }
  else
  {
   if (empty($search_query)) $search_query = 'Unknown';
   if ($engine_name == '.Unknown') $engine_name = 'Unknown';  
   
   // extract searchwords from query
   $chunks = explode( '&', $search_query);
   foreach ( $chunks as $key => $val )
   {
    @$val = strtolower($val);
    if (strstr( $val, 'q=') || strstr( $val, 'p=') || strstr( $val, 'query=') || strstr( $val, 'qkw=') ||
       strstr( $val, 'searchfor=') || strstr( $val, 'kw=')  || strstr( $val, 'qr=') || strstr( $val, 'mt=') ||
       strstr( $val, 'searchwords=') || strstr( $val, 'general=') || strstr( $val, 'keywords=') || strstr( $val, 'ask=') ||
       strstr( $val, 'string=')  || strstr( $val, 'qt=')  || strstr( $val, 'searchtext=') || strstr( $val, 'su=') || strstr( $val, 'as_q='))
    {
     $tempsearchwords = explode( '=', $val );
    }
   }
  
   // put list of searchwords into variable
   $searchwords = $tempsearchwords[1]; 
  }
  
  if (empty($searchwords) || eregi('cache:', $searchwords )) $searchwords = 'Unknown';

  // -----------------------------------------------------------------------------------------------------
  // STEP #3: Save data to database
  // -----------------------------------------------------------------------------------------------------
  $save_date = $my_timestamp->year.'-'.$my_timestamp->month.'-'.$my_timestamp->day;

  $sql = "INSERT INTO $enginetable (engine_date, engine_name, searchwords, websitename) 
               VALUES('$save_date', '$the_engine', '$searchwords', '$websitename')";
  
  if ($engine_found == 'TRUE')
  { 
   $result = $my_db->query($sql); // save engine information into table 
   @$my_db->free_result($result);
  }
 }
 return $engine_found;   
}

/////////////////////////////////////////////////////////////////////////////////////////////////////////////
// SEARCH ENGINE DETECTION * END *
/////////////////////////////////////////////////////////////////////////////////////////////////////////////
?>