<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

function start_usercount()
{
 // set global variables
 global $my_tables, $my_db, $my_conn, $my_config, $my_timestamp, $my_robots, $visitor_data, 
        $abort_logging, $block_result, $robot_check, $page_short, $page_fullpath,
        $page_referer, $trackname, $trackmode, $websitename, $mode, $numframes;
 

 ###########################################################################################
 ## connect to database, get website configuration, database tablenames, timestamp, etc.
 ###########################################################################################

 @$include_path = dirname(__FILE__); $include_path .= '/';
 include_once ($include_path.'./global.inc.php'); 	// load variables file
 include_once ($include_path.'./binarystat.inc.php'); 	// load configuration file
 include_once ($include_path.'./configdata.inc.php'); 	// load website configuration
 include_once ($include_path.'./timezone.inc.php'); 	// load timezone functions
 include_once ($include_path.'./visitordata.inc.php'); // load visitor-analysis functions

 // set $get_all_data to FALSE because we do not need all visitor information (country, etc.)
 $get_all_data = 'FALSE';

 if (!isset($my_conn))
 {
  $my_db     = new binarystat_db;
  $my_conn   = $my_db->connect();
 }
 if (!isset($my_tables))
 {
  $my_tables = new binarystat_tables;
  $my_tables -> build_tables();
 }
 if (!isset($my_config))
 {
  $my_config = new configdata;
  $my_config -> get_configdata($my_tables->websitestable, $websitename);  
 }
 if (!isset($my_timestamp))
 {
  $my_timestamp = new binarystat_timezone;
  $my_timestamp -> get_timestamp();
 }
 if (!isset($visitor_data))
 {
  // gather information about visitor
  $visitor_data = new visitor_data;
  $visitor_data -> get_visitor_data('FALSE', $my_tables, $my_timestamp, $websitename, $get_all_data);
 }
 
 ###########################################################################################
 ## START OF TIMED-OUT VISITOR DELETION
 ###########################################################################################
 $sql = "DELETE FROM $my_tables->useronlinetable WHERE
         visitor_time  <= DATE_SUB(NOW(),INTERVAL '".$my_config->visitortimeout.":0' MINUTE_SECOND)
         AND websitename='$websitename'";
 @$result = $my_db->query($sql);
 ###########################################################################################

 // is visitor the admin - if so, return from this function
 if (isset($_COOKIE['binarystatmaster']) || $my_config->logging_activated == 'FALSE') return;

 // only execute the following code if visitor isn't the admin and if IP isn't blocked and if visitor is not a robot
 if($block_result == 'FALSE' || empty($block_result))
 { 
  /////////////////////////////////////////////////////////////////////////////////////////////
  // Check if there are any entries in the useronline-table at all for the wanted website
  /////////////////////////////////////////////////////////////////////////////////////////////
  // check if current visitor is already saved in database -> use IP for search
  $sql = "SELECT count(*) AS totalnumber FROM $my_tables->useronlinetable WHERE websitename='$websitename' AND visitor_ip = '$visitor_data->visitor_ip'";
  $result = $my_db->query($sql); @$totalnumber = mysql_result($result,0,0);

  if(empty($totalnumber)) // IP has not been saved in database yet - do it now - if already saved, update time of access
  {
   $sql = "INSERT INTO $my_tables->useronlinetable (visitor_id,visitor_time, visitor_ip, websitename)	
	   VALUES ('$visitor_data->visitor_id','$my_timestamp->now','$visitor_data->visitor_ip','$websitename')";
   @$result = $my_db->query($sql); 
  }
  else
  {
   $sql = "UPDATE $my_tables->useronlinetable SET visitor_time = '$my_timestamp->now' WHERE visitor_ip = '$visitor_data->visitor_id'";	
   @$result = $my_db->query($sql); 
  }
  //////////////////////////////////////////////////////////////////////////////////
  // Now check how many users are online at the same time and if we hit a new record
  //////////////////////////////////////////////////////////////////////////////////
  @$sql = "SELECT count(*) AS totalnumber FROM $my_tables->useronlinetable WHERE websitename = '$websitename'";
  @$result = $my_db->query($sql); @$totalonline = mysql_result($result,0,0); 
  // Check if there are any entries in the toplisttable at all
  @$sql_cached = "SELECT SQL_CACHE count(*) AS totalnumber FROM $my_tables->toplisttable WHERE websitename='$websitename'";
  @$result = $my_db->query($sql_cached); @$totalentries = mysql_result($result,0,0); 
   
  if (empty($totalentries))
  {
   @$sql_uncached = "SELECT count(*) AS totalnumber FROM $my_tables->toplisttable WHERE websitename='$websitename'";
   @$result = $my_db->query($sql_uncached); @$totalentries = mysql_result($result,0,0); 
  }
  if (empty($totalentries)) // toplisttable is empty - save 1 visitor now
  {
   $sql = "INSERT INTO $my_tables->toplisttable (maxvisitoronline, maxvisitorday,minvisitoronline,
 			    minvisitorday,websitename) VALUES ('1','$my_timestamp->now','1','$my_timestamp->now','$websitename')";
   @$result = $my_db->query($sql);
  }
  else  // toplisttable ist NOT empty
  {
   // read old useronline record value first
   $sql = "SELECT SQL_CACHE maxvisitoronline,minvisitoronline FROM $my_tables->toplisttable WHERE websitename='$websitename'";
   @$result = $my_db->query($sql);
   if (!$result)
   {
    $sql = "SELECT maxvisitoronline,minvisitoronline FROM $my_tables->toplisttable WHERE websitename='$websitename'";
    @$result = $my_db->query($sql);
   }   

   @$onlinerecord  = mysql_result($result, 0, 'maxvisitoronline'); // the current online visitor record 
   @$onlineflop    = mysql_result($result, 0, 'minvisitoronline'); // the current worst online visitor record 

   if ($totalonline > $onlinerecord) // do we have a new record? Ifo so, update the table
   {
    $sql = "UPDATE $my_tables->toplisttable SET maxvisitoronline = '$totalonline', maxvisitorday = '$my_timestamp->now'
	    WHERE websitename='$websitename'";
    @$result = $my_db->query($sql);
   }
  }
 }
}
?>
