CREATE TABLE archivetable (
  `id` int(11) NOT NULL auto_increment,
  `account_id` mediumint(9) default NULL,
  `websitename` varchar(80) default NULL,
  `archive_month` mediumint(9) default NULL,
  `archive_year` mediumint(9) default NULL,
  `numofdays` tinyint(4) default NULL,
  `visitstotal` int(11) default NULL,
  `visitsunique` int(11) default NULL,
  `lateral_entries` longtext NOT NULL,
  `text_directaccess` longtext NOT NULL,
  `text_byreferer` longtext NOT NULL,
  `text_bysearchengine` longtext NOT NULL,
  `busiest_day` tinyint(4) default NULL,
  `weakest_day` tinyint(4) default NULL,
  `busiestday_totalnumber` int(11) default NULL,
  `weakestday_totalnumber` int(11) default NULL,
  `busiest_weekday` varchar(15) default NULL,
  `weakest_weekday` varchar(15) default NULL,
  `busiestweekday_totalnumber` int(11) default NULL,
  `weakestweekday_totalnumber` int(11) default NULL,
  `dayunique_container` longtext,
  `daytotal_container` longtext,
  `refererbycountry_container` longtext,
  `refererbycountry_total` mediumint(9) default NULL,
  `refererbydomain_container` longtext,
  `refererbydomain_total` mediumint(9) default NULL,
  `refererbywebpage_container` longtext,
  `refererbywebpage_total` mediumint(9) default NULL,
  `searchengine_container` longtext,
  `searchenginestotal` mediumint(9) default NULL,
  `searchquery_container` longtext,
  `searchqueriestotal` mediumint(9) default NULL,
  `searchword_container` longtext,
  `searchwordstotal` mediumint(9) default NULL,
  `bot_container` longtext,
  `botstotal` mediumint(9) default NULL,
  `leveldomain_container` longtext,
  `leveldomainstotal` mediumint(9) default NULL,
  `hostname_container` longtext,
  `hostnamestotal` mediumint(9) default NULL,
  `country_container` longtext,
  `countriestotal` mediumint(9) default NULL,
  `language_container` longtext,
  `languagestotal` mediumint(9) default NULL,
  `systembytype_container` longtext,
  `systemsbytypetotal` mediumint(9) default NULL,
  `systembyversion_container` longtext,
  `systemsbyversiontotal` mediumint(9) default NULL,
  `browserbytype_container` longtext,
  `browserbytypetotal` mediumint(9) default NULL,
  `browserbyversion_container` longtext,
  `browserbyversiontotal` mediumint(9) default NULL,
  `plugin_container` longtext,
  `pluginstotal` mediumint(9) default NULL,
  `resolution_container` longtext,
  `resolutionstotal` mediumint(9) default NULL,
  `colordepth_container` longtext,
  `colordepthstotal` mediumint(9) default NULL,
  `trackingpage_container` longtext,
  `trackingpagestotal` mediumint(9) default NULL,
  `indexpage_container` longtext,
  `indexpagestotal` mediumint(9) default NULL,
  `entrypage_container` longtext,
  `entrypagestotal` mediumint(9) default NULL,
  `exitpage_container` longtext,
  `exitpagestotal` mediumint(9) default NULL,
  `speed_container` longtext,
  `speedstotal` mediumint(9) default NULL,
  `loyality_container` longtext,
  `loyalitytotal` mediumint(9) default NULL,
  `frequency_container` longtext,
  `frequencytotal` mediumint(9) default NULL,
  `timespent_container` longtext,
  `timespenttotal` mediumint(9) default NULL,
  `transfer_container` longtext,
  `transfertotal` float default NULL,
  `impression_container` longtext,
  `impressionstotal` int(11) default NULL,
  `campaign_container` longtext,
  `campaignstotal` int(11) default NULL,
  `campaigndetails` longtext,
  `download_container` longtext,
  `downloadstotal` mediumint(9) default NULL,
  `downloadoverview` longtext,
  `secondsspenttotal` int(11) default NULL,
  `timespentpervisitor` varchar(10) default NULL,
  `activedays` tinyint(4) default NULL,
  KEY `id` (`id`),
  KEY `archive_month` (`archive_month`),
  KEY `archive_year` (`archive_year`)
) TYPE=MyISAM;