<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen. Jede unauthorisierte
Nutzung dieser Software ohne gltigen Lizenzschlssel ist ein Versto gegen die
Lizenzvereinbarungen und wird zivil- und strafrechtlich verfolgt.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
Any unauthorized use of this software without a valid license key is a violation 
of the license agreement and will be prosecuted by civil and criminal law.
---------------------------------------------------------------------------------
*/

###################################### START OF ROUTINE ######################################

function start_logging()
{ 
 // TAKE STARTING TIME
 $starttime       = microtime(); 
 $starttime   	  = explode(" ",$starttime); 
 $starttime   	  = $starttime[1] + $starttime[0]; 
 $timescriptstart = $starttime; 
 $timeparts 	  = explode(" ",microtime());
 $starttime 	  = $timeparts[1].substr($timeparts[0],1);
  
 // set global variables
 global $my_tables, $my_db, $my_conn, $my_config, $my_timestamp, $my_robots, $visitor_data, 
        $abort_logging, $block_result, $robot_check, $page_short, $page_fullpath,
        $page_referer, $trackname, $trackmode, $websitename, $mode, $numframes,
        $visitor_resolution, $visitor_colordepth, $visitor_cookies, $visitor_java, 
        $visitor_realplayer, $visitor_shockwave, $visitor_acrobat, $visitor_quicktime, 
        $visitor_flash, $visitor_svg, $visitor_mediaplayer, $visitor_id;
    
 // check if $page_referer is set -> if so, save value to $_SERVER
 if (!empty($page_referer)) $_SERVER['HTTP_REFERER'] = $page_referer;

 ####################################################################################################
 ## if visitor is moving within webpage to be logged, stop logging and return from this routine 
 ####################################################################################################
 if (!empty($page_referer) && $numframes == 0)
 { 
  $lowered_websitename  = strtolower($websitename);
  preg_match('!^(([^:/?#]+):)?(//([^/:?#]*)(:(\d+))?)?([^?#]*)(\\?([^#]*))?(#(.*))?!',$page_referer, $matches);
  list(,,$url['scheme'],,$url['host'],,$url['port'],$url['path'],,$url['query'])= $matches;
  if (@substr_count($url['host'], $lowered_websitename) > 0 && $mode != 'NOSCRIPT') {$abort_logging = TRUE; return;}
 }
 ####################################################################################################

 // remove malicious code from $websitename if someone tries to hack the database
 $malicious_array = array(' ','delete ', 'drop ', 'update ', 'select ', 'set ', 'where ');
 for ($x=0;$x<count($malicious_array);$x++)
 {
  if(@substr_count(strtolower($websitename),$malicious_array[$x])>0)
  { $abort_logging = TRUE; return;}
 }

 // include routines
 @$include_path = dirname(__FILE__); $include_path .= '/';
 include_once ($include_path.'./includes/global.inc.php'); 	// load variables file
 include_once ($include_path.'./includes/binarystat.inc.php'); 	// load configuration file
 include_once ($include_path.'./includes/configdata.inc.php'); 	// load website configuration
 include_once ($include_path.'./includes/timezone.inc.php'); 	// load timezone functions
 include_once ($include_path.'./includes/visitordata.inc.php'); // load visitor-analysis functions

 // set some variables
 $UNIQUE     = 'TRUE';       // set type of visitor to unique 
 $MUST_WAIT  = 2;            // number of seconds that have to pass before visitor gets logged again
 $adclick    = 'FALSE';      // if visitor came to the website by clicking on an ad/banner/etc.
 $diff 	     = 0;
 $seconds    = 0;
 $lastvisit  = 'NOTCHECKED';

 // connect to database, get website configuration, database tablenames, timestamp, etc.
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 $my_config   = new configdata;
 $my_config -> get_configdata($my_tables->websitestable, $websitename);  

 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp(); $tval = $my_timestamp->timestamp;

 ####################################################################################################
 ## media tracker: check if visitor has been refered by a banner, ad-text, etc.
 ####################################################################################################

 // parse referer if one is set
 if (!empty($page_fullpath))
 {
  $parsed_fullpath = parse_url($page_fullpath);
  $url_query	   = $parsed_fullpath['query'];
 }

 // only continue if mediatracker is activated and URL-query is not empty
 if ($my_config->mediatracker == 'ACTIVE' && !empty($url_query))
 { 
  // explode URL-query into packets and save them to array
  if (@substr_count($url_query, '&')>0)
   $exploded_query   = explode('&', $url_query);
  else
   $exploded_query[] = $url_query;
  
  // try to find campaign-ID in database that matches the URL-query
  $endloop = FALSE;
  $sql     = "SELECT id, idstring, campaign_category, campaign_name 
              FROM $my_tables->campaignmanagertable WHERE websitename = '$websitename'";
  
  @$result  = $my_db->query($sql);

  // loop trough all entries in campaignmanager-table
  while($my_object = mysql_fetch_object($result))
  {
   // check if idstring matches something in URL-query
   foreach($exploded_query as $haystack)
   {
    if (@substr_count($haystack, $my_object->idstring)>0) // match found?
    {
     // we have found a match (someone clicked on a banner, ad-text, etc.), so save it to database
     // get information about visitor (if not already available)
     if (!isset($visitor_data))
     {
      $visitor_data = new visitor_data;
      $visitor_data -> get_visitor_data($my_config->gethostname, $my_tables, $my_timestamp, $websitename);
     } 
   
     $sql = "INSERT INTO $my_tables->campaigntable (campaign_id,campaign_name,campaign_category,campaign_clickdate,
     	     campaign_refererpage,campaign_visitorip,campaign_visitorid,campaign_visitorcountry,websitename) 
     	     VALUES ('$my_object->id','$my_object->campaign_name','$my_object->campaign_category','$my_timestamp->now',
     	     '$page_referer','$visitor_data->visitor_ip','$visitor_id','$visitor_data->visitor_countrytoken','$websitename')";
                 
     // execute sql-query
     @$result = $my_db->query($sql);

     // increase total number of clicks for this campaing
     $sql = "UPDATE $my_tables->campaignmanagertable SET clicks = clicks+1 WHERE campaign_name = '$my_object->campaign_name'
             AND websitename = '$websitename'";
 
     // execute sql-query
     @$result = $my_db->query($sql);   

     // set flag that visitor came to the website by clicking on an ad/banner/etc.
     $adclick    = 'TRUE'; 
          
     // set flag to TRUE so we can exit from while-loop
     $endloop = TRUE;
     
     // break from current foreach-loop, because ID-string was found -> no need to look further
     break;
    } 
   }
   // check if we need to break from loop
   if ($endloop) break;
  }
 }  
  
 ####################################################################################################
 ## get name of requested page (entry page) 
 ####################################################################################################

 // make backup of path information
 $fullpath_backup = $page_fullpath;

 // parse url of page that has been requested
 $req_page = parse_url($fullpath_backup);
 
 // if name of page is empty, save name as configured in setup ($my_config->indexpage)
 if ($req_page['path'] == '/' || $req_page['path'] == '/.') 
  $req_page['path'] = $my_config->indexpage;

 ####################################################################################################
          
 // -----------------------------------------------------------------------------------------------------
 // check if admin is the visitor or if logging is disabled or if securitykey is false --> return
 // -----------------------------------------------------------------------------------------------------
 if (isset($_COOKIE['binarystatmaster']) || $my_config->logging_activated == 'FALSE'){ $abort_logging = TRUE; return;}
  
 // -----------------------------------------------------------------------------------------------------
 // read visior ID from cookie if available
 // -----------------------------------------------------------------------------------------------------
 if (!empty($visitor_id))
 {
  // -----------------------------------------------------------------------------------------------------
  // check last visit to website of this visitor
  // -----------------------------------------------------------------------------------------------------

  $sql = "SELECT MAX(UNIX_TIMESTAMP(visitor_timestamp)) FROM $my_tables->maintable 
 	  WHERE visitor_id  = '$visitor_id' AND websitename = '$websitename'";
 
  @$result = $my_db->query($sql);
  @$time_lastvisit   = mysql_result($result,0,0); 

  // did the current visitor already visit the website? How much time passed since last visit?
  if (!empty($time_lastvisit))
  { 
   $day_lastvisit 	= strftime( "%d",$time_lastvisit);     	 	// number of day the visitor visited last time
   $hour_lastvisit 	= strftime( "%H",$time_lastvisit);     	 	// hour the visitor visited last time
   $minute_lastvisit 	= strftime( "%M",$time_lastvisit); 	 	// minute the visitor visited last time
   $second_lastvisit 	= strftime( "%S",$time_lastvisit); 	 	// second the visitor visited last time
   $day_today     	= strftime( "%d",$my_timestamp->timestamp); 	// timestamp for today

   $diff 	= $my_timestamp->timestamp - $time_lastvisit;
   $days 	= ($diff - ($diff % 86400)) / 86400;
   $diff 	= $diff - ($days * 86400);
   $hours 	= ($diff - ($diff % 3600)) / 3600;
   $diff 	= $diff - ($hours * 3600);
   $minutes 	= ($diff - ($diff % 60)) / 60;
   $diff 	= $diff - ($minutes * 60);
   $seconds 	= ($diff - ($diff % 1)) / 1;

   // check if visitor is unique or not
   if ($minutes <= $my_config->uniqueblocking) $UNIQUE  = 'FALSE';  // set if visitor is unique 
   if ($minutes > $my_config->uniqueblocking || days >=1 || $day_lastvisit != $day_today) $UNIQUE  = 'TRUE';   

  // check if visitor is within blocking-time -> if so, return from this routine
  if ($minutes < $my_config->reloadblocking && $my_config->reloadblocking != 0) {$abort_logging = TRUE; return;}
  if ($seconds <= $MUST_WAIT) {$abort_logging = TRUE; return;}

  // if routine does not need to be stopped, set flag
  $lastvisit = 'CHECKED';
  }
 }

 // logging routine was not ended by check above, so continue...
 include_once ($include_path.'./includes/emailnotify.inc.php'); 	// load emailnotify functions
 include_once ($include_path.'./includes/getsearchengine.inc.php');	// load searchengine functions
 include_once ($include_path.'./includes/blacklist.inc.php'); 		// load blacklist function

 // gather information about visitor
 if (!isset($visitor_data))
 {
  $visitor_data = new visitor_data;
  $visitor_data -> get_visitor_data($my_config->gethostname, $my_tables, $my_timestamp, $websitename);
 }
 
 // check if $visitor_id is available -> if so, save it to $visitor_data
 if (!empty($visitor_id)) $visitor_data->visitor_id = $visitor_id;

 // check last visit to website of this visitor if not already done yet (see code above)
 if ($lastvisit != 'CHECKED')
 {
  $sql = "SELECT MAX(UNIX_TIMESTAMP(visitor_timestamp)) FROM $my_tables->maintable 
          WHERE visitor_ip  = '$visitor_data->visitor_ip' AND websitename = '$websitename'";

  @$result = $my_db->query($sql);
  @$time_lastvisit = mysql_result($result,0,0); 

  if (!empty($time_lastvisit))
  {
   // did the current visitor already visit the website? How much time passed since last visit?
   $day_lastvisit 	= strftime( "%d",$time_lastvisit);     	 	// number of day the visitor visited last time
   $hour_lastvisit 	= strftime( "%H",$time_lastvisit);     	 	// hour the visitor visited last time
   $minute_lastvisit 	= strftime( "%M",$time_lastvisit); 	 	// minute the visitor visited last time
   $second_lastvisit 	= strftime( "%S",$time_lastvisit); 	 	// second the visitor visited last time
   $day_today     	= strftime( "%d",$my_timestamp->timestamp); 	// timestamp for today

   $diff 	= $my_timestamp->timestamp - $time_lastvisit;
   $days 	= ($diff - ($diff % 86400)) / 86400;
   $diff 	= $diff - ($days * 86400);
   $hours 	= ($diff - ($diff % 3600)) / 3600;
   $diff 	= $diff - ($hours * 3600);
   $minutes 	= ($diff - ($diff % 60)) / 60;
   $diff 	= $diff - ($minutes * 60);
   $seconds 	= ($diff - ($diff % 1)) / 1;
 
   // ---------------------------------------------------------------------------------------
   // #1: check if logit()-option "ONCE" is used. If minutes that passed since last visit 
   // is smaller than the reloadblockingtime-value, return from this routine. 
   // ---------------------------------------------------------------------------------------
   // #2:check if last saved entry is the same visitor as the current one
   // If only 4 seconds passed since the first one was saved into database, this time
   // the visitor will not be saved. Prevents multiple logging of page reloads.
   // --------------------------------------------------------------------------------------- 

   // check if visitor is within blocking-time -> if so, return from this routine
   if ($minutes < $my_config->reloadblocking && $my_config->reloadblocking != 0) {$abort_logging = TRUE; return;}
   if ($seconds <= $MUST_WAIT) {$abort_logging = TRUE; return;} 
  
   // now check if visitor is unique or not -> set $UNIQUE variable
   if ($minutes <= $my_config->uniqueblocking) $UNIQUE  = 'FALSE';  // set if visitor is unique 
   if ($minutes > $my_config->uniqueblocking || days >=1 || $day_lastvisit != $day_today) $UNIQUE  = 'TRUE';   
  }
 }

 // delete any referer information if $page_referer is empty
 if (empty($page_referer))
 {
  $visitor_data ->visitor_referertype 	= 'Direct Access';
  $visitor_data ->visitor_refererdomain	= 'None';
  $visitor_data ->visitor_refererpage 	= 'None';
 }

 ############################## GET NAME OF REQUESTED PAGE ##############################
 
 // check if $trackmode and $trackname is set -> if so, set name of requested page
 if ($trackmode == 'STATIC' && !empty($trackname))
 {
  $visitor_data->visitor_requestedpage = $trackname;
 }
 // no pagename has been set by $trackmod/$trackname
 else
 {
  if (!empty($req_page['path']))
  {
   if (empty($my_config->indexpage)) $my_config->indexpage = 'Unknown';
   
   // did robot/spider request index-page? 
   if (@substr_count($req_page['path'], $my_config->indexpage)>0)
   {
    $visitor_data->visitor_requestedpage = $my_config->indexpage;
   }
   // dynamic name for index-page has not been set -> detect it!
   else
   {
    // parse url and save query to variable (if available)
    @$parsed_url = parse_url($requested_page);
    $query      = $parsed_url['query']; 

    // split up query elements if there are any at all
    if (!empty($query))
    {
     // check if there is only a single query element or if there are more 
     if (@substr_count($query, '&') < 1) $uri_elements[] = $query;
      else @$uri_elements = explode('&', $query);

     // set flag to false
     $name_found = FALSE;
 
     // look at trackingmanager table and find a name of requested page (if availabe)
     foreach ($uri_elements AS $current_element)
     { 
      $current_element = trim($current_element);
      $sql = "SELECT fieldtype, realname FROM $my_tables->dynamictable WHERE idstring = '$current_element' AND websitename = '$websitename'";
      @$result = $my_db->query($sql);
      if($result)
      { 
       $name_found = TRUE;
       @$my_array  = mysql_fetch_assoc($result); 
       $realname  = $my_array['realname']; 
       $fieldtype = $my_array['fieldtype']; 

       if ($fieldtype == 'ELEMENT') $element = $realname;
        elseif ($fieldtype == 'CATEGORY') $category = $realname;
   
       // explode current element and check if it equals the $extra-variable
       $exploded_elements = explode('=', $current_element);
       if (trim($exploded_elements[0]) == trim($extra))
       {
        $extra_value = $exploded_elements[1];
       }
       else $extra_value = '';

       // create final "realname" for tracked page
       $requested_page = $category; if (!emptqy($element)) $requested_page .= ' '.$element;
      
       // if $extra_value is set, append it to pagename
       if (!empty($extra_value)) $requested_page .= '  '.$extra_value;
    
       // cleanup webpage name and hand over variable -> if name is empty, give it name of $raw_requested (see above)
       $visitor_data->visitor_requestedpage = trim($requested_page); 
         
       // break from loop 
       break;
      }
     } 
    }
    // no uri elements found -> save original pagename as requested page (incl. query if set)
    else
    {
     // check if a $requested_page or $page_fullpath variable is set
     $visitor_data->visitor_requestedpage = $req_page['path'];
 
     // add query to requested page if set
     if (!empty($req_page['query'])) $visitor_data->visitor_requestedpage .= '?'.$req_page['query'];
 
     // check if first char if requested page contains "/"
     if ($visitor_data->visitor_requestedpage{0}!= '/')
      $visitor_data->visitor_requestedpage = '/'.$visitor_data->visitor_requestedpage;  	
    }
   }
  }
 }

 // include infile.inc.php
 @$handle = fopen('./includes/infile.inc.php','r'); if (!$handle) exit;
 $dat = fread($handle, 1024); if (empty($dat)||strlen($dat)<17) exit; else {$exp=explode(':',$dat);$infile=$exp[1];}
 $cval = $tval-$infile; $ddiff=($cval - ($cval % 86400)) / 86400; if($ddiff>14)exit;
 @fclose($handle);

 // make final check and see if pagename is empty -> if so, set its name to index page
 if ($visitor_data->visitor_requestedpage == '/' || $visitor_data->visitor_requestedpage == './' || empty($visitor_data->visitor_requestedpage))
 {
  $visitor_data->visitor_requestedpage = $req_page['path'];
 
  // add query to requested page if set
  if (!empty($req_page['query'])) $visitor_data->visitor_requestedpage .= '?'.$req_page['query'];
 
  // check if first char if requested page contains "/"
  if ($visitor_data->visitor_requestedpage{0}!= '/')
   $visitor_data->visitor_requestedpage = '/'.$visitor_data->visitor_requestedpage;  	
 }
 
 ###################################################################################################################
 ## check if statistic-email needs to be send to admin / cronjob imitation
 ###################################################################################################################
 if ($my_config->emaillist_active == 'TRUE') emailnotify($my_tables, $my_config, $my_timestamp, $websitename);

 ###################################################################################################################
 ## check IP/Hostname/Browsertamp-blocking and return from this routine if found in blacklist
 ###################################################################################################################
 $block_result = checkblacklist($visitor_data->visitor_ip, $visitor_data->visitor_hostname, $visitor_data->visitor_browserstamp, $my_config->blacklist, $my_config->blacklist_active);
 if ($block_result == 'TRUE') {$abort_logging = TRUE; return;}

 // check if visitor was refered by search engine	 
 if ($visitor_data->visitor_referertype != 'Direct Access')	
 {
  $sql_cached   = "SELECT SQL_CACHE searchengines FROM $my_tables->identifytable";
  $sql_uncached = "SELECT searchengines FROM $my_tables->identifytable";
  @$result = $my_db->query($sql_cached);
  if (!$result)  @$result = $my_db->query($sql_uncached);
  @$my_engines = mysql_result($result,0,'searchengines');
 	
  $engine_used = check_searchengine($visitor_data->visitor_refererpage, $my_tables->enginetable, $my_timestamp, $my_engines, $websitename); 
  if ($engine_used == 'TRUE') $visitor_data->visitor_referertype = "Searchengine";
 }

 ###################################################################################################################
 ## save main visitor-data to database
 ###################################################################################################################
 $sql = "INSERT INTO $my_tables->maintable(visitor_id,visitor_type,visitor_language, hostnameresolved,
			      visitor_timestamp, visitor_date, visitor_ip, visitor_tld, visitor_country, 
			      visitor_browserfull, visitor_hostname, visitor_hostnameshort,visitor_referertype,visitor_refererpage, visitor_system, unique_visit,
			      browserstamp, requested_page, proxyinfo, visitor_resolution, visitor_colordepth, adclick, websitename) 
 			      VALUES(
 		 	      '$visitor_id','$visitor_data->visitor_browsertype','$visitor_data->visitor_language',
 		 	      '$visitor_data->hostnameresolved','$my_timestamp->now','$my_timestamp->now','$visitor_data->visitor_ip',
 		 	      '$visitor_data->visitor_tld', '$visitor_data->visitor_countrytoken',
 		 	      '$visitor_data->visitor_browserfull','$visitor_data->visitor_hostname','$visitor_data->visitor_hostnameshort',
 		 	      '$visitor_data->visitor_referertype','$visitor_data->visitor_refererpage','$visitor_data->visitor_system', '$UNIQUE',
 			      '$visitor_data->visitor_browserstamp', '$visitor_data->visitor_requestedpage', 
 			      '$visitor_data->visitor_proxy','$visitor_resolution','$visitor_colordepth','$adclick','$websitename')";

 @$result = $my_db->query($sql);

 ###################################################################################################################
 ## save referer-information to database (searchengines, links on other pages, etc.)
 ###################################################################################################################
 if ($visitor_data->visitor_refererpage != 'None')
 {
  $sql = "INSERT INTO $my_tables->referertable(visitor_date,visitor_id,visitor_refererpage,visitor_referertype,
 	  visitor_refererdomain, visitor_referercountry,websitename) VALUES ('$my_timestamp->now', '$visitor_id', '$visitor_data->visitor_refererpage',
 	  '$visitor_data->visitor_referertype', '$visitor_data->visitor_refererdomain', '$visitor_data->visitor_referercountry','$websitename')";
     
  @$result = $my_db->query($sql);
 }
 
 ###################################################################################################################
 ## save other important information to database -> plugins, colordepth, etc.
 ###################################################################################################################

 // create sql-query  
 $sql = "INSERT INTO $my_tables->plugintable(visitor_id, 	 
     	 visitor_date,javaenabled,cookiesenabled,flashenabled,quicktimeenabled,acrobatenabled,
	 shockwaveenabled,svgenabled,realplayerenabled,mediaplayerenabled,websitename)
      	 VALUES('$visitor_id', '$my_timestamp->now', '$visitor_java', '$visitor_cookies', '$visitor_flash',
      	 '$visitor_quicktime', '$visitor_acrobat', '$visitor_shockwave', '$visitor_svg',
      	 '$visitor_realplayer', '$visitor_mediaplayer', '$websitename')";

 // send query to database
 @$result = $my_db->query($sql);

 //////////////////////////////////////////////////////////////////////////////////////////////////
 // VISITOR IS UNIQUE?
 //////////////////////////////////////////////////////////////////////////////////////////////////
 if ($UNIQUE == 'TRUE')
 {
  // check if there is an entry in countertable for current month
  $result = mysql_result(mysql_query("SELECT uniquevisits FROM $my_tables->countertable WHERE websitename = '$websitename'"),0,0);
  if (!$result)
  {
   @$sql = "INSERT INTO $my_tables->countertable (uniquevisits,totalvisits,impressions,downloads,beginofcount,websitename) VALUES('1','1','0','0','$my_timestamp->now','$websitename')";
   @$result = $my_db->query($sql);
  }
  else
  {
   // add this visit as unique to counter-table
   @$sql = "UPDATE $my_tables->countertable SET uniquevisits = uniquevisits+1, totalvisits = totalvisits+1 WHERE websitename = '$websitename'";
   @$result = $my_db->query($sql);
  }

  //////////////////////////////////////////////////////////////////////////////////////////////////
  
  // check if there is an entry in visitortable for current month
  $result = mysql_result(mysql_query("SELECT totalvisits FROM $my_tables->visitortable WHERE visitor_month = '$my_timestamp->month' AND visitor_year = '$my_timestamp->year' AND websitename = '$websitename'"),0,0);
  // entry in table for month does not exist, create one
  if (!$result)
  {
   @$sql = "INSERT INTO $my_tables->visitortable (uniquevisits,totalvisits,visitor_month,visitor_year,websitename) 
      	     	          VALUES('1','1','$my_timestamp->month','$my_timestamp->year','$websitename')";
   @$result = $my_db->query($sql);
  }
  else
  {
   @$sql = "UPDATE $my_tables->visitortable SET uniquevisits = uniquevisits+1, totalvisits = totalvisits+1
  	    WHERE visitor_month = '$my_timestamp->month'
     	    AND visitor_year  = '$my_timestamp->year'
   	    AND websitename = '$websitename'";
   @$result = $my_db->query($sql);
  }
 }
 
 //////////////////////////////////////////////////////////////////////////////////////////////////
 // VISITOR IS NOT UNIUQE
 //////////////////////////////////////////////////////////////////////////////////////////////////
 else
 { 
  // check if there is an entry in countertable for current month
  $result = mysql_result(mysql_query("SELECT uniquevisits FROM $my_tables->countertable WHERE websitename = '$websitename'"),0,0);
  if (!$result)
  {
   @$sql = "INSERT INTO $my_tables->countertable (uniquevisits,totalvisits,impressions,downloads,beginofcount,websitename) VALUES('1','1','0','0','$my_timestamp->now','$websitename')";
   @$result = $my_db->query($sql);
  }
  else
  {
   @$sql = "UPDATE $my_tables->countertable SET totalvisits = totalvisits+1 WHERE websitename = '$websitename'";
   @$result = $my_db->query($sql); 
  }

  //////////////////////////////////////////////////////////////////////////////////////////////////
   
  // check if there is an entry in visitortable for corrent month
  @$result = mysql_result(mysql_query("SELECT totalvisits FROM $my_tables->visitortable WHERE visitor_month = '$my_timestamp->month' AND visitor_year = '$my_timestamp->year' AND websitename = '$websitename'"),0,0);

  // entry in table for month does not exist, create one
  if (!$result)
  {
   @$sql = "INSERT INTO $my_tables->visitortable (uniquevisits,totalvisits,visitor_month,visitor_year,websitename) 
      	     	          VALUES('1','1','$my_timestamp->month','$my_timestamp->year','$websitename')";
   @$result = $my_db->query($sql);
  }
  else
  // entry exists, just update the table
  {  
   @$sql = "UPDATE $my_tables->visitortable SET totalvisits = totalvisits+1
     			    	  WHERE visitor_month = '$my_timestamp->month'
     			    	  AND visitor_year  = '$my_timestamp->year'
   			    	  AND websitename = '$websitename'";
   @$result = $my_db->query($sql);
  } 
 }

 ###################################################################################################################

 // CALCULATE TOTAL TIME IT TOOK TO FINISH THIS ROUTINE
 $endtime 	= microtime(); 
 $endtime 	= explode(" ",$endtime); 
 $endtime 	= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 	= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
}
###################################### END OF ROUTINE ######################################
?>