<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/
 
 // enable compression if available
 if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression

 // set global variables
 global $my_tables, $my_db, $my_conn, $my_config, $my_timestamp, $my_robots, $visitor_data, $block_result, $robot_check;

 @$include_path = dirname(__FILE__); $include_path .= "/";
 include_once ($include_path."./language/language.inc.php"); 		 // load language file 
 include_once ($include_path."./includes/global.inc.php"); 		 // load global variables
 include_once ($include_path."./includes/binarystat.inc.php");  	 // load db-connector 
 include_once ($include_path."./includes/getsystem.inc.php"); 		 // load browserdetection functions
 include_once ($include_path."./includes/dbactions.inc.php"); 		 // load database functions
 include_once ($include_path."./includes/timezone.inc.php"); 		 // load timezone functions
 include_once ($include_path."./includes/sessions.inc.php"); 	  	 // load session functions
 include_once ($include_path."./includes/configdata.inc.php"); 	 	 // load website-configuration
 include_once ($include_path."./includes/timeconverter.inc.php"); 	 // load date/time-converter
 include_once ($include_path."./includes/hidefunctions.inc.php"); 	 // load hiding-functions
 include_once ($include_path."./includes/deletevisitor.inc.php"); 	 // load delete-functions
 include_once ($include_path."./chart/chart.inc.php"); 			 // load chart functions
  
 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db = new binarystat_db;
 $my_conn = $my_db->connect();

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // check if user is logged in or not
 if ($my_session->logged_in == 'FALSE') { header("Location: login/loginfirstmessage.php"); exit();} 
 
 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // read active websitename from session
 $activesitename = $_SESSION['activesite'];

 // get configuration data 
 $my_config   = new configdata;
 $my_config -> get_configdata($my_tables->websitestable, $activesitename, $my_tables->accounttable, $my_session->account_id);

 // TAKE STARTING TIME
 $starttime 		 = microtime(); 
 $starttime 	 	 = explode(" ",$starttime); 
 $starttime 	 	 = $starttime[1] + $starttime[0]; 
 $timescriptstart 	 = $starttime; 
 $timeparts 		 = explode(" ",microtime());
 $starttime 		 = $timeparts[1].substr($timeparts[0],1);

 // check if debug-mode is requested
 if ($_GET['debug'] == 1) $my_db->debug = 1; else $my_db->debug = 0;

 // number of days in this month
 $numofdays = date ("d", mktime(0,0,0,$my_timestamp->month+1,0,$my_timestamp->year));
 
 // maximum length of data keys
 $maxfieldlength 		= 28;
 $browserfieldlength	= 13;
 
 // get limitday-values
 $limitday_low  = $_REQUEST['limitday_low'];
 $limitday_high = $_REQUEST['limitday_high'];

 if ($limitday_high > $my_timestamp->daysthismonth) $limitday_high = $my_timestamp->daysthismonth;
 if ($limitday_low < 1) $limitday_low = 1;

 // set date-limit for datadisplay
 if (!isset($limitday_low) || empty($limitday_low)) $limitday_low = 1;
 if (!isset($limitday_high)|| empty($limitday_high)) $limitday_high = $numofdays;
 if ($my_db->server_system == "unix") $the_path = "http://".$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI']; 
  else $the_path = "http://".$_SERVER['HTTP_HOST'].$_SERVER['PHP_SELF'];

 // get values for browsing the entries
 $endpos   		= strrpos($the_path,"//"); 
 $the_path 		= substr($the_path,0,$endpos);
 $currentpos 	= $_REQUEST['currentpos'];
 $pos 			= $_REQUEST['pos'];

 if (!isset($pos)) { $pos=0; $currentpos=0;} // set $pos to first entry of database (0)

 // get searchphrase if user is searching for IP/Hostname
 $searchphrase = $_REQUEST['searchphrase'];

 // this value is for browsing the visitor-entries
 $showbuttons 			= 12; // DO NOT CHANGE, THIS VALUE MUST BE AN EVEN NUMBER!
 $maxheight 			= 130; // maximum height of diagram
 
 // maximum number of visitors to show
 $showmax = showmaxvisitors($my_tables->websitestable, $activesitename); 
 
 // delete timed out visitors from database
 clear_visitors($my_tables->useronlinetable, $my_config->visitortimeout, $my_timestamp->timestamp, $activesitename);

 // get number of visitors for today, yesterday and this month
 $visitors_today_total 			= get_visitors_forday($my_timestamp->day,$my_timestamp->month,$my_timestamp->year,$my_tables->maintable,'ALL');
 $visitors_today_unique			= get_visitors_forday($my_timestamp->day,$my_timestamp->month,$my_timestamp->year,$my_tables->maintable,'UNIQUE');
 $visitors_month_total 			= get_visitors_formonth($my_timestamp->month,$my_timestamp->year,$my_tables->maintable,'ALL');
 $visitors_month_unique 		= get_visitors_formonth($my_timestamp->month,$my_timestamp->year,$my_tables->maintable,'UNIQUE');
 
 // check if last month has already been archived
 $monthexists = archive_month_exists($my_timestamp->monthyesterday, $my_timestamp->year, $my_tables->archivetable);
 if ($my_timestamp->monthyesterday <> $my_timestamp->month ) // yesterday was NOT the same month as today
 {
  if ($monthexists == TRUE)
  {
   // read data for previous month from archive and save data to object
   @$result = mysql_query("SELECT tagunique_container, tagtotal_container, transfer_container
						   FROM $my_tables->archivetable 
						   WHERE archivmonat = $my_timestamp->monthyesterday 
 						   AND archivjahr = $my_timestamp->year
 						   AND websitename = '$activesitename'");
   @$myarray = mysql_fetch_array($result);
 
   // begin unserializing database-data
   @$this_dayunique_container 	= unserialize(stripslashes($myarray['tagunique_container']));
   @$this_daytotal_container 	= unserialize(stripslashes($myarray['tagtotal_container']));
   @$thisday_transfer_container = unserialize(stripslashes($myarray['transfer_container']));

   @$numofdays 					= count($this_dayunique_container);
   @$visitors_yesterday_total 	= $this_daytotal_container[$numofdays]['visitors'];
   @$visitors_yesterday_unique 	= $this_dayunique_container[$numofdays]['visitors'];
   @$pages_lastmonth 			= $thisday_transfer_container[$numofdays]['numofpages'];
   @$data_lastmonth 			= $thisday_transfer_container[$numofdays]['datatransfered'];
  }
 }
 if ($this_month == $monthyesterday) // yesterday was the same month as today
 {
  $visitors_yesterday_total 	= get_visitors_forday($my_timestamp->dayyesterday,$my_timestamp->monthyesterday,$my_timestamp->yearyesterday,$my_tables->maintable,'ALL');
  $visitors_yesterday_unique	= get_visitors_forday($my_timestamp->dayyesterday,$my_timestamp->monthyesterday,$my_timestamp->yearyesterday,$my_tables->maintable,'UNIQUE');
 }
 
 ######################################################################################################
 ## check if robots/spiders need to be displayed --> look at configuration
 ######################################################################################################
 $activedays 	= active_days($my_timestamp->month, $my_timestamp->year, $my_timestamp->daysthismonth, $my_tables->maintable);
 $sql 			= "SELECT showrobotspider,showvisitors,cpm FROM $my_tables->websitestable WHERE websitename = '$activesitename'";
 @$result 		= $my_db->query($sql);
 @$theobject 		= mysql_fetch_array($result); 
 $showrobotspider 	= $theobject['showrobotspider'];
 $showvisitors 		= $theobject['showvisitors'];
 $website_cpm 		= $theobject['cpm'];
 
 ######################################################################################################
 ## admin wants to delete selected visitors
 ######################################################################################################
 if ($_POST['deleteselected'] == 'TRUE')
 { 
  if ($my_session->usertype == 'WEBMASTER' || $my_session->usertype == 'ADMIN' )
  {
   for ($xcount=1; $xcount <= $showmax; $xcount++)
   {
    $currentField   = 'visitor'.$xcount;
    $currentTimebox = 'currentTimebox'.$xcount;
    $visitor_dbid = $_POST["$currentField"];

    $my_timebox   = urldecode($_POST["$currentTimebox"]);
    // delete user data from database
    if (!empty($visitor_dbid)) {delete_visitor($visitor_dbid, $my_timebox, $my_tables, $my_db);}
   }
   // reload overview.php
   header("location: overview.php?pos=$pos&showmax=$showmax&high_butt=$high_butt&low_butt=$low_butt&current_page=$current_page&limitday_low=$limitday_low&limitday_high=$limitday_high");
   exit();
  }
 }

 ######################################################################################################
 ## admin wants to block selected visitors
 ######################################################################################################
 if ($_POST['blockselected'] == 'TRUE')
 {
  if ($my_session->usertype == 'WEBMASTER' || $my_session->usertype == 'ADMIN' )
  {
   @$blacklist =  mysql_result(mysql_query("SELECT blacklist AS blacklist FROM $my_tables->websitestable WHERE websitename = '$activesitename'"),0,0); 
   @$blacklist .= "\n";
   for ($xcount=1; $xcount <= $showmax; $xcount++)
   {
    $currentField = "visitor".$xcount;
    $block_id = $_POST["$currentField"]; 
    if ($block_id != '')
    { 
     @$block_host = mysql_result(mysql_query("SELECT visitor_hostname AS visitor_hostname FROM $my_tables->maintable 
						 					  WHERE id = '$block_id' AND websitename = '$activesitename'"),0,0); 
     @$blacklist .= $block_host."\n";
    }
   @$result = mysql_query("UPDATE $my_tables->websitestable SET blacklist = '$blacklist' WHERE websitename = '$activesitename'"); 
   }
  }
 }
 ######################################################################################################

 // Get last XY visitors to website from database:
 // The number of visitors to be shown is limited by $showmax, which is predefined in the
 // setup and saved in the table "$my_tables->configtable" (see global.inc.php for more info)
 if ($limitday_low < 10  && substr($limitday_low,0,1)  != '0') $limitday_low  = "0".$limitday_low;
 if ($limitday_high < 10 && substr($limitday_high,0,1) != '0') $limitday_high = "0".$limitday_high;
 
 $fromdate = $my_timestamp->year.'-'.$my_timestamp->month.'-'.$limitday_low; 
 $todate   = $my_timestamp->year.'-'.$my_timestamp->month.'-'.$limitday_high;

 if ($showrobotspider == 'TRUE') $sql_extra = "";
 else $sql_extra = "AND visitor_type = 'HUMAN'";

 if ($showvisitors == 'ALL') $sql_extra_vis = "";
 else $sql_extra_vis = "AND unique_visit = 'TRUE'";

 $sql = "SELECT count(*) FROM $my_tables->maintable
 	 WHERE visitor_date BETWEEN '$fromdate' AND '$todate'
	 AND websitename = '$activesitename' $sql_extra $sql_extra_vis";
 @$result = $my_db->query($sql);
 @$total_val = mysql_result($result,0,0);

 $sql = "SELECT id,visitor_id,visitor_ip,visitor_refererpage, visitor_referertype,visitor_hostname,
	 visitor_system,visitor_browserfull,proxyinfo,unique_visit,
	 UNIX_TIMESTAMP(visitor_timestamp) AS unix_timestamp
 	 FROM $my_tables->maintable
 	 WHERE visitor_date BETWEEN '$fromdate' AND '$todate'
 	 AND websitename = '$activesitename' $sql_extra $sql_extra_vis";

 // add searchphrase to query if set
 if (trim($searchphrase) != '')
 {
  if (!eregi("[a-z]", strtolower($searchphrase)))
   $sql .= " AND visitor_ip LIKE '%$searchphrase%' ";
  else
   $sql .= " AND visitor_hostname LIKE '%$searchphrase%' ";
 }
 
// check if user wants to search browserstamps
 if ($_REQUEST['search_stamp'] == 'TRUE')
 {  
   $sql .= " OR browserstamp LIKE '%$searchphrase%' ";
 }

 // finish query-command
 $sql .= "ORDER BY visitor_timestamp DESC
 	  	  LIMIT $pos,$showmax";
 	 
 @$result = $my_db->query($sql);

 // get number of pageimpressions
 @$impressions_today 		= page_impressions_day($my_timestamp->day,$my_timestamp->month,$my_timestamp->year,$my_tables->transfertable);
 @$impressions_yesterday 	= page_impressions_day($my_timestamp->dayyesterday,$my_timestamp->monthyesterday,$my_timestamp->yearyesterday,$my_tables->transfertable);
 @$impressions_this_month 	= page_impressions_month($my_timestamp->month,$my_timestamp->year,$my_tables->transfertable);
 
 // get number of page-impressions for this year (check archived months for impressions, too)
 for ($x=1; $x<$my_timestamp->month; $x++)
 {
  $sql = "SELECT impressionstotal FROM $my_tables->archivetable WHERE archive_month = '$x' AND archive_year = '$my_timestamp->year'";
  @$impressions_this_year += mysql_result(mysql_query($sql),0,0);
 }

 // add this months impressions to total number of impressions for this year 
 $impressions_this_year += $impressions_this_month;
 
 // number of people currently on site
 $visitors_online = get_visitors($my_tables->useronlinetable);

 // ammount of data transferer
 @$transfered 			= round(datatransfered($my_timestamp->day,$my_timestamp->month,$my_timestamp->year,$my_tables->transfertable)/1024,2);
 @$transfered_total 	= round(datatransfer_month($my_timestamp->month,$my_timestamp->year,$my_tables->transfertable)/1024,2);
 @$transfered_yesterday	= round(datatransfered($my_timestamp->dayyesterday,$my_timestamp->monthyesterday,$my_timestamp->yearyesterday,$my_tables->transfertable)/1024,2);

 // time spent on site per user
 $time_per_user       = timeperuser_all($my_timestamp->day,$my_timestamp->day,$my_timestamp->month,$my_timestamp->year,$my_tables->trackingtable);
 $seconds_spent_total = seconds_spent_total($my_timestamp->day,$my_timestamp->day,$my_timestamp->month,$my_timestamp->year,$my_tables->trackingtable);

 // get number of bot visits for today
 $botvisits   = botvisits($my_timestamp->day,$my_timestamp->day,$my_timestamp->month,$my_timestamp->year,$my_tables->maintable);
 $unique_bots = unique_bots($my_timestamp->day,$my_timestamp->day,$my_timestamp->month,$my_timestamp->year,$my_tables->maintable);

 // number of todays' downloads
 $downloadstoday = downloadstoday($my_timestamp->day,$my_timestamp->month,$my_timestamp->year,$my_tables->downloadtable);

 // calculate busiest visitor-hour 
 $hourdata = tophour($my_timestamp->day,$my_timestamp->month,$my_timestamp->year,$my_tables->maintable);
 $tophour  = $hourdata['busiest_hour']; if ($tophour<10) $tophour = "0".$tophour;
 $flophour = $hourdata['weakest_hour']; if ($flophour<10) $flophour = "0".$flophour;

 // calculate crossentries
 $crossentry_today 		= lateral_entry($my_timestamp->day,$my_timestamp->month,$my_timestamp->year,$my_tables->maintable);
 $crossentry_yesterday 	= lateral_entry($my_timestamp->dayyesterday,$my_timestamp->monthyesterday,$my_timestamp->yearyesterday,$my_tables->maintable);
 $crossentry_thismonth 	= lateral_entry_month($my_timestamp->month,$my_timestamp->year,$my_tables->maintable);

 // calculate busiest/weakest visitor-hour of the current day.
 $maxhour = array();
 $hour 	  = busiesthour($my_timestamp->day,$my_timestamp->month,$my_timestamp->year,$my_tables->maintable,"TOTAL"); // Call function to get busiest hour of the day
 $maxhour = $hour;
 $minhour = $hour;
 sort($minhour);  // sort weakest hour to the beginning of this array
 rsort($maxhour); // sort strongest hour to the beginning of this array
 $maxvalue = $maxhour[0];
 $minvalue = $minhour[0];
 if ($maxvalue == 0) $maxvalue=1; // value has to be at least 1 or we will have a divide error
 if ($minvalue == 0) $minvalue=1; // value has to be at least 1 or we will have a divide error
 
 // calculate the busiest unique-visitor-hour 
 $maxhour_unique = array();
 $hour_unique = busiesthour($my_timestamp->day,$my_timestamp->month,$my_timestamp->year,$my_tables->maintable, "UNIQUE");
 $maxhour_unique = $hour_unique;
 rsort($maxhour_unique); // sort busiest unique-visitor-hour to the beginning of the araay
 $maxvalue_unique = $maxhour[0];
 if ($maxvalue_unique == 0) $maxvalue_unique=1; // value has to be at least 1 or we will have a divide error

 // number of page impressions for today
 $impressions = impressiondetails_forday($my_timestamp->day,$my_timestamp->month,$my_timestamp->year,$my_tables->trackingtable); // Call function to get number of impressions for a day

 // get busiest visitor-day of month
 $top_day = topday($my_timestamp->month,$my_timestamp->year,$my_tables->maintable, "TOTAL"); // find busiest visitor-day
 $sorted = $top_day;
 $highpos = count($sorted)-1;
 $lowpos = 0;
 $busiestday_total_visitors = $sorted[$highpos]["visitors"]; // save highest visitor number in $highest
 $busiestday_total = $sorted[$highpos]["day"]; // save day of highest visitor number in $theday

 $weakestday_total_visitors = $sorted[$lowpos]["visitors"]; // save lowest visitor number in $highest
 $weakestday_total = $sorted[$lowpos]["day"]; // save day of lowest visitor number in $theday

 ############################################################################################################## 
 ## visitor prediction calculation
 ############################################################################################################## 
 // value of current hour
 $current_hour = $my_timestamp->hour;
 if (empty($current_hour)) $current_hour = 1;

 // calculate short-trend (visits compared to yesterday)
 @$visitors_perhour_yesterday 	= round($visitors_yesterday_total/24);
 @$visitors_perhour_today	  	= round($visitors_today_total/$current_hour);
 @$visitors_thistime_yesterday 	= round ($visitors_perhour_yesterday*$my_timestamp->hour);

 $prediction_today = ($visitors_perhour_today * (24-$current_hour)) + $visitors_today_total;
 @$percentage_diff_to_yesterday = round((100/$visitors_yesterday_total)*$prediction_today);

 // make changes to percentage
 if ($prediction_today < $visitors_yesterday_total)
 {
  $percentage_diff_to_yesterday = 100-$percentage_diff_to_yesterday; 
  $trend_percentage = $percentage_diff_to_yesterday;
  $tendency = 'DOWN'; 
  $percentage_diff_to_yesterday = '-'.$percentage_diff_to_yesterday;
 }
 elseif ($prediction_today > $visitors_yesterday_total)
 {
  $percentage_diff_to_yesterday -= 100;
  $trend_percentage = $percentage_diff_to_yesterday;
  $tendency = 'UP';
  $percentage_diff_to_yesterday = '+'.$percentage_diff_to_yesterday;
 }
 elseif ($prediction_today == $visitors_yesterday_total)
 {
  $tendency = 'ONCOURSE';
  $trend_percentage = 0;
  $percentage_diff_to_yesterday = $lang['Unchanged'];
 }

 // tell user if visitor numbers are rising, falling or on course
 if ($trend_percentage > 0 && $trend_percentage <= 5)  $trend =  $lang['On_Course'];
 elseif ($trend_percentage > 5 && $trend_percentage <= 15)
 {
  if ($tendency == 'DOWN') $trend = $lang['Slightly_Falling'];
   else $trend = $lang['Slightly_Rising'];  
 }
 elseif ($trend_percentage > 15 && $trend_percentage <= 25) 
 {
  if ($tendency == 'DOWN') $trend = $lang['Falling'];
   else $trend = $lang['Rising'];  
 }
 elseif ($trend_percentage > 25 && $trend_percentage <= 50) 
 {
  if ($tendency == 'DOWN') $trend = $lang['Strongly_Falling'];
   else $trend = $lang['Strongly_Rising'];  
 }
 elseif ($trend_percentage > 50) 
 {
  if ($tendency == 'DOWN') $trend = $lang['Extremely_Falling'];
   else $trend = $lang['Extremely_Rising'];  
 } 

 ############################################################################################################## 

 // calculate total time of this PHP-process
 $endtime 	= microtime(); 
 $endtime 	= explode(" ",$endtime); 
 $endtime 	= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 	= ($timescriptend - $timescriptstart); 
 $loadtime  = round($loadtime,3);
?>
<html>
<head>
<title>binarySTAT - Overview</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="css/style.css">
<link rel="STYLESHEET" type="text/css" href="css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="scripts/popupwindow.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="scripts/popup.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="scripts/layerfunctions.js"></script>
<script language="JavaScript" type="text/JavaScript">
<!--
function hiLite(rowname, cname)
{ 
  document.getElementById(rowname+"A").className = cname;
  document.getElementById(rowname+"B").className = cname;
  document.getElementById(rowname+"C").className = cname;
  document.getElementById(rowname+"D").className = cname;
  document.getElementById(rowname+"E").className = cname;
  document.getElementById(rowname+"F").className = cname;
  document.getElementById(rowname+"G").className = cname;
  document.getElementById(rowname+"H").className = cname;
}

function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function starthiding()
{
 top.parent.hidemymenus();
}
function focuscursor()
{
 parent.menuframe.document.getElementById('searchphrase').focus();
}
function setfocus()
{
 setTimeout("focuscursor()",1000);
}
function reloadmenu()
{
 parent.menuframe.location.href = 'leftmenu.php?changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&displayframe_name=overview.php';
}
//-->
</script>
<style type="text/css">
<!--
body {
	margin-left: 5px;
	margin-top: 3px;
}
-->
</style>
</head>
<body onload="reloadmenu();setfocus();"> 
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="72%"> <span class="smallBold"><? echo $lang['Overview_For'];?> </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
    <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
  </tr>
</table>
<img src="../images/blackdot.gif" width="100%" height="1"><br>
<br>
<div id="content" onmouseover="starthiding();">
<table width="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td>
          <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3>
            <TBODY>
              <TR>
                <TD align=middle class="dottedbox"><table width="100%" border="0" cellspacing="5" cellpadding="0">
                    <tr>
                      <td width="115"><div align="justify"><img src="images/overviewbox.jpg" width="107" height="77"></div></td>
                      <td><div align="justify"><strong><u><?php echo $lang['Welcome'];?></u></strong> <?php echo $lang['notice']['Overview'];?></div></td>
                    </tr>
                </table></TD>
              </TR>
            </TBODY>
          </TABLE>
          <img src="images/blankspacer.gif" width="5" height="10" border="0">
<table width=100% border=0 cellspacing="0" cellpadding="2">
                <tr>
                  <td colspan=3 height=63 valign="top">                    <table width="100%"  border="0" align="center" cellpadding="0" cellspacing="0">
                      <tr>
                        <td width="2"><img src="images/box_topleft.gif" width="4" height="7"></td>
                        <td><img src="images/box_top.gif" width="100%" height="7"></td>
                        <td><img src="images/box_topright.gif" width="4" height="7"></td>
                      </tr>
                      <tr>
                        <td width="2"><img src="images/box_left.gif" width="4" height="114"></td>
                        <td valign="top"><table width=99% border=0 align="center" cellpadding="0" cellspacing="0">
                          <tr>
                            <td colspan="9"><img src="images/blackdot.gif" width="100%" height="1" hspace="0" vspace="0"></td>
                          <tr bordercolor="#000033">
                            <td height="16" colspan="3" class="tablehead"><span class="small"><img src="images/blankspacer.gif" width="2" height="5" border="0"></span> <img src="images/bullet_circle.gif" width="6" height="6" border="0"> <span class="small"><img src="images/blankspacer.gif" width="2" height="5" border="0"></span>
                                <?
echo $lang['Visitor_Data_Today'];
?>
                            </td>
                            <td height="16" colspan="3" class="tablehead"><div align=left> <span class="small"><img src="images/blankspacer.gif" width="2" height="5" border="0"></span><img src="images/bullet_circle.gif" width="6" height="6" border="0"> <span class="small"><img src="images/blankspacer.gif" width="2" height="5" border="0"></span>
                                    <?
echo $lang['Visitor_Data_Yesterday'];?>
                            </div></td>
                            <td height="16" colspan="3" class="tablehead"><div align=left> <span class="small"><img src="images/blankspacer.gif" width="2" height="5" border="0"></span><img src="images/bullet_circle.gif" width="6" height="6" border="0"> <span class="small"><img src="images/blankspacer.gif" width="2" height="5" border="0"></span>
                                    <?
echo $lang['Visitor_Data_Month'];?>
                            </div></td>
                          </tr>
                          <tr bgcolor="#E2E2E2">
                            <td colspan="9" bgcolor="#E2E2E2" class="small"><img src="images/blackdot.gif" width="100%" height="1" hspace="0" vspace="0"></td>
                          <tr>
                            <td width="17%" height="19" bgcolor="#F8F8F8" class="boxbackground"><img src="images/blankspacer.gif" width="3" height="5" border="0">
                                <?
echo $lang['Visits_Total'];
?>
                            </td>
                            <td width="2%" height="19" class="boxbackground">:</td>
                            <td width="15%" height="19" class="resultbackground"><?php
// show total visitor number
echo number_format($visitors_today_total, 0, '.', '.');
if ($visitors_today_total < $visitors_yesterday_total)
 echo " <img src='images/rarrowdown.gif' width='8' height='8'>";
else
 echo " <img src='images/garrowup.gif' width='8' height='8'>";
?></td>
                            <td width="16%" height="19" class="boxbackground"><img src="images/blankspacer.gif" width="3" height="5" border="0">
                                <?
echo $lang['Visits_Total'];
?>
                            </td>
                            <td width="2%" height="19" class="boxbackground">:</td>
                            <td width="15%" height="19" class="resultbackground"><?php 
echo number_format($visitors_yesterday_total, 0, '.', '.');
?>
                            </td>
                            <td width="16%" height="19" class="boxbackground"><img src="images/blankspacer.gif" width="3" height="5" border="0">
                                <?
echo $lang['Visits'];
?>
                            </td>
                            <td width="2%" height="19" class="boxbackground">:</td>
                            <td width="14%" height="19" class="resultbackground"><?php 
echo number_format($visitors_month_total, 0, '.', '.');
?>
                            </td>
                          </tr>
                          <tr>
                            <td width="17%" height="19" bgcolor="#F8F8F8" class="boxbackground"><img src="images/blankspacer.gif" width="3" height="5" border="0">
                                <?
echo $lang['Unique_Of'];
?>
                            </td>
                            <td width="2%" height="19" class="boxbackground">:</td>
                            <td width="15%" height="19" class="resultbackground"><?

echo number_format($visitors_today_unique, 0, '.', '.');
@$percentage = round((100/$visitors_today_total)*$visitors_today_unique);
echo " ($percentage%)";
?></td>
                            <td width="16%" height="19" class="boxbackground"><img src="images/blankspacer.gif" width="3" height="5" border="0">
                                <?
echo $lang['Unique_Of'];
?>
                            </td>
                            <td width="2%" height="19" class="boxbackground">:</td>
                            <td width="15%" height="19" class="resultbackground"><?
echo number_format($visitors_yesterday_unique, 0, '.', '.');
@$percentage = round((100/$visitors_yesterday_total)*$visitors_yesterday_unique);
echo " ($percentage%)";
?>
                            </td>
                            <td width="16%" height="19" class="boxbackground"><img src="images/blankspacer.gif" width="3" height="5" border="0">
                                <?
echo $lang['Unique_Of'];
?>
                            </td>
                            <td width="2%" height="19" class="boxbackground">:</td>
                            <td width="14%" height="19" class="resultbackground"><?
echo number_format($visitors_month_unique, 0, '.', '.');
@$percentage = round((100/$visitors_month_total)*$visitors_month_unique);
echo " ($percentage%)";
?>
                            </td>
                          </tr>
                          <tr>
                            <td width="17%" height="19" bgcolor="#F8F8F8" class="boxbackground"><img src="images/blankspacer.gif" width="3" height="5" border="0">
                                <?
echo $lang['Lateral_Entry'];
?>
                            </td>
                            <td width="2%" height="19" class="boxbackground">:</td>
                            <td width="15%" height="19" class="resultbackground"><?
echo number_format($crossentry_today, 0, '.', '.');
@$percentage = round((100/$visitors_today_total)*$crossentry_today);
echo " ($percentage%)";
?></td>
                            <td width="16%" height="19" class="boxbackground"><img src="images/blankspacer.gif" width="3" height="5" border="0">
                                <?
echo $lang['Lateral_Entry'];
?>
                            </td>
                            <td width="2%" height="19" class="boxbackground">:</td>
                            <td width="15%" height="19" class="resultbackground"><?
echo number_format($crossentry_yesterday, 0, '.', '.');
@$percentage = round((100/$visitors_yesterday_total)*$crossentry_yesterday);
echo " ($percentage%)";
?>
                            </td>
                            <td width="16%" height="19" class="boxbackground"><img src="images/blankspacer.gif" width="3" height="5" border="0">
                                <?
echo $lang['Lateral_Entry'];
?>
                            </td>
                            <td width="2%" height="19" class="boxbackground">:</td>
                            <td width="14%" height="19" class="resultbackground"><?
echo number_format($crossentry_thismonth, 0, '.', '.');
@$percentage = round((100/$visitors_month_total)*$crossentry_thismonth);
echo " ($percentage%)";
?>
                            </td>
                          </tr>
                          <tr>
                            <td width="17%" height="19" bgcolor="#F8F8F8" class="boxbackground"><img src="images/blankspacer.gif" width="3" height="5" border="0">
                                <?
echo $lang['Impressions'];
?>
                            </td>
                            <td width="2%" height="19" class="boxbackground">:</td>
                            <td width="15%" height="19" class="resultbackground"><?
echo number_format($impressions_today, 0, '.', '.');
?></td>
                            <td width="16%" height="19" class="boxbackground"><img src="images/blankspacer.gif" width="3" height="5" border="0">
                                <?
echo $lang['Impressions'];
?>
                            </td>
                            <td width="2%" height="19" class="boxbackground">:</td>
                            <td width="15%" height="19" class="resultbackground"><?
echo number_format($impressions_yesterday, 0, '.', '.');
?></td>
                            <td width="16%" height="19" class="boxbackground"><img src="images/blankspacer.gif" width="3" height="5" border="0">
                                <?
echo $lang['Impressions'];
?>
                            </td>
                            <td width="2%" height="19" class="boxbackground">:</td>
                            <td width="14%" height="19" class="resultbackground"><?
echo number_format($impressions_this_month, 0, '.', '.');
?></td>
                          </tr>
                          <tr>
                            <td width="17%" height="19" bgcolor="#F8F8F8" class="boxbackground"><img src="images/blankspacer.gif" width="3" height="5" border="0">
                                <?
echo $lang['Transfer'];
?>
                            </td>
                            <td width="2%" height="19" class="boxbackground">:</td>
                            <td width="15%" height="19" class="resultbackground"><?php echo $transfered." MByte"; ?></td>
                            <td width="16%" height="19" class="boxbackground"><img src="images/blankspacer.gif" width="3" height="5" border="0">
                                <?
echo $lang['Transfer'];
?>
                            </td>
                            <td width="2%" height="19" class="boxbackground">:</td>
                            <td width="15%" height="19" class="resultbackground"><?php echo number_format($transfered_yesterday, 0, '.', '.')." MByte"; ?></td>
                            <td width="16%" height="19" class="boxbackground"><img src="images/blankspacer.gif" width="3" height="5" border="0">
                                <?
echo $lang['Transfer'];
?>
                            </td>
                            <td width="2%" height="19" class="boxbackground">:</td>
                            <td width="14%" height="19" class="resultbackground"><?php echo $transfered_total." MByte";?></td>
                          </tr>
                        </table></td>
                        <td><img src="images/box_right.gif" width="4" height="114"></td>
                      </tr>
                      <tr>
                        <td width="2"><img src="images/box_lowleft.gif" width="4" height="11"></td>
                        <td><img src="images/box_bottom.gif" width="100%" height="11"></td>
                        <td><img src="images/box_lowright.gif" width="4" height="11" hspace="0" vspace="0" border="0"></td>
                      </tr>
                    </table>
                    <br>
                    <table width="100%"  border="0" align="center" cellpadding="0" cellspacing="0">
                      <tr>
                        <td width="2"><img src="images/box_topleft.gif" width="4" height="7"></td>
                        <td><img src="images/box_top.gif" width="100%" height="7"></td>
                        <td><img src="images/box_topright.gif" width="4" height="7"></td>
                      </tr>
                      <tr>
                        <td width="2"><img src="images/box_left.gif" width="4" height="95"></td>
                        <td valign="top"><table width=99% border=0 align="center" cellpadding="0" cellspacing="0">
                          <tr>
                            <td colspan="9"><img src="images/blackdot.gif" width="100%" height="1" hspace="0" vspace="0"></td>
                          <tr bordercolor="#000033">
                            <td height="16" colspan="3" class="tablehead"><span class="small"><img src="images/blankspacer.gif" width="2" height="5" border="0"></span> <img src="images/bullet_circle.gif" width="6" height="6" border="0"> <span class="small"><img src="images/blankspacer.gif" width="2" height="5" border="0"></span>
                                <?
echo $lang['Visitor_Behaviour_Today'];?>
                            </td>
                            <td height="16" colspan="3" class="tablehead"><div align=left> <span class="small"><img src="images/blankspacer.gif" width="2" height="5" border="0"></span><img src="images/bullet_circle.gif" width="6" height="6" border="0"> <span class="small"><img src="images/blankspacer.gif" width="2" height="5" border="0"></span>
                                    <?
echo $lang['Snapshot'];
?>
                            </div></td>
                            <td height="16" colspan="3" class="tablehead"><div align=left> <span class="small"><img src="images/blankspacer.gif" width="2" height="5" border="0"></span><img src="images/bullet_circle.gif" width="6" height="6" border="0"> <span class="small"><img src="images/blankspacer.gif" width="2" height="5" border="0"></span>
                                    <?
echo $lang['Top_Visitor_Times'];
?>
                            </div></td>
                          </tr>
                          <tr bgcolor="#E2E2E2">
                            <td colspan="9" bgcolor="#E2E2E2" class="small"><img src="images/blackdot.gif" width="100%" height="1" hspace="0" vspace="0"></td>
                          <tr>
                            <td width="17%" height="19" bgcolor="#F8F8F8" class="boxbackground"><img src="images/blankspacer.gif" width="3" height="5" border="0">
                                <?
echo $lang['Visitors_Per_Hour'];
?>
                            </td>
                            <td width="2%" height="19" class="boxbackground">:</td>
                            <td width="15%" height="19" class="resultbackground"><?php 
 $hour_div = $my_timestamp->hour;
 if ($hour_div == 0) $hour_div = 1;
@$visitors_per_hour = round($visitors_today_total/$hour_div); 
echo $visitors_per_hour;
?></td>
                            <td width="16%" height="19" class="boxbackground"><img src="images/blankspacer.gif" width="3" height="5" border="0"> <span class="small">
                              <?
echo $lang['Visitor_Online'];
?>
                            </span> </td>
                            <td width="2%" height="19" class="boxbackground">:</td>
                            <td width="15%" height="19" class="resultbackground"><?php 
echo $visitors_online; 
?>
                            </td>
                            <td width="16%" height="19" class="boxbackground"><img src="images/blankspacer.gif" width="3" height="5" border="0">
                                <?
echo $lang['Strongest_Hour'];
?>
                            </td>
                            <td width="2%" height="19" class="boxbackground">:</td>
                            <td width="15%" height="19" class="resultbackground"><?php 
 

 $display_hour= gethour($tophour, $my_config->timedisplay);
 echo $display_hour['hour'].":00 ";
 echo $display_hour['am_pm']; if ($display_hour['am_pm'] == '') echo $lang['O_Clock'];
 echo " (".$hourdata['maxvisitors'].")";
?>
                            </td>
                          </tr>
                          <tr>
                            <td width="17%" height="19" bgcolor="#F8F8F8" class="boxbackground"><img src="images/blankspacer.gif" width="3" height="5" border="0">
                                <?
echo $lang['Retentionperiod_Per_Visitor'];
?>
                            </td>
                            <td width="2%" height="19" class="boxbackground">:</td>
                            <td width="15%" height="19" class="resultbackground"><?php echo $time_per_user; ?>
                                <?
echo $lang['Minute_Short'];
?>
                            </td>
                            <td width="16%" height="19" class="boxbackground"><img src="images/blankspacer.gif" width="3" height="5" border="0"> <span class="small">
                              <?
echo $lang['Bot_Visits'];
?>
                            </span> </td>
                            <td width="2%" height="19" class="boxbackground">:</td>
                            <td width="15%" height="19" class="resultbackground"><?php echo $botvisits." (";
 echo $unique_bots." "; if ($unique_bots == 1) echo $lang['Bot']; else echo $lang['Bots']; echo ")";
 ?> </td>
                            <td width="16%" height="19" class="boxbackground"><img src="images/blankspacer.gif" width="3" height="5" border="0">
                                <?
echo $lang['Weakest_Hour'];
?>
                            </td>
                            <td width="2%" height="19" class="boxbackground">:</td>
                            <td width="15%" height="19" class="resultbackground"><?php
 $display_hour= gethour($flophour, $my_config->timedisplay);
 echo $display_hour['hour'].":00 ";
 echo $display_hour['am_pm']; if ($display_hour['am_pm'] == '') echo $lang['O_Clock'];

 echo " (".$hourdata['minvisitors'].")";
 ?>
                            </td>
                          </tr>
                          <tr>
                            <td width="17%" height="19" bgcolor="#F8F8F8" class="boxbackground"><img src="images/blankspacer.gif" width="3" height="5" border="0">
                                <?
echo $lang['Viewtime_Per_Page'];
?>
                            </td>
                            <td width="2%" height="19" class="boxbackground">:</td>
                            <td width="15%" height="19" class="resultbackground"><?php

 @$seconds_per_page = round(($seconds_spent_total/$impressions_today),2);
 
 @$seconds = intval($seconds_per_page % 60); 
 @$my_time = intval($seconds_per_page/60).":".($seconds_per_page%60);

 echo $my_time;
?>
                                <?
echo $lang['Minute_Short'];
?>
                            </td>
                            <td width="16%" height="19" class="boxbackground"><img src="images/blankspacer.gif" width="3" height="5" border="0"> <span class="small">
                              <?
echo $lang['Downloads'];
?>
                            </span> </td>
                            <td width="2%" height="19" class="boxbackground">:</td>
                            <td width="15%" height="19" class="resultbackground"><?php echo $downloadstoday; ?> </td>
                            <td width="16%" height="19" class="boxbackground"><img src="images/blankspacer.gif" width="3" height="5" border="0">
                                <?
echo $lang['Strongest_Day'];
?>
                            </td>
                            <td width="2%" height="19" class="boxbackground">:</td>
                            <td width="15%" height="19" class="resultbackground"><?php $date_string = convert_date($busiestday_total, $my_timestamp->month, "", $my_config->datestyle); echo $date_string." ($busiestday_total_visitors)";?>
                            </td>
                          </tr>
                          <tr>
                            <td width="17%" height="19" bgcolor="#F8F8F8" class="boxbackground"><img src="images/blankspacer.gif" width="3" height="5" border="0">
                                <?
echo $lang['Impressions_Per_Visitor'];
?>
                            </td>
                            <td width="2%" height="19" class="boxbackground">:</td>
                            <td width="15%" height="19" class="resultbackground"><?php echo @round(($impressions_today/$visitors_today_total),1); ?></td>
                            <td width="16%" height="19" class="boxbackground"><img src="images/blankspacer.gif" width="3" height="5" border="0">
                                <?
echo $lang['Visitors_Per_Hour'];
?>
                            </td>
                            <td width="2%" height="19" class="boxbackground">:</td>
                            <td width="15%" height="19" class="resultbackground"><?php 
 $hour_div = $my_timestamp->hour;
 if ($hour_div == 0) $hour_div = 1;
@$visitors_per_hour = round($visitors_today_total/$hour_div); 
echo $visitors_per_hour;
?></td>
                            <td width="16%" height="19" class="boxbackground"><img src="images/blankspacer.gif" width="3" height="5" border="0">
                                <?
echo $lang['Weakest_Day'];
?>
                            </td>
                            <td width="2%" height="19" class="boxbackground">:</td>
                            <td width="15%" height="19" class="resultbackground"><?php $date_string = convert_date($weakestday_total, $my_timestamp->month, "", $my_config->datestyle); echo $date_string." ($weakestday_total_visitors)";?></td>
                          </tr>
                        </table></td>
                        <td><img src="images/box_right.gif" width="4" height="95"></td>
                      </tr>
                      <tr>
                        <td width="2"><img src="images/box_lowleft.gif" width="4" height="11"></td>
                        <td><img src="images/box_bottom.gif" width="100%" height="11"></td>
                        <td><img src="images/box_lowright.gif" width="4" height="11" hspace="0" vspace="0" border="0"></td>
                      </tr>
                    </table>
                    <span class="small"></span> 
                    <br>
                    <table width="100%"  border="0" align="center" cellpadding="0" cellspacing="0">
                      <tr>
                        <td width="2"><img src="images/box_topleft.gif" width="4" height="7"></td>
                        <td><img src="images/box_top.gif" width="100%" height="7"></td>
                        <td><img src="images/box_topright.gif" width="4" height="7"></td>
                      </tr>
                      <tr>
                        <td width="2"><img src="images/box_left.gif" width="4" height="75"></td>
                        <td valign="top"><table width=99% border=0 align="center" cellpadding="0" cellspacing="0">
                            <tr>
                              <td colspan="9"><img src="images/blackdot.gif" width="100%" height="1" hspace="0" vspace="0"></td>
                            <tr bordercolor="#000033">
                              <td height="16" colspan="3" class="tablehead"><span class="small"><img src="images/blankspacer.gif" width="2" height="5" border="0"></span> <img src="images/bullet_circle.gif" width="6" height="6" border="0"> <span class="small"><img src="images/blankspacer.gif" width="2" height="5" border="0"></span>
                                  <?
echo $lang['Visitor_Forecast'];?>
                              </td>
                              <td height="16" colspan="3" class="tablehead"><div align=left> <span class="small"><img src="images/blankspacer.gif" width="2" height="5" border="0"></span><img src="images/bullet_circle.gif" width="6" height="6" border="0"> <span class="small"><img src="images/blankspacer.gif" width="2" height="5" border="0"></span>
                                <?
echo $lang['Visitor_Data_Average'];
?>
                              </div></td>
                              <td height="16" colspan="3" class="tablehead"><div align=left> <span class="small"><img src="images/blankspacer.gif" width="2" height="5" border="0"></span><img src="images/bullet_circle.gif" width="6" height="6" border="0"> <span class="small"><img src="images/blankspacer.gif" width="2" height="5" border="0"></span>
                                <?
echo $lang['Website_Promotion'];
?>
                              </div></td>
                            </tr>
                            <tr bgcolor="#E2E2E2">
                              <td colspan="9" bgcolor="#E2E2E2" class="small"><img src="images/blackdot.gif" width="100%" height="1" hspace="0" vspace="0"></td>
                            <tr>
                              <td width="17%" height="19" bgcolor="#F8F8F8" class="boxbackground"><img src="images/blankspacer.gif" width="3" height="5" border="0">
                                <?
echo $lang['Forecast_Today'];
?>
                              </td>
                              <td width="2%" height="19" class="boxbackground">:</td>
                              <td width="15%" height="19" class="resultbackground"><?php 
echo number_format($prediction_today, 0, '.', '.').' '.$lang['Visitors'];?></td>
                              <td width="16%" height="19" class="boxbackground"><img src="images/blankspacer.gif" width="3" height="5" border="0"> <span class="small">
                              <?
echo $lang['Visitors_Per_Hour'];
?>
                              </span> </td>
                              <td width="2%" height="19" class="boxbackground">:</td>
                              <td width="15%" height="19" class="resultbackground"><?php 
 $hour_div = $my_timestamp->hour;
 if ($hour_div == 0) $hour_div = 1;
@$visitors_per_hour = round($visitors_today_total/$hour_div); 
echo number_format($visitors_per_hour, 0, '.', '.');
?>
                              </td>
                              <td width="16%" height="19" class="boxbackground"><img src="images/blankspacer.gif" width="3" height="5" border="0">
                                <?
echo $lang['Today'];
?>
                              </td>
                              <td width="2%" height="19" class="boxbackground">:</td>
                              <td width="15%" height="19" class="resultbackground">
                              <?php echo @round((($impressions_today/1000)*$website_cpm),2)." ".$lang['Currency'];?>                              </span>
                              </td>
                            </tr>
                            <tr>
                              <td width="17%" height="19" bgcolor="#F8F8F8" class="boxbackground"><img src="images/blankspacer.gif" width="3" height="5" border="0">
                                <?
echo $lang['Trend_To_Yesterday'];
?>
                              </td>
                              <td width="2%" height="19" class="boxbackground">:</td>
                              <td width="15%" height="19" class="resultbackground"><?php echo $percentage_diff_to_yesterday;
if ($percentage_diff_to_yesterday != $lang['Unchanged']) echo '%'; ?>
                                 
                              </td>
                              <td width="16%" height="19" class="boxbackground"><img src="images/blankspacer.gif" width="3" height="5" border="0"> <span class="small">
                              <?
echo $lang['Visitors_Per_Day'];
?>
                              </span> </td>
                              <td width="2%" height="19" class="boxbackground">:</td>
                              <td width="15%" height="19" class="resultbackground"><?php @$per_day = round($visitors_month_total/$activedays);
echo number_format($per_day, 0, '.', '.');
?> </td>
                              <td width="16%" height="19" class="boxbackground"><img src="images/blankspacer.gif" width="3" height="5" border="0">
                                <?
echo $lang['This_Month'];
?>
                              </td>
                              <td width="2%" height="19" class="boxbackground">:</td>
                              <td width="15%" height="19" class="resultbackground"><?php echo @round((($impressions_this_month/1000)*$website_cpm),2)." ".$lang['Currency'];?>
                              </td>
                            </tr>
                            <tr>
                              <td width="17%" height="19" bgcolor="#F8F8F8" class="boxbackground"><img src="images/blankspacer.gif" width="3" height="5" border="0">
                                  <?
echo $lang['Daily_Trend'];
?>
                              </td>
                              <td width="2%" height="19" class="boxbackground">:</td>
                              <td width="15%" height="19" class="resultbackground"><?php
if (empty($trend)) echo "----"; else echo $trend;
?></td>
                              <td width="16%" height="19" class="boxbackground"><img src="images/blankspacer.gif" width="3" height="5" border="0"> <span class="small">
                              <?
echo $lang['Visitors_Per_Month'];
?>
                              </span> </td>
                              <td width="2%" height="19" class="boxbackground">:</td>
                              <td width="15%" height="19" class="resultbackground"><?php  @$restofdays =$numofdays-$activedays;
 @$per_month = round(($visitors_month_total/$activedays)*$numofdays);
echo number_format($per_month, 0, '.', '.');
?> </td>
                              <td width="16%" height="19" class="boxbackground"><img src="images/blankspacer.gif" width="3" height="5" border="0">
                                <?
echo $lang['This_Year'];
?>
                              </td>
                              <td width="2%" height="19" class="boxbackground">:</td>
                              <td width="15%" height="19" class="resultbackground"><?php echo @round((($impressions_this_year/1000)*$website_cpm),2)." ".$lang['Currency'];?>
                              </td>
                            </tr>
                        </table></td>
                        <td><img src="images/box_right.gif" width="4" height="75"></td>
                      </tr>
                      <tr>
                        <td width="2"><img src="images/box_lowleft.gif" width="4" height="11"></td>
                        <td><img src="images/box_bottom.gif" width="100%" height="11"></td>
                        <td><img src="images/box_lowright.gif" width="4" height="11" hspace="0" vspace="0" border="0"></td>
                      </tr>
                    </table>
                    <br>
                    <table width="100%"  border="0" cellpadding="0" cellspacing="0">
                      <tr>
                        <td><img src="images/box_topleft.gif" width="4" height="7"></td>
                        <td><img src="images/box_top.gif" width="100%" height="7"></td>
                        <td><img src="images/box_topright.gif" width="4" height="7"></td>
                      </tr>
                      <tr>
                        <td><img src="images/box_left.gif" width="4" height="204"></td>
                        <td valign="top"><table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">
                          <tr>
                            <td rowspan="3" class="small"><img src="images/blankspacer.gif" width="2" height="10">
                                <?php

 // display bar chart showing number of visitors to site for today
 
 // seed with microseconds 
 function make_seed()
 { 
  @list($usec, $sec) = explode(' ', microtime());
  return (float) $sec + ((float) $usec * 100000);
 } 
 mt_srand(make_seed());
 $randval = mt_rand();

 // create a new chart image
 $chart = new chart();

 // define chart-filename
 $visitorchart_filename = "chart/images/".$my_session->account_id."_visitors24.png";

  // set filename of image to be breated
 $chart->setFilename($visitorchart_filename); 

 // set image height and width properties
 $chart->setWidth(386);
 $chart->setHeight(185);
 
  // construct chart
 $chart->constructChart();
  
 // set color of bars and bar-borders
 $chart->setBarColor('bluegray');
 $chart->setSecondBarColor('lighterblue');
 $chart->setBarBorderColor('black');

 // set image backgroundcolor
 $chart->setBackgroundColor('lightgray');

 // set direction of value-display
 $chart->setValueDirection('vertical');
 
 // set color of values display in/above bars
 $chart->setBarValueColor('white');

 // set number of marks on X and Y axis
 $chart->setTicks_X_Axis(10);
 $chart->setTicks_Y_Axis(24); // 24 hours need 24 ticks on y-axis

 // set graph top offset
 $chart->setGraphTopOffset(5); // top offset

 // set labeloffset on X-axis
 $chart->setLabelOffset(2);
 // set border color,width and border margins
 $chart->setBorderMarginLeft(0);   	// border margin on left side
 $chart->setBorderMarginBottom(0); 	// border margin on bottom side
 $chart->setBorderMarginTop(0); 	// border margin on top side
 $chart->setBorderColor('black');
 $chart->setBackLineColor('black');
 $chart->setBorderWidth(1);

 // set margin
 $chart->setRightMargin(0);   	// margin on right side of image
 $chart->setLeftMargin(21);   	// margin on left side of image
 $chart->setTopMargin(15);   	// margin on right side of image
 $chart->setBottomMargin(20);   // margin on left side of image
 
 // set bar-spacing 
 $chart->setBarSpacing(3);   	// margin on right side of image

 // set axis data
 $chart->setTickColor('black');
 $chart->setAxisColor('black');
 $chart->setValueColor('black');
 $chart->setTickLength(2);
  
 // read visitor-data from database
 $maxhour = array();

 $maxhour = $hour;
 $minhour = $hour;
 sort($minhour); // sort weakest hour to the beginning of this array
 rsort($maxhour); // sort strongest hour to the beginning of this array
 $maxvalue = $maxhour[0];
 $minvalue = $minhour[0];
 if ($maxvalue == 0) $maxvalue=1; // Value has to be at least 1 or we will have a divide error
 if ($minvalue == 0) $minvalue=1; // Value has to be at least 1 or we will have a divide error
 // get busiest unique-visitor-hour 
 $maxhour_unique = array();
 $maxhour_unique = $hour_unique;
 rsort($maxhour_unique); // Sort busiest unique-visitor-hour to the beginning of the araay
 $maxvalue_unique = $maxhour[0];
 if ($maxvalue_unique == 0) $maxvalue_unique=1; // Value has to be at least 1 or we will have a divide error
 
 // put all total-visitor-data into data-array
 foreach($hour AS $key=>$value)
 { 
  $chart->ReplaceValue($key,$value);
 }

 // put all unique-visitor-data into data-array
 foreach($hour_unique AS $key=>$value)
 { 
  $chart->ReplaceAnotherValue($key,$value);
 }

 // set maximum and minimum chart-values
 $chart->setMaxValue($maxvalue);
 $chart->setMinValue($minvalue);
 // draw chart
 $chart->drawChart();

 ////////////////////////////////////////////////////////////
 // make a new chart for todays pageviews
 ////////////////////////////////////////////////////////////

 unset($chart);

 // make seed
 mt_srand(make_seed());
 $randval2 = mt_rand();

 // create new chart
 $chart = new chart();
 
 // define chart-filename
 $impressionchart_filename = "chart/images/".$my_session->account_id."_impressions24.png";

 // set filename of image to be breated
 $chart->setFilename($impressionchart_filename); 

 // set image height and width properties
 $chart->setWidth(386);
 $chart->setHeight(185);
 
  // construct chart
 $chart->constructChart();
  
 // set color of bars and bar-borders
 $chart->setBarColor('bluegray');
 $chart->setBarBorderColor('black');

 // set image backgroundcolor
 $chart->setBackgroundColor('lightgray');

 // set direction of value-display
 $chart->setValueDirection('vertical');
 
 // set color of values display in/above bars
 $chart->setBarValueColor('white');

 // set number of marks on X and Y axis
 $chart->setTicks_X_Axis(10);
 $chart->setTicks_Y_Axis(24); // 24 hours need 24 ticks on y-axis

 // set graph top offset
 $chart->setGraphTopOffset(5); // top offset

 // set labeloffset on X-axis
 $chart->setLabelOffset(2);

 // set border color,width and border margins
 $chart->setBorderMarginLeft(0);   	// border margin on left side
 $chart->setBorderMarginBottom(0); 	// border margin on bottom side
 $chart->setBorderMarginTop(0); 	// border margin on top side
 $chart->setBorderColor('black');
 $chart->setBackLineColor('black');
 $chart->setBorderWidth(1);

 // set margin
 $chart->setRightMargin(0);   	// margin on right side of image
 $chart->setLeftMargin(21);   	// margin on left side of image
 $chart->setTopMargin(15);   	// margin on right side of image
 $chart->setBottomMargin(20);   // margin on left side of image
 
 // set bar-spacing 
 $chart->setBarSpacing(3);   	// margin on right side of image

 // set axis data
 $chart->setTickColor('black');
 $chart->setAxisColor('black');
 $chart->setValueColor('black');
 $chart->setTickLength(2);
  
 // read visitor-data from database
 $maximpressions = array();
 $impressions = impressiondetails_forday($my_timestamp->day,$my_timestamp->month,$my_timestamp->year,$my_tables->trackingtable); // Call function to get number of impressions for a day

 $maximpressions = $impressions;
 $minimpressions = $impressions;
 sort($minimpressions); // sort weakest hour to the beginning of this array
 rsort($maximpressions); // sort strongest hour to the beginning of this array
 $maxvalue = $maximpressions[0];
 $minvalue = $minimpressions[0];
 if ($maxvalue == 0) $maxvalue=1; // Value has to be at least 1 or we will have a divide error
 if ($minvalue == 0) $minvalue=1; // Value has to be at least 1 or we will have a divide error

 // put all data into graph-data-array
 $x=0;
 foreach($impressions AS $key=>$value)
 { 
  $chart->ReplaceValue($key,$value);
 }

 // set maximum and minimum chart-values
 $chart->setMaxValue($maxvalue);
 $chart->setMinValue($minvalue);
 // draw chart
 $chart->drawChart();
?></td>
                          </tr>
                          <tr>
                            <td><div align="left"><span class="small"><img src="images/arr2.jpg" width="4" height="5"> <?php echo $lang['Visitors_By_Daytime'];?></span></div></td>
                            <td><span class="small"><img src="images/arr2.jpg" width="4" height="5"> <?php echo $lang['Impressions_By_Daytime'];?></span></td>
                          </tr>
                          <tr>
                            <td><img src="<?php echo $visitorchart_filename;?>?id=<?php echo $randval;?>"></td>
                            <td><img src="<?php echo $impressionchart_filename;?>?id=<?php echo $randval2;?>"></td>
                          </tr>
                        </table></td>
                        <td><img src="images/box_right.gif" width="4" height="204"></td>
                      </tr>
                      <tr>
                        <td><img src="images/box_lowleft.gif" width="4" height="11"></td>
                        <td><img src="images/box_bottom.gif" width="100%" height="11"></td>
                        <td><img src="images/box_lowright.gif" width="4" height="11" hspace="0" vspace="0" border="0"></td>
                      </tr>
                    </table>
<a name='refreshtag'></a>
  <br>      
  <form action="overview.php" method="post" name="overviewform" id="myform">
  <table width="100%"  border="0" cellpadding="0" cellspacing="0" class="finelinebox">
    <tr>
      <td><table width=100% border=0 cellpadding="0" cellspacing="0">
        <td colspan="11" class="small"><img src="images/blackdot.gif" width="100%" height="1" hspace="0" vspace="0"></td>
        <tr>
          <td height=17 colspan="8" class="tablehead"><span class="small"> <img src="images/blankspacer.gif" width="2" height="5" border="0"><img src="images/blankspacer.gif" width="2" height="5" border="0"><img src="images/bullet_circle.gif" width="6" height="6" border="0"> <img src="images/blankspacer.gif" width="2" height="5" border="0"><?php echo $lang['Overview_Of_Last'];?> <?php echo $showmax;?> 
            <?
echo $lang['Visitors'];
?>
          </span></td>
        </tr>
        <tr valign="middle">
          <td colspan="8"><span class="small"> <img src="images/blackdot.gif" width="100%" height="1"></span></td>
        </tr>
        <tr valign="middle">
          <td width="15%" valign="middle"><span class="small">
            <img src="images/blankspacer.gif" width="15" height="5">
            <?
echo $lang['Date'];
?>
</span></td>
          <td width="11%"><span class="small">
            <?
echo $lang['Options'];
?>
          </span></td>
          <td width="21%" valign="middle"><span class="small">
            <?
echo $lang['Hostname'];
?>
          </span></td>
          <td width="20%" valign="middle"><span class="small">
            <?
echo $lang['Referer'];
?>
          </span></td>
          <td width=6% valign="middle"><span class="small">
            <?
echo $lang['Unique'];
?>
          </span><span class="small"></span></td>
          <td width="6%" valign="middle"><span class="small">
            <?
echo $lang['Pages'];
?>
          </span></td>
          <td width=10% valign="middle"><span class="small">
            <?
echo $lang['Browser'];
?>
          </span></td>
          <td width=11% valign="middle"><span class="small">
            <?
echo $lang['System'];
?>
          </span></td>
        </tr>
      </table>
        <table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td><span class="small"><img src="images/blackdot.gif" width="100%" height="1"></span></td>
          </tr>
        </table>
          <?php
  if ($current_page == "") $current_page=0;
 if ($low_butt == "") $low_butt = 0;
 if ($high_butt == "") $high_butt = $showbuttons; 
 $step = 1;
 $visitorrow = 1;
 while (@$myarray = mysql_fetch_array($result)) // Run through all entries, limited by $showmax numbers
 {
 $vis_dbid = $myarray['id']; 
 $vis_id = $myarray['visitor_id'];
 $vis_ip = $myarray['visitor_ip'];
 $vis_referertype = $myarray['visitor_referertype'];
 $vis_refererpage = $myarray['visitor_refererpage'];
 $vis_host = $myarray['visitor_hostname'];
 $vis_system = $myarray['visitor_system'];
 $vis_browserfull = $myarray['visitor_browserfull'];
 $vis_proxyinfo = $myarray['proxyinfo'];
 $vis_timestamp = $myarray['unix_timestamp'];
 $vis_unique = $myarray['unique_visit'];

 if ($my_config->timedisplay == '12')
  $vis_hour = strftime( "%I", $vis_timestamp);
 else
  $vis_hour = strftime( "%H", $vis_timestamp);
 
 $vis_am_pm = strftime( "%p", $vis_timestamp);
 $vis_minute = strftime( "%M", $vis_timestamp);
 $vis_second = strftime( "%S", $vis_timestamp);
 $vis_day	 = strftime( "%d", $vis_timestamp);
 $vis_month = strftime( "%m", $vis_timestamp);
 $vis_year = strftime( "%Y", $vis_timestamp);
 $whois_ip = $vis_ip;
 $timebox = $vis_day."#".$vis_month."#".$vis_year."#".$vis_hour."#".$vis_minute."#".$vis_second;
 $timebox = urlencode($timebox);
 if (eregi("STEALTH", $vis_proxyinfo)) {$proxydetail = "STEALTH";}
 else 
 {
 $proxydetail = "TRANSPARENT";
 $proxy_ip = $vis_proxyinfo;
 // test if visitor is browsing the web from the intranet - if so, make IP changes
 $exploded_ip = explode(".",$whois_ip);
 if ($exploded_ip[0]<11) $whois_ip = $proxy_ip;
 }
 if ($step == 1) $bcolor = "#EEEEEE"; // Switch background color of output line
 else if ($step == 2) {$bcolor = "#DFDFDF";} // Switch background color of output line
 {
?>
          <table width="100%" border="0" align="center" cellspacing="0" bgcolor="<?php echo $bcolor;?>" class="small">
            <tr>
              <td width="15%" id="Row<?php echo $x;?>A" class="" onMouseover="hiLite('Row<?php echo $x;?>','overcell');" onMouseout="hiLite('Row<?php echo $x;?>','');"> <img src="images/blankspacer.gif" width="5" height="5" border="0"><img src="images/checkoff.gif" width="8" height="8" border="0" name="checkbox<?php echo $visitorrow;?>"  onclick="checkimg('checkbox<?php echo $visitorrow;?>','<?php echo $visitorrow;?>','<?php echo $vis_dbid;?>')">
                  <input name="<?php echo "visitor".$visitorrow;?>" type="hidden" value="">
                  <input name="<?php echo "currentTimebox".$visitorrow;?>" type="hidden" value="<?php echo $timebox;?>">
                  <?php
$date_string = convert_date_short($vis_day, $vis_month, 'NONE', $my_config->datestyle);

// delete leading zero if timedisplay is set to 12 
if ($my_config->timedisplay == '12')
 if ($vis_hour{0} == '0') $vis_hour = $vis_hour{1};

 echo "$date_string - $vis_hour:$vis_minute ";
 if ($my_config->timedisplay == '12')
  { echo $vis_am_pm;}
 else echo $lang['O_Clock'];

 ?></td>
              <td width="11%" id="Row<?php echo $x;?>B" class="" onMouseover="hiLite('Row<?php echo $x;?>','overcell');" onMouseout="hiLite('Row<?php echo $x;?>','');" ><div align="left"><a href="reports/visitorsteps.php?database_id=<? echo $vis_dbid;?>&timebox=<?php echo $timebox;?>&timestamp=<?php echo $vis_timestamp;?>&vis_day=<?php echo $vis_day;?>&vis_month=<?php echo $vis_month;?>&vis_year=<?php echo $vis_year;?>&pos=<?php echo $pos;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&currentpos=<?php echo $currentpos;?>&current_page=<?php echo $current_page;?>&low_butt=<?php echo $low_butt;?>&high_butt=<?php echo $high_butt;?>"><img src="images/visitortrack.gif" alt="<?php echo $lang['Show_Visitortracking'];?>" width="18" height="9" border="0"></a><a href="javascript:popUp('reports/showtrace.php?vis_dbid=<?php echo $vis_dbid;?>&activesitename=<?php echo urlencode($activesitename);?>',680,450,'Yes')"><img src=images/tracebutton.gif width=18 height=9 border=0 alt="<?php echo $lang['Show_Traceroute'];?>"></a><a href="#refreshtag" onClick="popUp('reports/showwhois.php?vis_dbid=<?php echo $vis_dbid;?>',500,350,'Yes');"><img src=images/whoisbutton.gif width=18 height=9 border=0 alt="<?php echo $lang['Show_Whois'];?>"></a><a href="setup/deletevisitor.php?visitor_dbid=<?php echo $vis_dbid;?>&timebox=<?php echo $timebox;?>&timestamp=<?php echo $vis_timestamp;?>&pos=<?php echo $pos;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&currentpos=<?php echo $currentpos;?>&current_page=<?php echo $current_page;?>&low_butt=<?php echo $low_butt;?>&high_butt=<?php echo $high_butt;?>"><img src=images/deletebutton.gif width=18 height=9 alt="<?php echo $lang['Delete_This_Visitor'];?>" border=0></a> </div></td>
              <td width="21%" id="Row<?php echo $x;?>C" class="" onMouseover="hiLite('Row<?php echo $x;?>','overcell');" onMouseout="hiLite('Row<?php echo $x;?>','');">
                <?php 
 if ($my_db->server_system == 'unix') $relpath = "http://".$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];
 else $relpath = "http://".$_SERVER['HTTP_HOST'].$_SERVER['PHP_SELF'];
 $relpath = substr($relpath,0,strrpos($relpath,'/'));
 // show if visitor is using a proxy and if it's an anonymous proxy
 $vis_host = strtolower($vis_host);

 //  hide IP if in demo-mode
 if ($my_session->usertype == 'DEMO') 
 {
  if (!eregi("[a-z]", $vis_host)) $showvis_host = hideIP($vis_ip);
   else $showvis_host = hideHostname($vis_host);
 
  $showvis_ip = hideIP($vis_ip);
 }
 else
 {
  $showvis_ip = $vis_ip; $showvis_host = $vis_host;
 }
 $titlename = "IP: $showvis_ip";
 if ($vis_referer <> $lang['Direct_Access']) $vis_referer = strtolower($vis_referer);
 if (strlen($vis_host)>$maxfieldlength) // If hostname length longer than 28 chars, cut it.
 {
  $temphost = substr($showvis_host,0,$maxfieldlength-3);
  $temphost .= "...";
  echo "<a href='#refreshtag' onClick=\"popUp('./reports/showvisit.php?vis_dbid=$vis_dbid',400,410,'yes');\" title=\"$titlename\">";
  echo "$temphost";
  echo "</a>";
 }
 else
 {
  echo "<a href='#refreshtag' onClick=\"popUp('./reports/showvisit.php?vis_dbid=$vis_dbid',400,410,'yes');\" title=\"$titlename\">";
  echo "$showvis_host";
  echo "</a>";}
?></td>
              <td width="20%" id="Row<?php echo $x;?>D" class="" onMouseover="hiLite('Row<?php echo $x;?>','overcell');" onMouseout="hiLite('Row<?php echo $x;?>','');">
                <?php 
 if ($vis_referertype == 'Direct Access') {echo $lang['Direct_Access'];}
 else 
 {
  echo "<a href='$vis_refererpage' title='$vis_refererpage' target='blank'>";
  if (strlen($vis_refererpage)>$maxfieldlength && eregi("\+\+\+", $vis_refererpage)) // If referer length longer than 32 chars, cut it.
  { 
   $temprefererpage = substr($vis_refererpage,0,$maxfieldlength-3);
   $temprefererpage .= "...";
   $vis_refererpage = $temprefererpage;
   echo $vis_refererpage;
  }
  elseif(strlen($vis_refererpage)>$maxfieldlength && !eregi("\+\+\+", $vis_refererpage)) // If referer length longer than 32 chars, cut it.
  {
   $temprefererpage = substr($vis_refererpage,0,$maxfieldlength-3);
   $temprefererpage .= "...";
   $vis_refererpage = $temprefererpage;
   echo $vis_refererpage;
  }
  else { echo $vis_refererpage ;}
 } 
 if ($vis_referer != 'Direct Access') echo "</a>";
?></td>
              <td width="7%" id="Row<?php echo $x;?>E" class="" onMouseover="hiLite('Row<?php echo $x;?>','overcell');" onMouseout="hiLite('Row<?php echo $x;?>','');"><?php if ($vis_unique == "TRUE") echo $lang['Yes']; else echo $lang['No'];?></td>
              <td width="5%" id="Row<?php echo $x;?>F" class="" onMouseover="hiLite('Row<?php echo $x;?>','overcell');" onMouseout="hiLite('Row<?php echo $x;?>','');"><?php
  $pageviewstotal  = pages_for_user($vis_dbid, $vis_timestamp, $vis_id, $vis_ip, $timebox, $my_tables->maintable, $my_tables->trackingtable); 
 echo $pageviewstotal;
 ?></td>
              <td width="10%" id="Row<?php echo $x;?>G" class="" onMouseover="hiLite('Row<?php echo $x;?>','overcell');" onMouseout="hiLite('Row<?php echo $x;?>','');"> <a href="#refreshtag" title="<?php echo $lang['Show_Browserstamp'];?>" onClick="popUp('reports/showstamp.php?vis_dbid=<?php echo $vis_dbid;?>',340,200,'Yes');">
                <?php
 if (strlen($vis_browserfull) > $browserfieldlength)
 {
  $browser_output  = substr($vis_browserfull,0, $browserfieldlength);
  $browser_output .= "...";
 }
 else $browser_output = $vis_browserfull;
 echo $browser_output;

?>
              </a></td>
              <td width="11%" id="Row<?php echo $x;?>H" class="" onMouseover="hiLite('Row<?php echo $x;?>','overcell');" onMouseout="hiLite('Row<?php echo $x;?>','');"><?php 
 echo $vis_system;
?></td>
            </tr>
          </table>
          <span class="small">
          <?php }
 $visitorrow++;
 $x++;
 if ($step == 1) $step = 2;
 else if ($step == 2) {$step = 1;}
 unset($vis_proxyinfo); // delete proxy variable for next mysql result 
 unset($exploded_proxy); // delete proxy array for next mysql result 
 }
?>
          </span>
        </td>
    </tr>
  </table>
                  <table width=100% border=0 cellpadding="0" cellspacing="0">
                      <tr valign="middle" class="smallBlack">
                        <td colspan="3"><span class="small"><img src="images/blackdot.gif" width="100%" height="1"></span></td>
                      </tr>
                      <tr valign="middle" class="smallBlack">
  <td>
  </tr>
                      <tr valign="middle" class="smallBlack">
                        <td colspan="3"><span class="small">                        </span>
                          <table width="100%" border="0" cellpadding="0" cellspacing="0" class="small">
                            <tr>
                              <td colspan="3"><img src="images/blankspacer.gif" width="5" height="5"></td>
                            </tr>
                            <tr>
                              <td width="21%"><b>
  <SCRIPT TYPE="text/javascript">
<!--
var delselected = new submitForm("images/delete.gif","images/delete_down.gif","deleteselected","deleteselected");
delselected.alt ="Selektierte Besuchereintrge aus Datenbank lschen";
delselected.write();
//-->
</SCRIPT>
  <font size=1 face="Verdana, Arial, Helvetica, sans-serif" color=#FFCC66>
  <input name="action" type="hidden" id="action" value="deleteselected">
  </font>
  <SCRIPT TYPE="text/javascript">
<!--
var sr3 = new submitForm("images/block.gif","images/block_down.gif","blockselected","blockselected");
sr3.alt ="Selektierte Besuchereintrge in Blacklist aufnehmen";
sr3.write();
//-->
</SCRIPT>
  
</b></td>
                              <td width="41%"><?php
 $To_First_Entry  = $lang['To_First_Entry'];
 $To_Last_Entry   = $lang['To_Last_Entry'];
 $Show_Newer_Data = $lang['Show_Newer_Data'];
 $Show_Older_Data = $lang['Show_Older_Data'];

 $endpos=$visitors_month_total-1;
 $checkpos=$pos+$showmax; 
 $nextpos=$pos+1;
 $newpos=($pos-$showmax);
 if ($newpos<0) $newpos=0;
 if (isset($_REQUEST['currentpos'])) $currentpos = $_REQUEST['currentpos'];
 else $currentpos=($pos+$showmax);
 if (isset($_REQUEST['current_page'])) $current_page = $_REQUEST['current_page'];
 // let user browse through results
 @$pages = ceil($total_val/$showmax)-1; // calculate total number of pages needed to display all data
 if(!isset($current_page)) $current_page=0;
 if(!isset($low_butt)) $low_butt=0;
 if(!isset($high_butt)) $high_butt=$showbuttons;
 if ($high_butt>$pages) $high_butt = $pages;

 // show goto-start arrows if needed
 if ($current_page > 0 && $pages>$showbuttons || $current_page>ceil($showbuttons/2))
 echo "<a href='overview.php?limitday_low=$limitday_low&limitday_high=$limitday_high&pos=0&showmax=$showmax&current_page=0&low_butt=0&high_butt=$showbuttons&reloaded=TRUE&#refreshtag'> << </a>|";
 else echo "";
 $buttoncounter = 1;
 $endingpos = $total_val-$showmax;
 $endinglow = $pages-$showbuttons;
 $endinghigh = $pages;

 for($x=$low_butt; $x<=$high_butt; $x++)
 {
 if ($x > $total_val && $pages>$showbuttons || $button_counter>$showbuttons) BREAK;
 $new_high_button = $x+$showbuttons-ceil($showbuttons/2); if ($new_high_button > $pages) {$new_low_button = $pages-$showbuttons; $new_high_button = $pages;}
 $new_low_button = $x-ceil($showbuttons/2); if ($new_low_button < 0) {$new_low_button = 0; $new_high_button = $showbuttons;}
 $browse_pos = $x*$showmax;
 if ($current_page == 0 && $browse_pos == 0) $browse_pos = $showmax;
 if ($x == $current_page) echo "<b> $x</b> | ";
 $zeigepos = $browse_pos + $showmax;
 if ($x <> $current_page && $x >= 0) echo "<a href='overview.php?limitday_low=$limitday_low&limitday_high=$limitday_high&pos=$browse_pos&showmax=$showmax&current_page=$x&low_butt=$new_low_button&high_butt=$new_high_button&oldbuttonpos=$current_page&reloaded=TRUE#refreshtag'> $x </a>|";
 $button_counter++;
 }
 // show goto-end arrows if needed 
 if ($current_page < $pages || $current_page<$pages-ceil($showbuttons/2) || $current_page+ceil($showbuttons/2)<$pages)
 echo "<a href='overview.php?limitday_low=$limitday_low&limitday_high=$limitday_high&pos=$endingpos&showmax=$showmax&current_page=$pages&low_butt=$endinglow&high_butt=$endinghigh&reloaded=TRUE#refreshtag'> >> </a>";
?>
                              <input name="pos" type="hidden" id="pos" value="<?php echo $pos;?>">
                              <input name="current_page" type="hidden" id="current_page" value="<?php echo $current_page;?>">
                              <input name="limitday_low2" type="hidden" id="limitday_low3" value="<?php echo $limitday_low;?>">
                              <input name="limitday_high2" type="hidden" id="limitday_high3" value="<?php echo $limitday_high;?>">
                              <input name="high_butt" type="hidden" id="high_butt" value="<?php echo $high_butt;?>">
                              <input name="low_butt" type="hidden" id="low_butt" value="<?php echo $low_butt;?>"></td>
                              <td width="38%">
                              <div align="right"><?php
 // Right here the user will be able to page through the data
 @$current_page = ceil(($pos+$showmax)/$showmax);
 if ($pos > 0 && $current_page >= 0)
 { 
 $back_current = $current_page - 2;
 $lowbuttprev = $low_butt - 1;
 $highbuttprev = $current_page + 1;
 if ($highbuttprev <= $showbuttons) $highbuttprev = $showbuttons;

 echo "<a href='overview.php?limitday_low=$limitday_low&limitday_high=$limitday_high&pos=0&showmax=$showmax&current_page=0&low_butt=0&high_butt=$showbuttons&reloaded=TRUE#refreshtag' onMouseOut=\"MM_swapImgRestore()\" onMouseOver=\"MM_swapImage('Start','','images/tostart_down.gif',1)\"><img name='Start' src='images/tostart.gif' width='81' height='13' border='0' align='absmiddle' alt='$To_First_Entry'></a><img src='images/blankspacer.gif' width='6' height='4' border='0'>";
 echo "<a href='overview.php?limitday_low=$limitday_low&limitday_high=$limitday_high&pos=$newpos&showmax=$showmax&current_page=$back_current&low_butt=$lowbuttprev&high_butt=$highbuttprev&reloaded=TRUE#refreshtag' onMouseOut=\"MM_swapImgRestore()\" onMouseOver=\"MM_swapImage('Newer','','images/newerdata_down.gif',1)\"><img name='Newer' src='images/newerdata.gif' width='81' height='13' border='0' align='absmiddle' alt='$Show_Newer_Data'></a><img src='images/blankspacer.gif' width='6' height='4' border='0'>";
 } 
 if($total_val> $currentpos)
 {
 $pos += $showmax;
 if ($low_butt > 0) $lowbuttnext = $low_butt + 1;
 $highbuttnext = $high_butt + 2;
 echo "<a href='overview.php?limitday_low=$limitday_low&limitday_high=$limitday_high&pos=$pos&showmax=$showmax&low_butt=$lowbuttnext&high_butt=$highbuttnext&oldbuttonpos=$current_page&current_page=$current_page&reloaded=TRUE#refreshtag' onMouseOut=\"MM_swapImgRestore()\" onMouseOver=\"MM_swapImage('olderdata','','images/olderdata_down.gif',1)\"><img name='olderdata' src='images/olderdata.gif' width='81' height='13' border='0' align='absmiddle' alt='$Show_Older_Data'></a><img src='images/blankspacer.gif' width='6' height='4' border='0'>";
 }
 $current_page--; // Fix $current_page value bis substracting one 
 if ($current_page<$pages)
 echo "<a href='overview.php?limitday_low=$limitday_low&limitday_high=$limitday_high&pos=$endingpos&showmax=$showmax&low_butt=$endinglow&high_butt=$endinghigh&current_page=$pages&reloaded=TRUE#refreshtag' onMouseOut=\"MM_swapImgRestore()\" onMouseOver=\"MM_swapImage('Ende','','images/toend_down.gif',1)\"><img name='Ende' src='images/toend.gif' width='81' height='13' border='0' align='absmiddle' alt='$To_Last_Entry'></a>";
?></div></td>
                            </tr>
                            <tr>
                              <td colspan="3"><img src="images/blankspacer.gif" width="5" height="5"></td>
                            </tr>
                            <tr>
                              <td colspan="3"><img src="images/blackdot.gif" width="100%" height="1"></td>
                            </tr>
                          </table>
                          <table width="100%" border="0" cellspacing="0" cellpadding="0">
                            <tr>
                              <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
                                <tr>
                                  <td><img src="images/blankspacer.gif" width="5" height="5"></td>
                                </tr>
                              </table>
						    <table width=100% border=0 cellpadding=0 cellspacing=0>
                                <tr>
                                  <td width="65%" colspan="1" valign="middle"><img src="images/blankspacer.gif" width="5" height="5"></td>
                                </tr>
                                <tr>
                                  <td colspan="6" valign="middle" class="small"><span class="smallBold"><?php echo $lang['Quicklink'];?></span>  <span class="small"><a href="./reports/weekreport.php"><?php echo $lang['Weekreport'];?></a></span>, <span class="small"><a href="./reports/monthreport.php"><?php echo $lang['Monthreport'];?></a></span>, <span class="small"><a href="./reports/yearreport.php"><?php echo $lang['Yearreport'];?></a></span>
  </td>
                                </tr>
                              </table>
						    <br></td>
                            </tr>
                          </table>
                        </td>
                      </tr>
                </table></form>                  </td>
                </tr>
        </table>      </td></tr>
</table>
</div>
</body>
</html>



