<?
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

#####################################################################
# NOTICE: This is the standard binary:STAT tracking-routine
#####################################################################


function get_trackingdata($my_config, $my_tables, $trackmode='DYNAMIC', $trackname='XXXX', $websitename='DETECT')
{
 // set global variables
 global $my_tables, $my_db, $my_conn, $my_config, $my_timestamp, $my_robots, $visitor_data, 
        $abort_logging, $block_result, $robot_check, $page_short, $page_fullpath,
        $page_referer, $trackname, $trackmode, $websitename, $logitmode, $blockingtime,
        $mode, $numframes;
         
 // set plugin-type
 $plugin_type = 'STANDARD';

 #############################################################################
 ## parse url of requested page
 #############################################################################

 // is script in javascript-mode? Use two different methods to retrieve path of requested page
 if ($mode == 'JSMODE')
  $parsed_url = parse_url($page_fullpath);
 elseif ($mode == 'NOSCRIPT')
  $parsed_url = parse_url($_SERVER['HTTP_REFERER']);


 // is visitor a robot/spider?
 if ($mode == 'ROBOT')
  $parsed_url = parse_url($_SERVER['SCRIPT_NAME']);

 $visitor_realpagename = $parsed_url['path'];
 if (!empty($parsed_url['query'])) $visitor_realpagename .= '?'.$parsed_url['query'];

 // if name of page is empty, save name as configured in setup ($my_config->indexpage)
 if ($visitor_realpagename == '/' || $visitor_realpagename == '/.' || empty($visitor_realpagename))
  $visitor_realpagename = $my_config->indexpage;


 #############################################################################
 ## STATIC TRACKING
 #############################################################################
 if ($trackmode == 'STATIC')
 { 
  // assing real-websitename to $visitor_webpage
  $visitor_webpage = $visitor_realpagename;
 }

 #############################################################################
 ## DYNAMIC TRACKING 
 #############################################################################
 elseif ($trackmode == 'DYNAMIC')
 { 
  // user wants to give requested page an own name by default, no matter what
  if ($trackname != 'DETECT') {$visitor_webpage = $trackname;} // user wants to give page an predefined name
  elseif ($trackname == 'DETECT')
  {
   ///////////////////////////////////////////////////////////////////////////////////////////////////////
   // User does not want to give a dynamic created webpage a name by default when its called by a 
   // visitor. necessary action: get webpagename of requested webpage including the query that
   // comes together with the webpage. then search for the $query_key in that query.
   ///////////////////////////////////////////////////////////////////////////////////////////////////////

   ######################################################################################################
   ## METHOD #1: WEBSITE IS USING STANDARD URL -> example: index.php?show=index&pages=5
   ######################################################################################################
   if ($my_config->urltype == 'STANDARD')
   {
    // parse url
    @$parsed_query = parse_url($visitor_realpagename);
   
    // explode URI into several packets
    @$uri_elements = explode('&', $parsed_query['query']);
   }
   else $uri_elements = array();


   ######################################################################################################
   ## METHOD #2: WEBSITE IS USING SEARCHENGINE-SAFE URL -> example: index.php/show/index/pages/5
   ######################################################################################################
   if ($my_config->urltype == 'SAFE')
   {
    // get path information and explode it into packets
    $my_path = $parsed_url['path'];
    // check if first char of path is a "/" -> if so, cut it off
    $first_char = $mypath{0};
    if ($first_char == '/') $my_path = substr($my_path,1,strlen($my_path));
    // explode path information into packets
    $pathArray = explode('/', $my_path);
    // pop off first element from array -> its the filename which we dont need
    array_shift($pathArray);     
    
    // Safe-URI could look like this: /cat/87fg238476/prod/2987634 or like this: /cat=87fg238476/prod=2987634
    // check type of format variables can be identified correctly
    foreach ($pathArray AS $current_element)
    {
     if (substr_count($current_element, '=') > 0)
     {
      $exploded_elements = explode('=', $current_element);
      foreach ($exploded_elements AS $new_element)
      {
       $final_array[] = $new_element;
      }     
     }    
     else
     {
      if ($current_element != '/') $final_array[] = $current_element; 
     }
    }

    // hand over array
    if (count($final_array)>0) $pathArray = $final_array;
    
    // count array
    $elements = count($pathArray);
    $x=0;
    // get keys
    for ($x=0; $x<$elements; $x++)
    {
     $temp_keys[] = $pathArray[$x];
     $x++;
    }
    // get elements
    for ($x=1; $x<$elements; $x++)
    {
     $temp_values[] = $pathArray[$x];
     $x++;
    }
    // build final array
    for ($x=0; $x<count($temp_keys); $x++)
    {
     $uri_elements [] = trim($temp_keys[$x].'='.$temp_values[$x]);
    }
   }
   
   ######################################################################################################
   ## GO ON WITH CODE (ITS THE SAME FOR STANRDARD AND SAFE URLS):
   ## compare packets with entries in dynamictable 
   ######################################################################################################
   foreach ($uri_elements AS $current_element)
   { 
    $current_element = trim($current_element);
    $sql = "SELECT fieldtype, realname FROM $my_tables->dynamictable WHERE idstring = '$current_element' AND websitename = '$websitename'";
    @$result = $my_db->query($sql);
    if ($result)
    {
     $my_array  = mysql_fetch_assoc($result); 
     $realname  = $my_array['realname']; 
     $fieldtype = $my_array['fieldtype']; 
    }
   
    if ($fieldtype == 'ELEMENT') $element = $realname;
     elseif ($fieldtype == 'CATEGORY') $category = $realname;
    
    // explode current element and check if it equals the $extra-variable
    $exploded_elements = explode('=', $current_element);
    if (trim($exploded_elements[0]) == trim($extra))
    {
     $extra_value = $exploded_elements[1];
    }
    else $extra_value = '';
   }
    
   // create final "realname" for tracked page
   $visitor_webpage = $category; if ($element != '') $visitor_webpage .= " ".$element;

   // if $extra_value is set, append it to pagename
   if ($extra_value != '') $visitor_webpage .= '  '.$extra_value;

   // cleanup webpage name
   $visitor_webpage = trim($visitor_webpage); 
  }
 }
 
 if (strlen($visitor_webpage) < 1 || empty($visitor_webpage)) $visitor_webpage = $visitor_realpagename; 

 #####################################################################
 # end of standard routine 
 #####################################################################

 // hand over variables and store them in array
 $pages_container['visitor_webpage'] 	  = $visitor_webpage;
 $pages_container['visitor_realpagename'] = $visitor_realpagename;

 // check if index page has been called and if a dynmaic indexpage name is set
  if ($pages_container['visitor_realpagename'] == $my_config->indexpage && !empty($my_config->indexdynamicname))
   $pages_container['visitor_webpage'] = $my_config->indexdynamicname;
 
 // return data to calling function 
 return $pages_container;
}
?>