<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

 // TAKE STARTING TIME
 $starttime       = microtime(); 
 $starttime   	  = explode(' ',$starttime); 
 $starttime   	  = $starttime[1] + $starttime[0]; 
 $timescriptstart = $starttime; 
 $timeparts 	  = explode(' ',microtime());
 $starttime 	  = $timeparts[1].substr($timeparts[0],1); 

 if (function_exists('gzcompress')) ob_start('ob_gzhandler'); // use gzip compression

 $include_path = dirname(__FILE__); $include_path .= '/';
 include_once ($include_path.'./../language/language.inc.php');
 include_once ($include_path.'./../includes/global.inc.php');
 include_once ($include_path.'./../includes/binarystat.inc.php');
 include_once ($include_path.'./../includes/getcountry.inc.php');
 include_once ($include_path.'./../includes/dbactions.inc.php');
 include_once ($include_path.'./../includes/timezone.inc.php');
 include_once ($include_path.'./../includes/sessions.inc.php');
 include_once ($include_path.'./../includes/configdata.inc.php');
 include_once ($include_path.'./../includes/exportdata.inc.php');
 include_once ($include_path.'./../includes/showflag.inc.php');
 include_once ($include_path.'./../includes/timeconverter.inc.php');

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp(); 

 // check if user is logged in or not
 if ($my_session->logged_in == 'FALSE') { header('Location: ../login/loginfirstmessage.php');	exit();}

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // get configuration data 
 $my_config   = new configdata;
 $my_config -> get_configdata($my_tables->websitestable, $activesitename, $my_tables->accounttable, $my_session->account_id);

 // maximum width for hostname-graph
 $graphmaxwidth = 320;
 
 // number of days in this month
 $numofdays = date ("d", mktime(0,0,0,$my_timestamp->month+1,0,$my_timestamp->year));

 // get limitday-values
 $limitday_low  = $_REQUEST['limitday_low'];
 $limitday_high = $_REQUEST['limitday_high'];

 // set date limiter
 if (empty($limitday_low))  $limitday_low  = 1;
 if (empty($limitday_high)) $limitday_high = $numofdays;
 if ($limitday_high > $numofdays) $limitday_high = $numofdays;
 if ($limitday_low < 1) $limitday_low = 1;

 // check if this page needs to be printed
 $print  = $_REQUEST['print'];

 // get searchphrase and unset it if nescessary
 $searchphrase = trim($_REQUEST['searchphrase']);
 if(empty($searchphrase) || $searchphrase == $lang['Enter_Searchphrase']) unset($searchphrase);

 // get $showmax-value
 $showmax = $_REQUEST['showmax'];

 // set number of entries to display
 if (empty($showmax) || !isset($showmax)) $showmax = $my_config->showentries;

 // set some query parameters
 $fieldname    = 'visitor_country';
 $datefield    = 'visitor_date';
 $tablename    = $my_tables->maintable;
 $visitor_type = 'HUMAN';
 $additional   = " AND visitor_country != 'Unknown'";

 // get countries for this month
 $data_container 		= topvalues($limitday_low,$limitday_high,$my_timestamp->month,$my_timestamp->year, $tablename, $showmax, $searchphrase, $fieldname, $datefield, $visitor_type, $additional);
 $data_container_count 	= count($data_container);
 $values_total	 		= topvalues_total($limitday_low, $limitday_high, $my_timestamp->month, $my_timestamp->year, $tablename, $fieldname, $datefield, $visitor_type, 'DISTINCT',$additional);

 // get total value of keys in $data_container
 while (@list($thekey, $thevalue) = each ($data_container)){$totalcount += $thevalue;} 
 reset ($data_container);
 
 // calculate total number of entries / total number of search results
 if ($searchphrase != '' || $limitday_low > 1 || $limitday_high < $numofdays)
  $values_total = $data_container_count;

 // check if $showmax is within limits
 if ($showmax > $values_total) $showmax = $values_total;
 if ($showmax < 1) $showmax = 1;
 if (!$_POST['limit'] && $showmax < $values_total) $showmax = $values_total;
 if ($showmax > $my_config->showentries && !$_POST['limit']) $showmax = $my_config->showentries;

 //  ###### EXPORT DATA ######			
 if ($_REQUEST['export'] == 'TRUE')
 {
  // set headings
  $heading1 = $lang['Country'];
  $heading2 = $lang['Visitors'];
  $heading3 = $lang['Percent'];

  // set from where the data is coming from -> will be used in filename
  $export_origin = "countries";
 
  // get account_id -> will be used in filename
  $account_id 	= $_SESSION['account_id'];

  // set fileformat and filename
  $fileformat   = "csv";
  $filename 	= "./export/".$account_id."_".$export_origin.".".$fileformat;
 
  // export data
  export_to_file($data_container, $totalcount, $filename, $fileformat, $heading1, $heading2, $heading3);
  exit();
 }
 //  #########################

 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>

<html>
<head>
<title><?php echo $lang['Countries'];?></title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/divresize.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>
<script language="JavaScript" type="text/JavaScript">
<!--
///////////////////////////////////////////////////////
function printme()
{
 target = "<?php echo $_SERVER['PHP_SELF'];?>?print=TRUE&limitday_low=<?php echo $limitday_low?>&limitday_high=<?php echo $limitday_high;?>&searchphrase=<?php echo $searchphrase;?>&showmax=<?php echo $showmax;?>"
 window.open(target, 'printWindow', 'height=500,width=980, scrollbars');return false;
}
function exportme()
{
 target = "<?php echo $_SERVER['PHP_SELF'];?>?export=TRUE&limitday_low=<?php echo $limitday_low?>&limitday_high=<?php echo $limitday_high;?>&searchphrase=<?php echo $searchphrase;?>&showmax=<?php echo $showmax;?>"
 document.getElementById("exportframe").src = target;
}
///////////////////////////////////////////////////////
function hiLite(rowname, cname)
{ 
  document.getElementById(rowname+"A").className = cname;
  document.getElementById(rowname+"B").className = cname;
  document.getElementById(rowname+"C").className = cname;
  document.getElementById(rowname+"D").className = cname;
  document.getElementById(rowname+"E").className = cname;
  document.getElementById(rowname+"F").className = cname;
}

function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}

function starthiding()
{
 top.parent.hidemymenus();
}
function focuscursor()
{
 parent.menuframe.document.getElementById('searchphrase').focus();
}
function setfocus()
{
 setTimeout("focuscursor()",1000);
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?searchphrase=<?php echo $searchphrase;?>&changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&displayframe_name=reports/countries.php';
}
//-->
</script>
</head>
<body onload="<?php if ($print) echo "window.print();";?> showLayer('contentlayer');MM_preloadImages('../images/today_down.gif','../images/ystday_down.gif');reloadmenu();setfocus();">
<div id="contentlayer" onmouseover="starthiding();" style="position:relative; z-index:10; visibility: hidden;">
<?php if ($print) {?>
<table width="100%"  border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td><table width="100%"  border="0" align="center" cellpadding="0" cellspacing="0">
        <tr>
          <td width="25%" height="12" class="large_black"><img src="../images/printoutlogo.jpg" width="156" height="74"><br></td>
          <td width="75%" class="large_black"><div align="right" class="large_blackBold"><strong><strong><?php echo $lang['Report'];?>:<img src="../images/blankspacer.gif" width="10" height="5" border="0"> </strong><?php echo $lang['Countries'];?></strong></div>              </td>
        </tr>
        <tr>
          <td height="13" colspan="2" class="large_black"><br></td>
        </tr>
    </table></td>
  </tr>
</table>
<?php }?>
<table width="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td><?php if (!$print) {?>
          <table width="100%" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td width="72%"> <span class="smallBold"><? echo $lang['Overview'];?> </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
              <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
            </tr>
          </table>
          <?php }?>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
          <br><?php if ($print) {?>
          <table width="100%"  border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td><table width="98%"  border="0" align="center" cellpadding="0" cellspacing="0">
                <tr>
                  <td width="16%" height="25" class="smallBold"><span class="small"><?php echo $lang['Websitename'];?></span></td>
                  <td width="3%" height="25" class="smallBold">:</td>
                  <td width="30%" height="25"><span class="small"><?php echo $activesitename;?></span></td>
                  <td width="19%" height="25"><span class="smallBold"><span class="small"><?php echo $lang['Searchphrase'];?></span></span></td>
                  <td width="3%" class="smallBold">:</td>
                  <td width="29%"><span class="small">
 <?php
 $temp_phrase = str_replace(" "," + ",$searchphrase);
 if ($temp_phrase == '') echo $lang['No_Searchquery']; else echo $temp_phrase;?>
                  </span></td>
                </tr>
                <tr>
                  <td height="25" class="smallBold"><span class="small"><?php echo $lang['Chosen_Timeframe'];?></span></td>
                  <td height="25" class="smallBold">:</td>
                  <td height="25"><span class="small"><?php echo $limitday_low.".  - ".$limitday_high.".";?> <?php echo $lang['DateTime'][$my_timestamp->monthlong]." "; echo $my_timestamp->year;?></span></td>
                  <td height="25"><span class="smallBold"><span class="small"><?php echo $lang['Report_Date_Of_Creation'];?></span></span></td>
                  <td class="smallBold">:</td>
                  <td height="25"><span class="small">
                    <?php 
 // output day, month, year
 $date_string = convert_date($my_timestamp->day, $my_timestamp->month, "", $my_config->datestyle); echo $date_string." ".$my_timestamp->year;

 // output time 
 $display_hour= gethour($my_timestamp->hour, $my_config->timedisplay);
 echo " - ".$display_hour['hour'].":".$my_timestamp->minute." ";
 if ($my_config->timedisplay == '12') echo $my_timestamp->am_pm;
  else echo $lang['O_Clock'];
?>
                  </span></td>
                </tr>
              </table>              </td>
            </tr>
          </table>
          <img src="../images/blackdot.gif" width="100%" height="1"><br><br><?php }?>
<?php if (!$print) {?>
<table width="100%" border=0 cellpadding=2 cellspacing=3>
  <tbody>
    <tr>
      <td align=middle class="dottedbox"><table width="100%" border="0" cellspacing="5" cellpadding="0">
          <tr>
            <td width="115"><div align="justify"><img src="../images/countriesbox.jpg" width="107" height="77"></div></td>
            <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Countries'];?></div></td>
          </tr>
      </table></td>
    </tr>
  </tbody>
</table>
<br>
<table cellspacing=0 cellpadding=1 width=100% border=0>
  <tr>
    <td valign="top" bgcolor="#5C5C5C"><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td><table width=100% border=0 cellpadding="0" cellspacing="0" class="tablehead">
            <tr>
              <td colspan="7" class="tablehead"></td>
            <tr class="small">
              <td height="16" valign="middle" class="tablehead"><img src="../images/blankspacer.gif" width="5" height="8" border="0"><img src="../images/bullet_circle.gif" width="6" height="6" border="0"> <img src="../images/blankspacer.gif" width="2" height="5" border="0"><?php echo $lang['Countries'];?> (<?php echo $values_total;?>)</td>
            </tr>
            <tr>
              <td colspan="7" class="small"><strong><img src="../images/blackdot.gif" width="100%" height="1" hspace="0" vspace="0"></strong></td>
          </table>
            <table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr valign="middle" class="optionsbackground">
                <td width="3%"><span class="small"><strong><img src="../images/blankspacer.gif" width="5" height="35" border="0"></strong></span></td>
                <td width="25%">
                  <form action="countries.php" method="post" name="searchform" id="searchform">
                    <table width="100%" border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="91%">
                          <div align="left">
                            <input name="searchphrase" type="text" style="width: 160px; font-family: Arial,Helvetica; font-size: 7pt; border: 1px #2f2f2f solid; 
 background-color:#FFFFFF" value="<?php echo $searchphrase;?>" size="1" maxlength="380">
                        </div></td>
                        <td width="9%"><div align="left"><span class="small"><a href="#" onClick="document.searchform.submit();";><?php echo $lang['Search'];?>
                                    <input name="limitday_low" type="hidden" id="limitday_low" value="<?php echo $limitday_low;?>">
                                    <input name="limitday_high" type="hidden" id="limitday_high" value="<?php echo $limitday_high;?>">
                        </a></span></div></td>
                      </tr>
                    </table>
                </form></td>
                <td width="6%"><div align="center"><img src="../images/divider.gif" width="2" height="25"></div></td>
                <td width="18%"><div align="center"><a href="<?php echo $_SERVER['PHP_SELF'];?>?limitday_low=<?php echo $my_timestamp->day;?>&limitday_high=<?php echo $my_timestamp->day;?>&searchphrase=<?php echo $searchphrase;?>&showmax=<?php echo $showmax;?>" onMouseOut="MM_swapImgRestore()" onMouseOver="MM_swapImage('today','','../images/today_down.gif',1)"><img src="../images/today.gif" alt="<?php echo $lang['Show_Data_Today'];?>" name="today" width="55" height="13" border="0" align="absmiddle" id="today"></a><img src="../images/blankspacer.gif" width="10" height="5" border="0"><a href="<?php echo $_SERVER['PHP_SELF'];?>?limitday_low=<?php echo $my_timestamp->dayyesterday;?>&limitday_high=<?php echo $my_timestamp->dayyesterday;?>&searchphrase=<?php echo $searchphrase;?>&showmax=<?php echo $showmax;?>" onMouseOut="MM_swapImgRestore()" onMouseOver="MM_swapImage('yesterday','','../images/ystday_down.gif',1)"><img src="../images/ystday.gif" alt="<?php echo $lang['Show_Data_Yesterday'];?>" name="yesterday" width="55" height="13" border="0" align="absmiddle" id="yesterday"></a> </div></td>
                <td width="5%"><div align="center"><img src="../images/divider.gif" width="2" height="25"></div></td>
                <td width="22%"><form action="countries.php" method="post" name="showmaxform" id="showmaxform">
                    <table width="100%" border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="37%" valign="middle"><div align="left"><span class="small"><a href="#" onClick="document.searchform.submit();";><?php echo $lang['Entries'];?></a>:</span></div></td>
                        <td width="31%" valign="middle"><div align="left"><span class="small">
                            <input name="showmax" type="text" id="showmax" style="width: 35px; font-family: Arial,Helvetica; font-size: 7pt; border: 1px #2f2f2f solid; 
 background-color:#FFFFFF" value="<?php echo $showmax; ?>" size="1" maxlength="5">
                        </span></div></td>
                        <td width="32%">
                          <div align="left">
                            <script type="text/javascript">
<!--
var limitdisplay = new submitForm("../images/limit.gif","../images/limit_down.gif","limitdisplay");
limitdisplay.alt = "<?php echo $lang['Limit'];?>";
limitdisplay.write();
//-->
                                      </script>
                            <input name="searchphrase2" type="hidden" id="searchphrase" value="<?php echo $searchphrase;?>">
                            <input name="limitday_low" type="hidden" id="limitday_low" value="<?php echo $limitday_low;?>">
                            <input name="limitday_high" type="hidden" id="limitday_high" value="<?php echo $limitday_high;?>">
                            <input name="limit" type="hidden" id="limit" value="TRUE">
                        </div></td>
                      </tr>
                    </table>
                </form></td>
                <td width="6%" class="small"><div align="center"><img src="../images/divider.gif" width="2" height="25"></div></td>
                <td width="15%" class="small"><a href="#" title="<?php echo $lang['Print'];?>" onClick="printme();"><?php echo $lang['Print'];?></a><img src="../images/blankspacer.gif" width="10" height="5" border="0"> <a href="#" title='<?php echo $lang['Export'];?>' onClick="exportme();";><?php echo $lang['Export'];?></a></td>
              </tr>
          </table></td>
      </tr>
    </table></td>
  </tr>
</table>
<?php }?><br>
          <TABLE cellSpacing=0 cellPadding=1 width=100% border=0>
            <TR>
              <TD valign="top" bgColor="#818181"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td><table width=100% class="tablehead" border=0 cellpadding="0" cellspacing="0">
                      <tr>
                        <td colspan="11" class="tablehead"></td>
                      <tr class="tablehead">
                        <td width="24%" height="16" class="tablehead"><img src="../images/blankspacer.gif" width="5" height="8" border="0"><img src="../images/bullet_circle.gif" width="6" height="6" border="0"> <img src="../images/blankspacer.gif" width="2" height="5" border="0"><?php echo $lang['Countries'];?> <?php echo $lang['For'];?>: <?php echo $lang['DateTime'][$my_timestamp->monthlong]." "; echo $my_timestamp->year;?></td>
                        <td width="7%" class="tablehead"><?php echo $lang['Flag'];?></td>
                        <td width="7%" class="tablehead"><?php echo $lang['Short_Form'];?></td>
                        <td width="55%" class="tablehead"><?php echo $lang['Visitors'];?></td>
                        <td width="7%" class="tablehead"><?php echo $lang['Percent'];?></td>
                      </tr>
                      <tr>
                        <td colspan="11" class="small"></td>
                    </table>
                    <table width="100%" border="0" cellspacing="0" cellpadding="0">
                          <tr valign="middle" bgcolor="#EBEBEB">
                            <td><span class="small"><img src="../images/blankspacer.gif" width="5" height="2" border="0"></span></td>
                          </tr>
                          <tr valign="middle" bgcolor="#EBEBEB">
                            <td><span class="small"><strong>
                            <?php
 $temp = $data_container;
 @list($keymax, $valuemax) = each ($temp);
 $maxvalue = $valuemax;
 // get total number of entries
 $div_value = 0;
 while (@list($thekey, $thevalue) = each ($data_container)){$div_value += $thevalue;} reset ($data_container);
 // we cycle with a loop through all
 $countervalue = 0;
 $totalvalue = 0;
 $x = 1;
 $step = 1;
 while ((@list($key, $value) = each ($data_container)) AND ($countervalue<$showmax))
 {
 if ($step == 1) $bcolor = "#EEEEEE"; // Switch background color of output line
 else if ($step == 2) {$bcolor = "#DFDFDF";} // Switch background color of output line
 {
?>
</strong></span>
                              <table class="" width="100%" height="16" border="0" cellpadding="0" cellspacing="0" id="listing">
                                <tr>
                                  <td class="" id="Row<?php echo $x;?>A" onMouseover="hiLite('Row<?php echo $x;?>','overcell');" onMouseOut="hiLite('Row<?php echo $x;?>','');" height="12" valign="middle" bgcolor='<?php echo $bcolor ?>' width="3%"><div align="right"><?php echo $x.".";?></div></td>
                                  <td class="" id="Row<?php echo $x;?>B" onMouseover="hiLite('Row<?php echo $x;?>','overcell');" onMouseOut="hiLite('Row<?php echo $x;?>','');" valign="middle" bgcolor='<?php echo $bcolor ?>' width="21%"><img src="../images/blankspacer.gif" width="10" height="5" border="0">
                                      <?php $country = getcountry($key); echo $country; if ($country != '') echo " "; ?></td>
                                  <td class="" id="Row<?php echo $x;?>C" onMouseover="hiLite('Row<?php echo $x;?>','overcell');" onMouseOut="hiLite('Row<?php echo $x;?>','');" valign="middle" bgcolor='<?php echo $bcolor ?>' width="7%">                                  <?php showflag($key);?></td>
                                  <td class="" id="Row<?php echo $x;?>D" onMouseover="hiLite('Row<?php echo $x;?>','overcell');" onMouseOut="hiLite('Row<?php echo $x;?>','');" valign="middle" bgcolor='<?php echo $bcolor ?>' width="7%"><?php echo $key;?></td>
                                  <td class="" id="Row<?php echo $x;?>E" onMouseover="hiLite('Row<?php echo $x;?>','overcell');" onMouseOut="hiLite('Row<?php echo $x;?>','');" width="55%" height="12" valign="middle" bgcolor="<?php echo $bcolor ?>"><img src="../images/Hgraybarbottom.gif" align="absmiddle" height="6"><img src="../images/Hgraybarbody.gif" align="absmiddle" height="6" width="<?php $stretching_factor = (int)($value*$graphmaxwidth / $maxvalue);echo $stretching_factor; ?>" alt="<?php echo $lang['Totaly'].": ".$value; ?>"><img src="../images/Hgraybartip.gif" height="6" align="absmiddle" >
                                      <?php
 echo $value;
?>
                                  </td>
                                  <td id="Row<?php echo $x;?>F" onMouseover="hiLite('Row<?php echo $x;?>','overcell');" onMouseOut="hiLite('Row<?php echo $x;?>','');" height="12" valign="middle" bgcolor=<?php echo $bcolor ?> width="7%">
                                    <?php
@$percent = ((100*$value)/$div_value);
echo round($percent,1)."%";
?>
                                  </td>
                                </tr>
                              </table>
                            <?php }
 if ($step == 1) $step = 2;
 else if ($step == 2) $step = 1;
 $countervalue += 1;
 $totalvalue += $value;
 $x++;
 }
?></td>
                          </tr>
                      </table></td>
                  </tr>
              </table></TD>
            </TR>
          </TABLE>          
          <div align="right"><br>
            <img src="../images/blackdot.gif" width="100%" height="1"><br>
            <table width="100%"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="60%"><?php if (!$print) { ?>
                    <span class="smallBold"><?php echo $lang['Quicklink'];?></span> <span class="small"><a href="countries.php"><?php echo $lang['Hostnames'];?></a>, <a href="languages.php"><?php echo $lang['Languages'];?></a></span>
                    <?php } ?></td>
                <td width="40%"><div align="right"><span class="small"><?php echo $lang['Visitor_Number'];?>: <?php echo $totalvalue;?></span></div></td>
              </tr>
            </table>
            <br>          
          </div>
          <table width=100% border=0 cellspacing="0" cellpadding="2">
              <tr>
                <td colspan=3 height=5 valign="top">
<!-- Hidden frame START -->
<IFRAME src="" id="exportframe" name="exportframe" frameborder="0" width="0" height="0" style="visiblity:hidden;">IFRAME</IFRAME>
</td>
              </tr>
        </table>        </td></tr>
</table>
</div>
</body>
</html>











