<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/
if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
$timeparts = explode(" ",microtime());
$starttime = $timeparts[1].substr($timeparts[0],1); 

$include_path = dirname(__FILE__); $include_path .= "/";
include_once ($include_path."./../language/language.inc.php");
include_once ($include_path."./../includes/global.inc.php");			 
include_once ($include_path."./../includes/binarystat.inc.php"); 		 
include_once ($include_path."./../includes/dbactions.inc.php");
include_once ($include_path."./../includes/timezone.inc.php");
include_once ($include_path."./../includes/sessions.inc.php");
include_once ($include_path."./../includes/configdata.inc.php");
include_once ($include_path."./../includes/exportdata.inc.php");
include_once ($include_path."./../includes/getcountry.inc.php");
include_once ($include_path."./../includes/timeconverter.inc.php");
include_once ($include_path."./../chart/chart.inc.php"); 			   

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp(); 

 // check if user is logged in or not
 if ($my_session->logged_in == 'FALSE') { header("Location: ../login/loginfirstmessage.php"); exit();}

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // get configuration data 
 $my_config   = new configdata;
 $my_config -> get_configdata($my_tables->websitestable, $activesitename, $my_tables->accounttable, $my_session->account_id);

 // get type of requested chart
 $chart_type = $_REQUEST['chart'];

 // maximum width for graph
 $graphmaxwidth = 500;

 // maximum length of data key
 $maxfieldlength = 55;

 // number of days in this month
 $numofdays = date ("d", mktime(0,0,0,$my_timestamp->month+1,0,$my_timestamp->year));

 // check if debug-mode is requested
 if ($_GET['debug'] == 1) $my_db->debug = 1; else $my_db->debug = 0;
 //$my_db->debug=1;

 // TAKE STARTING TIME
 $starttime       = microtime(); 
 $starttime   	 = explode(" ",$starttime); 
 $starttime   	 = $starttime[1] + $starttime[0]; 
 $timescriptstart = $starttime; 
 
 // get number of visitors for this month
 $visitors_month_total 	= get_visitors_formonth($my_timestamp->month,$my_timestamp->year,$my_tables->maintable,'ALL');
 $visitors_month_unique = get_visitors_formonth($my_timestamp->month,$my_timestamp->year,$my_tables->maintable,'UNIQUE');

 // get number of impressions for this month
 @$impressions_this_month 	= page_impressions_month($my_timestamp->month,$my_timestamp->year,$my_tables->transfertable);

 // get number of lateral (cross) entries for this month
 $lateralentries_thismonth 	= lateral_entry_month($my_timestamp->month,$my_timestamp->year,$my_tables->maintable);

 // get number of number of unique days controlled this month
 $activedays = active_days($my_timestamp->month, $my_timestamp->year, $my_timestamp->daysthismonth, $my_tables->maintable);

 // get number of downloads for this month
 $downloads  = downloads_within_range(1, $my_timestamp->daysthismonth, $my_timestamp->month, $my_timestamp->year, $my_tables->downloadtable);

 // get the ammount of data transfered this month
 $transfered_KByte = datatransfer_month($my_timestamp->month,$my_timestamp->year,$my_tables->transfertable);
 $transfered_MByte = round(($transfered_KByte/1024),2);
 $transfered_GByte = round(($transfered_MByte/1024),2);

 // time spent on site per user
 $time_per_user = timeperuser_all(1,$my_timestamp->daysthismonth,$my_timestamp->month,$my_timestamp->year,$my_tables->trackingtable);

 // get busiest visitor-day of month
 $top_day = topday($my_timestamp->month,$my_timestamp->year,$my_tables->maintable, "TOTAL"); // find busiest visitor-day
 $sorted = $top_day;
 $highpos = count($sorted)-1;
 $lowpos = 0;
 $busiestday_total_visitors = $sorted[$highpos]["visitors"]; // save highest visitor number in $highest
 $busiestday_total = $sorted[$highpos]["day"]; // save day of highest visitor number in $theday
 $maxvalue = $highest;
 if ($maxvalue == 0) $maxvalue=1;

 $top_day_unique = topday($my_timestamp->month,$my_timestamp->year,$my_tables->maintable, "UNIQUE"); // find busiest visitor-day
 $sorted_unique = $top_day_unique;
 $highpos_unique = count($sorted_unique)-1;
 $lowpos_unique = 0; 
 $busiestday_unique_visitors = $sorted_unique[$highpos_unique]["visitors"]; // save highest visitor number in $highest
 $busiestday_unique = $sorted_unique[$highpos_unique]["day"]; // save day of highest visitor number in $theday
 $maxvalue_unique = $highest_unique;
 if ($maxvalue_unique == 0) $maxvalue_unique=1;

 // get weakest visitor-day of month
 $weakestday_total_visitors = $sorted[$lowpos]["visitors"];
 $weakestday_total = $sorted[$lowpos]["day"];
 $weakestday_unique_visitors = $sorted[$lowpos]["day"];
  
 // get number of bot-visits
 $botvisits = botvisits(1,$my_timestamp->daysthismonth,$my_timestamp->month,$my_timestamp->year,$my_tables->maintable);

 // get number of visitors by referer
 $visitors_by_referer = visitors_by_referer(1,$my_timestamp->daysthismonth,$my_timestamp->month,$my_timestamp->year,$my_tables->maintable);

 // get number of visitors by searchengine
 $visitors_by_engine = visitors_by_engine(1,$my_timestamp->daysthismonth,$my_timestamp->month,$my_timestamp->year,$my_tables->maintable);

 // get number of visitors by direct access
 $visitors_by_direct_access = visitors_by_direct_access(1,$my_timestamp->daysthismonth,$my_timestamp->month,$my_timestamp->year,$my_tables->maintable);

 // get number of languages
 $languages = distinct_data_for_field(1,$my_timestamp->daysthismonth,$my_timestamp->month,$my_timestamp->year,$my_tables->maintable, "visitor_language", " AND visitor_type = 'HUMAN'");

 // get number of countries
 $countries = distinct_data_for_field(1,$my_timestamp->daysthismonth,$my_timestamp->month,$my_timestamp->year,$my_tables->maintable, "visitor_country", " AND visitor_type = 'HUMAN'");

 // get number of hostnames
 $hostnames = distinct_data_for_field(1,$my_timestamp->daysthismonth,$my_timestamp->month,$my_timestamp->year,$my_tables->maintable, "visitor_hostnameshort", " AND visitor_type = 'HUMAN'");

 // get top language for this month
 $top_language = top_distinct_data_for_field(1,$my_timestamp->daysthismonth,$my_timestamp->month,$my_timestamp->year,$my_tables->maintable, "visitor_language", " AND visitor_type = 'HUMAN'");

 // get top country for this month
 $top_country = top_distinct_data_for_field(1,$my_timestamp->daysthismonth,$my_timestamp->month,$my_timestamp->year,$my_tables->maintable, "visitor_country", " AND visitor_type = 'HUMAN'");

 // get top hostname for this month
 $top_hostname = top_distinct_data_for_field(1,$my_timestamp->daysthismonth,$my_timestamp->month,$my_timestamp->year,$my_tables->maintable, "visitor_hostnameshort", " AND visitor_type = 'HUMAN'");

 // get top system for this month
 $top_system = top_distinct_data_for_field(1,$my_timestamp->daysthismonth,$my_timestamp->month,$my_timestamp->year,$my_tables->maintable, "visitor_system", " AND visitor_type = 'HUMAN'");

 // get top browser for this month
 $top_browser = top_distinct_data_for_field(1,$my_timestamp->daysthismonth,$my_timestamp->month,$my_timestamp->year,$my_tables->maintable, "visitor_browserfull", " AND visitor_type = 'HUMAN'");

 // get top resolution for this month
 $top_resolution = top_distinct_data_for_field(1,$my_timestamp->daysthismonth,$my_timestamp->month,$my_timestamp->year,$my_tables->maintable, "visitor_resolution");

 // get top colordepth for this month
 $top_colordepth = top_distinct_data_for_field(1,$my_timestamp->daysthismonth,$my_timestamp->month,$my_timestamp->year,$my_tables->maintable, "visitor_colordepth");

 // get busiest weekday
 $busiest_weekday = busiestweekday($my_timestamp->month,$my_timestamp->year,$my_tables->maintable, "TOTAL");

 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>
<html>
<head>
<title><?php echo $lang['Monthreport'];?></title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>
<script language="JavaScript" type="text/JavaScript">
<!--
///////////////////////////////////////////////////////
function printme()
{
 target = "<?php echo $_SERVER['PHP_SELF'];?>?print=TRUE&limitday_low=<?php echo $limitday_low?>&limitday_high=<?php echo $limitday_high;?>&searchphrase=<?php echo $searchphrase;?>&showmax=<?php echo $showmax;?>"
 window.open(target, 'printWindow', 'height=500,width=980, scrollbars');return false;
}
function exportme()
{
 target = "<?php echo $_SERVER['PHP_SELF'];?>?export=TRUE&limitday_low=<?php echo $limitday_low?>&limitday_high=<?php echo $limitday_high;?>&searchphrase=<?php echo $searchphrase;?>&showmax=<?php echo $showmax;?>"
 document.getElementById("exportframe").src = target;
}
///////////////////////////////////////////////////////
function hiLite(rowname, cname)
{ 
  document.getElementById(rowname+"A").className = cname;
  document.getElementById(rowname+"B").className = cname;
  document.getElementById(rowname+"C").className = cname;
  document.getElementById(rowname+"D").className = cname;
}
function starthiding()
{
 top.parent.hidemymenus();
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?searchphrase=&changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&displayframe_name=reports/monthreport.php';
}
//-->
</script>
<style type="text/css">
<!--
.Stil1 {color: #FFFFFF}
-->
</style>
</head>
<body onload="reloadmenu();showLayer('contentlayer');<?php if ($print) echo "window.print();";?> showLayer('contentlayer');">
<div id="contentlayer" onMouseOver="starthiding();" style="position:relative; z-index:10; visibility: hidden;">
  <?php if ($print) {?>
  <table width="100%"  border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td><table width="100%"  border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td width="26%" height="12" class="large_black"><img src="../images/printoutlogo.jpg" width="156" height="74"><br></td>
            <td width="74%" class="large_black"><div align="right" class="large_blackBold"><strong><?php echo $lang['Report'];?>:<img src="../images/blankspacer.gif" width="10" height="5" border="0"> <?php echo $lang['Bot_Visits'];?></strong></div></td>
          </tr>
          <tr>
            <td height="13" colspan="2" class="large_black"><br></td>
          </tr>
      </table></td>
    </tr>
  </table>
  <?php }?>
  <?php if (!$print) {?>
  <table width="100%" border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="72%"><span class="smallBold"><? echo $lang['Monthreport_For'];?> </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
            <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
          </tr>
        </table>
          <?php }?>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
          <?php if (!$print) echo "<br>"; if ($print) {?>
          <table width="100%"  border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td><table width="98%"  border="0" align="center" cellpadding="0" cellspacing="0">
                  <tr>
                    <td width="16%" height="25" class="smallBold"><span class="small"><?php echo $lang['Websitename'];?></span></td>
                    <td width="3%" height="25" class="smallBold">:</td>
                    <td width="30%" height="25"><span class="small"><?php echo $activesitename;?></span></td>
                    <td width="19%" height="25"><span class="smallBold"><span class="small"><?php echo $lang['Searchphrase'];?></span></span></td>
                    <td width="3%" class="smallBold">:</td>
                    <td width="29%"><span class="small">
                      <?php
 $temp_phrase = str_replace(" "," + ",$searchphrase);
 if ($temp_phrase == '') echo $lang['No_Searchquery']; else echo $temp_phrase;?>
                    </span></td>
                  </tr>
                  <tr>
                    <td height="25" class="smallBold"><span class="small"><?php echo $lang['Chosen_Timeframe'];?></span></td>
                    <td height="25" class="smallBold">:</td>
                    <td height="25"><span class="small"><?php echo $limitday_low.".  - ".$limitday_high.".";?> <?php echo $lang['DateTime'][$my_timestamp->monthlong]." "; echo $my_timestamp->year;?></span></td>
                    <td height="25"><span class="smallBold"><span class="small"><?php echo $lang['Report_Date_Of_Creation'];?></span></span></td>
                    <td class="smallBold">:</td>
                    <td height="25"><span class="small">
                      <?php 
 // output day, month, year
 $date_string = convert_date($my_timestamp->day, $my_timestamp->month, "", $my_config->datestyle); echo $date_string." ".$my_timestamp->year;

 // output time 
 $display_hour= gethour($my_timestamp->hour, $my_config->timedisplay);
 echo " - ".$display_hour['hour'].":".$my_timestamp->minute." ";
 if ($my_config->timedisplay == '12') echo $my_timestamp->am_pm;
  else echo $lang['O_Clock'];
?>
                    </span></td>
                  </tr>
              </table></td>
            </tr>
          </table>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
          <?php }?>
          <table width="100%" border=0 cellpadding=2 cellspacing=3>
            <tbody>
              <tr>
                <td align=middle class="dottedbox"><table width="100%" border="0" cellspacing="5" cellpadding="0">
                    <tr>
                      <td width="115"><div align="justify"><img src="../images/monthreportbox.jpg" width="107" height="77"></div></td>
                      <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Monthreport'];?></div></td>
                    </tr>
                </table></td>
              </tr>
            </tbody>
          </table>
          <br>
          <table width="100%" border=0>
            <tbody>
              <tr>
                <td><div align=center>
                    <table width="100%"  border="0" cellpadding="0" cellspacing="0">
                      <tr>
                        <td><div align="right"><img src="../images/box_topleft.gif" width="4" height="7"></div></td>
                        <td><img src="../images/box_top.gif" width="100%" height="7"></td>
                        <td><img src="../images/box_topright.gif" width="4" height="7"></td>
                      </tr>
                      <tr>
                        <td><div align="right"><img src="../images/box_left.gif" width="4" height="120"></div></td>
                        <td valign="top"><table width=99% border=0 align="center" cellpadding="0" cellspacing="0">
                            <tr>
                              <td colspan="9"><img src="../images/blackdot.gif" width="100%" height="1" hspace="0" vspace="0"></td>
                            <tr bordercolor="#000033">
                              <td height="16" colspan="9" class="tablehead"><span class="small"><img src="../images/blankspacer.gif" width="2" height="5" border="0"></span> <img src="../images/bullet_circle.gif" width="6" height="6" border="0"> <span class="small"><img src="../images/blankspacer.gif" width="2" height="5" border="0"></span><span class="small"><? echo $lang['Overview_Month_For'];?>:</span> <span class="small"> <?php echo $lang['DateTime'][$my_timestamp->monthlong]." "; echo $my_timestamp->year;?></span>
                                  <div align=left> </div></td>
                            </tr>
                            <tr bgcolor="#E2E2E2">
                              <td colspan="9" bgcolor="#E2E2E2" class="small"><img src="../images/blackdot.gif" width="100%" height="1" hspace="0" vspace="0"></td>
                            <tr>
                              <td width="105" height="20" class="boxbackground"><?php echo $lang['Total_Visits'];?> <br>
                              </td>
                              <td width="15" height="20" class="boxbackground">:</td>
                              <td width="134" height="20" class="resultbackground"><?php 
echo number_format($visitors_month_total, 0, '.', '.');
?>
                              </td>
                              <td width="103" height="20" bgcolor="#F8F8F8" class="boxbackground"><?
echo $lang['Impressions_Per_Visitor'];
?></td>
                              <td width="17" height="20" class="boxbackground">:</td>
                              <td width="108" bgcolor="#F8F8F8" class="resultbackground"><?php
echo @round(($impressions_this_month/$visitors_month_total),1);
?></td>
                              <td width="139" height="20" class="boxbackground"><?
echo $lang['Retentionperiod_Per_Visitor'];
?></td>
                              <td width="15" height="20" class="boxbackground">:</td>
                              <td width="102" height="20" class="resultbackground"><?php echo $time_per_user; ?>
                                  <?
echo $lang['Minute_Short'];
?></td>
                            </tr>
                            <tr>
                              <td width="105" height="20" class="boxbackground"><?php echo $lang['Unique_Visits'];?> </td>
                              <td width="15" height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground"><?php 
$totalvalue = $visitors_month_total + $visitors_month_unique;
echo number_format($visitors_month_unique, 0, '.', '.');
@$percentage = round((100/$visitors_month_total)*$visitors_month_unique); echo " ($percentage%)";
?></td>
                              <td width="103" bgcolor="#F8F8F8" class="boxbackground"><?
echo $lang['Downloads'];
?>
                              </td>
                              <td width="17" height="20" class="boxbackground">:</td>
                              <td width="108" class="resultbackground"><?php
echo number_format($downloads, 0, '.', '.');
@$percentage = round((100/$downloads)*$visitors_month_total); echo " ($percentage%)";
?></td>
                              <td width="139" class="boxbackground"><?
echo $lang['Busiest_Day'];
?></td>
                              <td width="15" height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground"><?php $date_string = convert_date($busiestday_total, $my_timestamp->month, "", $my_config->datestyle); echo $date_string." ($busiestday_total_visitors)";?></td>
                            </tr>
                            <tr>
                              <td width="105" height="20" class="boxbackground"><?
echo $lang['Lateral_Entry'];
?>
                              </td>
                              <td width="15" height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground"><?
echo number_format($lateralentries_thismonth, 0, '.', '.');
@$percentage = round((100/$visitors_month_total)*$lateralentries_thismonth); echo " ($percentage%)";

?></td>
                              <td width="103" bgcolor="#F8F8F8" class="boxbackground"><?
echo $lang['Downloads_Per_Visitor'];
?>
                              </td>
                              <td width="17" height="20" class="boxbackground">:</td>
                              <td width="108" class="resultbackground"><?php

 echo @round(($downloads/$visitors_month_total),2);

?>
                              </td>
                              <td width="139" class="boxbackground"><?
echo $lang['Weakest_Day'];
?></td>
                              <td width="15" height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground"><?php $date_string = convert_date($weakestday_total, $my_timestamp->month, "", $my_config->datestyle);echo $date_string." ($weakestday_total_visitors)";?></td>
                            </tr>
                            <tr>
                              <td width="105" class="boxbackground"><?
echo $lang['Visitors_Per_Day'];
?></td>
                              <td width="15" height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground"><?php
 @$tempvis = round($visitors_month_total/$activedays);
 @$tempvis_unique = round($visitors_month_unique/$activedays);
 $visstring = $tempvis." ".$lang['Total']." ($tempvis_unique ".$lang['Unique'].")";
 echo $visstring;
?>
                              </td>
                              <td width="103" bgcolor="#F8F8F8" class="boxbackground"><?
echo $lang['Transfer'];
?>
                              </td>
                              <td width="17" height="20" class="boxbackground">:</td>
                              <td width="108" height="20" class="resultbackground"><?php
echo $transfered_MByte." ".$lang['Megabyte'];
?>
                              </td>
                              <td width="139" class="boxbackground"><?
echo $lang['Busiest_Weekday'];
?></td>
                              <td width="15" height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground"><?php foreach ($busiest_weekday AS $key=>$value) {echo $lang['DateTime']["$key"]; @reset($busiest_weekday); break;} echo " (".max($busiest_weekday).")"; ?></td>
                            </tr>
                            <tr>
                              <td width="105" class="boxbackground"><?php echo $lang['Impressions'];?> (<?php echo $lang['Day'];?>) </td>
                              <td height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground"><?
echo number_format($impressions_this_month, 0, '.', '.');
echo " ("; echo @round(($impressions_this_month/$activedays),1).")";
?></td>
                              <td width="103" bgcolor="#F8F8F8" class="boxbackground"><?
echo $lang['Transfer_Per_Visitor'];
?></td>
                              <td height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground"><?php
echo @round(($transfered_MByte/$visitors_month_total),2)." ".$lang['Megabyte'];
?></td>
                              <td width="139" class="boxbackground"><?
echo $lang['Weakest_Weekday'];
?></td>
                              <td height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground"><?php @array_multisort($busiest_weekday, SORT_ASC); foreach ($busiest_weekday AS $key=>$value) {echo $lang['DateTime']["$key"]; @reset($busiest_weekday); break;} echo " (".min($busiest_weekday).")"; ?></td>
                            </tr>
                        </table></td>
                        <td><img src="../images/box_right.gif" width="4" height="120"></td>
                      </tr>
                      <tr>
                        <td><div align="right"><img src="../images/box_lowleft.gif" width="4" height="11"></div></td>
                        <td><img src="../images/box_bottom.gif" width="100%" height="11"></td>
                        <td><img src="../images/box_lowright.gif" width="4" height="11" hspace="0" vspace="0" border="0"></td>
                      </tr>
                    </table>
                </div></td>
              </tr>
            </tbody>
          </table>
          <br>
          <table width="100%" border=0>
            <tbody>
              <tr>
                <td><div align=center>
                    <table width="100%"  border="0" cellpadding="0" cellspacing="0">
                      <tr>
                        <td><div align="right"><img src="../images/box_topleft.gif" width="4" height="7"></div></td>
                        <td><img src="../images/box_top.gif" width="100%" height="7"></td>
                        <td><img src="../images/box_topright.gif" width="4" height="7"></td>
                      </tr>
                      <tr>
                        <td><div align="right"><img src="../images/box_left.gif" width="4" height="120"></div></td>
                        <td valign="top"><table width=99% border=0 align="center" cellpadding="0" cellspacing="0">
                            <tr>
                              <td colspan="9"><img src="../images/blackdot.gif" width="100%" height="1" hspace="0" vspace="0"></td>
                            <tr bordercolor="#000033">
                              <td height="16" colspan="9" class="tablehead"><span class="small"><img src="../images/blankspacer.gif" width="2" height="5" border="0"></span> <img src="../images/bullet_circle.gif" width="6" height="6" border="0"> <span class="small"><img src="../images/blankspacer.gif" width="2" height="5" border="0"></span><span class="small"><? echo $lang['Visitor_Details'];?></span>
                                  <div align=left> </div></td>
                            </tr>
                            <tr bgcolor="#E2E2E2">
                              <td colspan="9" bgcolor="#E2E2E2" class="small"><img src="../images/blackdot.gif" width="100%" height="1" hspace="0" vspace="0"></td>
                            <tr>
                              <td width="105" height="20" class="boxbackground"><?php echo $lang['Bot_Visits'];?> <br>
                              </td>
                              <td width="15" height="20" class="boxbackground">:</td>
                              <td width="134" height="20" class="resultbackground"><?php 
echo number_format($botvisits, 0, '.', '.');
?>
                              </td>
                              <td width="103" height="20" bgcolor="#F8F8F8" class="boxbackground"><?
echo $lang['Countries'];
?></td>
                              <td width="17" height="20" class="boxbackground">:</td>
                              <td width="108" bgcolor="#F8F8F8" class="resultbackground"><?php
echo $countries;
?></td>
                              <td width="139" height="20" class="boxbackground"><?
echo $lang['Top_Hostname'];
?></td>
                              <td width="15" height="20" class="boxbackground">:</td>
                              <td width="102" height="20" class="resultbackground"><?php
 if (strlen($top_hostname > 30)){ $top_hostname = substr($top_hostname,0,27); $top_hostname .= "..."; }
 if ($top_hostname == '') echo "-"; else echo $top_hostname; 
?>
                              </td>
                            </tr>
                            <tr>
                              <td width="105" height="20" class="boxbackground"><?php echo $lang['Bot_Visits']."/".$lang['Day'];?> </td>
                              <td width="15" height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground"><?php 
echo @round(($botvisits/$activedays),1);
?></td>
                              <td width="103" bgcolor="#F8F8F8" class="boxbackground"><?
echo $lang['Languages'];
?>
                              </td>
                              <td width="17" height="20" class="boxbackground">:</td>
                              <td width="108" class="resultbackground"><?php
 echo $languages;
?></td>
                              <td width="139" class="boxbackground"><?
echo $lang['Top_System'];
?></td>
                              <td width="15" height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground"><?php if($top_system == '') echo "-"; else echo $top_system;?></td>
                            </tr>
                            <tr>
                              <td width="105" height="20" class="boxbackground"><?php echo $lang['Direct_Access'];?> </td>
                              <td width="15" height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground"><?
echo number_format($visitors_by_direct_access, 0, '.', '.');
echo " (".@round((($visitors_by_direct_access*100)/$visitors_month_total),2)."%)";
?></td>
                              <td width="103" bgcolor="#F8F8F8" class="boxbackground"><?
echo $lang['Hostnames'];
?>
                              </td>
                              <td width="17" height="20" class="boxbackground">:</td>
                              <td width="108" class="resultbackground"><?php

echo number_format($hostnames, 0, '.', '.');
?>
                              </td>
                              <td width="139" class="boxbackground"><?
echo $lang['Top_Browser'];
?></td>
                              <td width="15" height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground"><?php if($top_browser == '') echo "-"; else echo $top_browser;?></td>
                            </tr>
                            <tr>
                              <td width="105" class="boxbackground"><?
echo $lang['Visitors_By_Referer'];
?></td>
                              <td width="15" height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground"><?
echo number_format($visitors_by_referer, 0, '.', '.');
echo " (".@round((($visitors_by_referer*100)/$visitors_month_total),2)."%)";
?>
                              </td>
                              <td width="103" bgcolor="#F8F8F8" class="boxbackground"><?
echo $lang['Top_Country'];
?>
                              </td>
                              <td width="17" height="20" class="boxbackground">:</td>
                              <td width="108" height="20" class="resultbackground"><?php
$output_text = getcountry($top_country); if ($output_text == '') $output_text = "-"; 
echo $output_text
?>
                              </td>
                              <td width="139" class="boxbackground"><?
echo $lang['Top_Resolution'];
?></td>
                              <td width="15" height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground"><?php if ($top_resolution == '') echo $lang['Not_Available']; else echo $top_resolution." ".$lang['Pixel'];?></td>
                            </tr>
                            <tr>
                              <td width="105" class="boxbackground"><?
echo $lang['Visitors_By_Engine'];
?></td>
                              <td height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground"><?
echo number_format($visitors_by_engine, 0, '.', '.');
echo " (".@round((($visitors_by_engine*100)/$visitors_month_total),2)."%)";
?></td>
                              <td width="103" bgcolor="#F8F8F8" class="boxbackground"><?
echo $lang['Top_Language'];
?></td>
                              <td height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground"><?php
if ($lang["$top_language"] == '') echo "-"; else echo $lang["$top_language"];
?></td>
                              <td width="139" class="boxbackground"><?
echo $lang['Top_Colordepth'];
?></td>
                              <td height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground"><?php if ($top_colordepth == '') echo $lang['Not_Available']; else echo $top_colordepth." ".$lang['Bit'];?></td>
                            </tr>
                        </table></td>
                        <td><img src="../images/box_right.gif" width="4" height="120"></td>
                      </tr>
                      <tr>
                        <td><div align="right"><img src="../images/box_lowleft.gif" width="4" height="11"></div></td>
                        <td><img src="../images/box_bottom.gif" width="100%" height="11"></td>
                        <td><img src="../images/box_lowright.gif" width="4" height="11" hspace="0" vspace="0" border="0"></td>
                      </tr>
                    </table>
                </div></td>
              </tr>
            </tbody>
          </table>
          <a name="chart1"></a><br>
          <table width="99%"  border="0" align="center" cellpadding="0" cellspacing="0" class="finelinebox">
            <tr>
              <td height="16" valign="top" class="tablehead"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td width="83%" height="18" valign="middle" bgcolor="#32516E"><span class="small Stil1"><img src="../images/blankspacer.gif" width="2" height="5" border="0"><img src="../images/bullet_circle.gif" width="6" height="6" border="0"> <img src="../images/blankspacer.gif" width="2" height="5" border="0"><?php echo $lang['Visitors_By_Day'];?></span></td>
                    <td width="17%" height="18" valign="middle" bgcolor="#32516E"><div align="right"><span class="small"><img src="../images/blankspacer.gif" width="5" height="5" border="0"></span></div></td>
                  </tr>
              </table></td>
            </tr>
            <tr>
              <td height="2" colspan="4"><img src="../images/blackdot.gif" width="100%" height="1"></td>
            </tr>
            <tr>
              <td width="68%" class="resultbackground"><div align="left"><span class="small"> <br>
                        <?php

 // display bar chart showing number of visitors to site this month(by day)

 // seed with microseconds 
 function make_seed()
 { 
  @list($usec, $sec) = explode(' ', microtime());
  return (float) $sec + ((float) $usec * 100000);
 } 
 mt_srand(make_seed());
 $randval = mt_rand();

 // create a new chart image
 $chart = new chart();

 // define chart-filename
 $visitorchart_filename = "images/".$my_session->account_id."_chartvisitormonth.png";
 if(file_exists($visitorchart_filename))  @unlink($visitorchart_filename);

 // set filename of image to be breated
 $chart->setFilename($visitorchart_filename); 

 // set type of chart
 $chart->setGraphType('days');

 // set image height and width properties
 $chart->setWidth(770);
 $chart->setHeight(250);
 
  // construct chart
 $chart->constructChart();
  
 // set color of bars and bar-borders
 $chart->setBarColor('bluegray');
 $chart->setSecondBarColor('lighterblue');
 $chart->setBarBorderColor('black');

 // set image backgroundcolor
 $chart->setBackgroundColor('lightgray');

 // set direction of value-display
 $chart->setValueDirection('vertical');
 
 // set color of values display in/above bars
 $chart->setBarValueColor('white');

 // set number of marks on X and Y axis
 $chart->setTicks_X_Axis(10);
 $chart->setTicks_Y_Axis($my_timestamp->daysthismonth); // draw ticks on y-axis

 // set graph top offset
 $chart->setGraphTopOffset(5); // top offset

 // set labeloffset on X-axis
 $chart->setLabelOffset(5);

 // set border color,width and border margins
 $chart->setBorderMarginLeft(0);   	// border margin on left side
 $chart->setBorderMarginBottom(0); 	// border margin on bottom side
 $chart->setBorderMarginTop(0); 	// border margin on top side
 $chart->setBorderColor('black');
 $chart->setBackLineColor('black');
 $chart->setBorderWidth(1);

 // set margin
 $chart->setRightMargin(20);   	// margin on right side of image
 $chart->setLeftMargin(5);   	// margin on left side of image
 $chart->setTopMargin(15);   	// margin on right side of image
 $chart->setBottomMargin(20);   // margin on left side of image
 
 // set bar-spacing 
 $chart->setBarSpacing(6);   	// margin on right side of image

 // set axis data
 $chart->setTickColor('black');
 $chart->setAxisColor('black');
 $chart->setValueColor('black');
 $chart->setTickLength(2);
  
 // read total-visitor-data from database
 $totalvisitors = monthly_overview($my_timestamp->daysthismonth, $my_timestamp->month, $my_timestamp->year, $my_tables->maintable, 'TOTAL');
 // read unique-visitor-data from database
 $uniquevisitors = monthly_overview($my_timestamp->daysthismonth, $my_timestamp->month, $my_timestamp->year, $my_tables->maintable, 'UNIQUE');

 // get maximum and minimum value
 $maxvalue = max($totalvisitors);
 $minvalue = min($totalvisitors);

 // put all total-visitors per day into data-array
 foreach($totalvisitors AS $key=>$value) { 
  $chart->ReplaceValue($key,$value);
 }
 
 // put all unique-visitor per day into data-array
 foreach($uniquevisitors AS $key=>$value) { 
  $chart->ReplaceAnotherValue($key,$value);
 }

 // set maximum and minimum chart-values
 $chart->setMaxValue($maxvalue);
 $chart->setMinValue($minvalue);

 // draw chart
 if ($chart_type == 'line') $chart->drawLineChart();
  else $chart->drawChart();

 ?>
                  </span><img src="<?php echo $visitorchart_filename."?id=".$randval;?>"><br>
                  <br>
              </div></td>
            </tr>
          </table>
          <span class="small"><br>
          </span><span class="small"> </span> <span class="small"><a name="chart2"></a><br>
          </span><span class="small"> </span>
          <table width="99%"  border="0" align="center" cellpadding="0" cellspacing="0" class="finelinebox">
            <tr>
              <td height="16" colspan="4" class="tablehead"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td width="83%" height="18" valign="middle" bgcolor="#32516E"><span class="small Stil1"><img src="../images/blankspacer.gif" width="2" height="5" border="0"><img src="../images/bullet_circle.gif" width="6" height="6" border="0"> <img src="../images/blankspacer.gif" width="2" height="5" border="0"><?php echo $lang['Impressions_By_Day'];?></span></td>
                    <td width="17%" height="18" valign="middle" bgcolor="#32516E"><div align="right"><span class="small"><img src="../images/blankspacer.gif" width="5" height="5" border="0"></span></div></td>
                  </tr>
              </table></td>
            </tr>
            <tr>
              <td height="2" colspan="4"><img src="../images/blackdot.gif" width="100%" height="1"></td>
            </tr>
            <tr>
              <td width="68%" class="resultbackground"><div align="left"><span class="small"> <br>
                        <?php

 // display bar chart showing number of impressions to site this month(by day)
 unset($chart);
 mt_srand(make_seed());
 $randval = mt_rand();

 // create a new chart image
 $chart = new chart();

 // define chart-filename
 $impressionchart_filename = "images/".$my_session->account_id."_chartimpressionmonth.png";
 if(file_exists($impressionchart_filename)) @unlink($impressionchart_filename);

  // set filename of image to be breated
 $chart->setFilename($impressionchart_filename); 

 // set image height and width properties
 $chart->setWidth(770);
 $chart->setHeight(250);
 
  // construct chart
 $chart->constructChart();
  
 // set color of bars and bar-borders
 $chart->setBarColor('bluegray');
 $chart->setSecondBarColor('lighterblue');
 $chart->setBarBorderColor('black');

 // set image backgroundcolor
 $chart->setBackgroundColor('lightgray');

 // set direction of value-display
 $chart->setValueDirection('vertical');
 
 // set color of values display in/above bars
 $chart->setBarValueColor('white');

 // set number of marks on X and Y axis
 $chart->setTicks_X_Axis(10);
 $chart->setTicks_Y_Axis($my_timestamp->daysthismonth); // draw ticks on y-axis

 // set graph top offset
 $chart->setGraphTopOffset(5); // top offset

 // set labeloffset on X-axis
 $chart->setLabelOffset(5);

 // set border color,width and border margins
 $chart->setBorderMarginLeft(0);   	// border margin on left side
 $chart->setBorderMarginBottom(0); 	// border margin on bottom side
 $chart->setBorderMarginTop(0); 	// border margin on top side
 $chart->setBorderColor('black');
 $chart->setBackLineColor('black');
 $chart->setBorderWidth(1);

 // set margin
 $chart->setRightMargin(20);   	// margin on right side of image
 $chart->setLeftMargin(5);   	// margin on left side of image
 $chart->setTopMargin(15);   	// margin on right side of image
 $chart->setBottomMargin(20);   // margin on left side of image
 
 // set bar-spacing 
 $chart->setBarSpacing(6);   	// margin on right side of image

 // set axis data
 $chart->setTickColor('black');
 $chart->setAxisColor('black');
 $chart->setValueColor('black');
 $chart->setTickLength(2);
  
 // get impression for each day of this month
 $impressions_overview = monthly_impressions(1, $my_timestamp->daysthismonth,$my_timestamp->month, $my_timestamp->year, $my_tables->transfertable);

 // get maximum and minimum value
 $maxvalue = max($impressions_overview);
 $minvalue = min($impressions_overview);

 // put all total-visitors per day into data-array
 foreach($impressions_overview AS $key=>$value) { 
  $chart->ReplaceValue($key,$value);
 }
 
  // set maximum and minimum chart-values
 $chart->setMaxValue($maxvalue);
 $chart->setMinValue($minvalue);

 // draw chart
 if ($chart_type == 'line') $chart->drawLineChart();
  else $chart->drawChart();
 ?>
                  </span><img src="<?php echo $impressionchart_filename."?id=".$randval;?>"><br>
                  <br>
              </div></td>
            </tr>
          </table>
          <span class="small"><br>
          </span><span class="small"> <a name="chart3"></a><br>
          </span>
          <table width="99%"  border="0" align="center" cellpadding="0" cellspacing="0" class="finelinebox">
            <tr>
              <td height="16" colspan="4" class="tablehead"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td width="83%" height="18" valign="middle" bgcolor="#32516E"><span class="small Stil1"><img src="../images/blankspacer.gif" width="2" height="5" border="0"><img src="../images/bullet_circle.gif" width="6" height="6" border="0"> <img src="../images/blankspacer.gif" width="2" height="5" border="0"><span class="small"><?php echo $lang['Transfer_By_Day']." (".$lang['Megabyte'].")";?></span></span></td>
                    <td width="17%" height="18" valign="middle" bgcolor="#32516E"><div align="right"><span class="small"><img src="../images/blankspacer.gif" width="5" height="5" border="0"></span></div></td>
                  </tr>
              </table></td>
            </tr>
            <tr>
              <td height="2" colspan="4"><img src="../images/blackdot.gif" width="100%" height="1"></td>
            </tr>
            <tr>
              <td width="68%" class="resultbackground"><div align="left"><span class="small"> <br>
                        <?php

 // display bar chart showing ammount of data-transfer of site this month(by day)
 unset($chart);
 mt_srand(make_seed());
 $randval = mt_rand();

 // create a new chart image
 $chart = new chart();

 // define chart-filename
 $transferchart_filename = "images/".$my_session->account_id."_charttransfermonth.png";
 if(file_exists($transferchart_filename)) @unlink($transferchart_filename);

  // set filename of image to be breated
 $chart->setFilename($transferchart_filename); 

 // set image height and width properties
 $chart->setWidth(770);
 $chart->setHeight(250);
 
  // construct chart
 $chart->constructChart();
  
 // set color of bars and bar-borders
 $chart->setBarColor('bluegray');
 $chart->setSecondBarColor('lighterblue');
 $chart->setBarBorderColor('black');

 // set image backgroundcolor
 $chart->setBackgroundColor('lightgray');

 // set direction of value-display
 $chart->setValueDirection('vertical');
 
 // set color of values display in/above bars
 $chart->setBarValueColor('white');

 // set number of marks on X and Y axis
 $chart->setTicks_X_Axis(10);
 $chart->setTicks_Y_Axis($my_timestamp->daysthismonth); // draw ticks on y-axis

 // set graph top offset
 $chart->setGraphTopOffset(5); // top offset

 // set labeloffset on X-axis
 $chart->setLabelOffset(5);

 // set border color,width and border margins
 $chart->setBorderMarginLeft(0);   	// border margin on left side
 $chart->setBorderMarginBottom(0); 	// border margin on bottom side
 $chart->setBorderMarginTop(0); 	// border margin on top side
 $chart->setBorderColor('black');
 $chart->setBackLineColor('black');
 $chart->setBorderWidth(1);

 // set margin
 $chart->setRightMargin(20);   	// margin on right side of image
 $chart->setLeftMargin(5);   	// margin on left side of image
 $chart->setTopMargin(15);   	// margin on right side of image
 $chart->setBottomMargin(20);   // margin on left side of image
 
 // set bar-spacing 
 $chart->setBarSpacing(6);   	// margin on right side of image

 // set axis data
 $chart->setTickColor('black');
 $chart->setAxisColor('black');
 $chart->setValueColor('black');
 $chart->setTickLength(2);
  
 // get impression for each day of this month
 $transfer_overview = monthly_transfer(1, $my_timestamp->daysthismonth,$my_timestamp->month, $my_timestamp->year, $my_tables->transfertable);

 // get maximum and minimum value
 $maxvalue = max($transfer_overview);
 $minvalue = min($transfer_overview);

 // put all total-visitors per day into data-array
 foreach($transfer_overview AS $key=>$value) { 
  $chart->ReplaceValue($key,$value);
 }
 
  // set maximum and minimum chart-values
 $chart->setMaxValue($maxvalue);
 $chart->setMinValue($minvalue);

 // draw chart
 if ($chart_type == 'line') $chart->drawLineChart();
  else $chart->drawChart();
 ?>
                  </span><img src="<?php echo $transferchart_filename."?id=".$randval;?>"><br>
                  <br>
              </div></td>
            </tr>
          </table>
          <span class="small"><br>
          <a name="chart4"></a><br>
          </span>
          <table width="99%"  border="0" align="center" cellpadding="0" cellspacing="0" class="finelinebox">
            <tr>
              <td height="16" colspan="4" class="tablehead"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td width="83%" height="18" valign="middle" bgcolor="#32516E"><span class="small Stil1"><img src="../images/blankspacer.gif" width="2" height="5" border="0"><img src="../images/bullet_circle.gif" width="6" height="6" border="0"> <img src="../images/blankspacer.gif" width="2" height="5" border="0"><span class="small"><?php echo $lang['Downloads_By_Day'];?></span></span></td>
                    <td width="17%" height="18" valign="middle" bgcolor="#32516E"><div align="right"><span class="small"><img src="../images/blankspacer.gif" width="5" height="5" border="0"></span></div></td>
                  </tr>
              </table></td>
            </tr>
            <tr>
              <td height="2" colspan="4"><img src="../images/blackdot.gif" width="100%" height="1"></td>
            </tr>
            <tr>
              <td width="68%" class="resultbackground"><div align="left"><span class="small"> <br>
                        <?php

 // display bar chart showing number of downloads for site this month(by day)
 unset($chart);
 mt_srand(make_seed());
 $randval = mt_rand();

 // create a new chart image
 $chart = new chart();

 // define chart-filename
 $downloadchart_filename = "images/".$my_session->account_id."_chartdownloadsmonth.png";
 if(file_exists($downloadchart_filename)) @unlink($downloadchart_filename);

  // set filename of image to be breated
 $chart->setFilename($downloadchart_filename); 

 // set image height and width properties
 $chart->setWidth(770);
 $chart->setHeight(250);
 
  // construct chart
 $chart->constructChart();
  
 // set color of bars and bar-borders
 $chart->setBarColor('bluegray');
 $chart->setSecondBarColor('lighterblue');
 $chart->setBarBorderColor('black');

 // set image backgroundcolor
 $chart->setBackgroundColor('lightgray');

 // set direction of value-display
 $chart->setValueDirection('vertical');
 
 // set color of values display in/above bars
 $chart->setBarValueColor('white');

 // set number of marks on X and Y axis
 $chart->setTicks_X_Axis(10);
 $chart->setTicks_Y_Axis($my_timestamp->daysthismonth); // draw ticks on y-axis

 // set graph top offset
 $chart->setGraphTopOffset(5); // top offset

 // set labeloffset on X-axis
 $chart->setLabelOffset(5);

 // set border color,width and border margins
 $chart->setBorderMarginLeft(0);   	// border margin on left side
 $chart->setBorderMarginBottom(0); 	// border margin on bottom side
 $chart->setBorderMarginTop(0); 	// border margin on top side
 $chart->setBorderColor('black');
 $chart->setBackLineColor('black');
 $chart->setBorderWidth(1);

 // set margin
 $chart->setRightMargin(20);   	// margin on right side of image
 $chart->setLeftMargin(5);   	// margin on left side of image
 $chart->setTopMargin(15);   	// margin on right side of image
 $chart->setBottomMargin(20);   // margin on left side of image
 
 // set bar-spacing 
 $chart->setBarSpacing(6);   	// margin on right side of image

 // set axis data
 $chart->setTickColor('black');
 $chart->setAxisColor('black');
 $chart->setValueColor('black');
 $chart->setTickLength(2);
  
 // get impression for each day of this month
 $download_overview = monthly_downloads($my_timestamp->month, $my_timestamp->year, $my_tables->downloadtable);

 // get maximum and minimum value
 $maxvalue = max($download_overview);
 $minvalue = min($download_overview);

 // put all total-visitors per day into data-array
 foreach($download_overview AS $key=>$value) {
  $chart->ReplaceValue($key,$value);
 }
 
  // set maximum and minimum chart-values
 $chart->setMaxValue($maxvalue);
 $chart->setMinValue($minvalue);

 // draw chart
 if ($chart_type == 'line') $chart->drawLineChart();
  else $chart->drawChart();
 ?>
                  </span><img src="<?php echo $downloadchart_filename."?id=".$randval;?>"><br>
                  <br>
              </div></td>
            </tr>
          </table>
          <span class="small"><br>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
          </span>
          <table width="100%"  border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td width="60%"><?php if (!$print) { ?>
                  <span class="smallBold"><?php echo $lang['Quicklink'];?></span> <span class="small"><a href="../overview.php"><?php echo $lang['Dayreport'];?></a></span>, <span class="small"><a href="weekreport.php"><?php echo $lang['Weekreport'];?></a></span>, <span class="small"><a href="yearreport.php"><?php echo $lang['Yearreport'];?></a></span>
                  <?php } ?></td>
              <td width="40%"><div align="right"></div></td>
            </tr>
          </table>
          <br>
          <br>
          <table width=100% border=0 cellspacing="0" cellpadding="2">
            <tr>
              <td colspan=3 valign="top"><!-- Hidden frame START -->
                  <iframe src="" id="exportframe" name="exportframe" frameborder="0" width="0" height="0" style="visiblity:hidden;">IFRAME</iframe></td>
            </tr>
        </table></td>
    </tr>
  </table>
</div>
</body>
</html>





