<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

// TAKE STARTING TIME
$starttime       = microtime(); 
$starttime   	 = explode(" ",$starttime); 
$starttime   	 = $starttime[1] + $starttime[0]; 
$timescriptstart = $starttime; 

if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
$timeparts = explode(" ",microtime());
$starttime = $timeparts[1].substr($timeparts[0],1); 

$include_path = dirname(__FILE__); $include_path .= "/";
include_once ($include_path."./../language/language.inc.php");
include_once ($include_path."./../includes/global.inc.php");			 
include_once ($include_path."./../includes/binarystat.inc.php"); 		 
include_once ($include_path."./../includes/dbactions.inc.php");
include_once ($include_path."./../includes/timezone.inc.php");
include_once ($include_path."./../includes/sessions.inc.php");
include_once ($include_path."./../includes/configdata.inc.php");
include_once ($include_path."./../includes/exportdata.inc.php");
include_once ($include_path."./../includes/getcountry.inc.php");
include_once ($include_path."./../includes/timeconverter.inc.php");
include_once ($include_path."./../chart/chart.inc.php"); 			   

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp(); 

 // check if user is logged in or not
 if ($my_session->logged_in == 'FALSE') { header("Location: ../login/loginfirstmessage.php"); exit();}

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // get configuration data 
 $my_config   = new configdata;
 $my_config -> get_configdata($my_tables->websitestable, $activesitename, $my_tables->accounttable, $my_session->account_id);

 // maximum width for graph
 $graphmaxwidth = 500;

 // maximum length of data key
 $maxfieldlength = 55;

 // number of days in this month
 $numofdays = date ("d", mktime(0,0,0,$my_timestamp->month+1,0,$my_timestamp->year));

 // get number of visitors for this month
 $visitors_month_total 	= get_visitors_formonth($my_timestamp->month,$my_timestamp->year,$my_tables->maintable,'ALL');
 $visitors_month_unique = get_visitors_formonth($my_timestamp->month,$my_timestamp->year,$my_tables->maintable,'UNIQUE');

 // get number of impressions for this month
 @$impressions_this_month 	= page_impressions_month($my_timestamp->month,$my_timestamp->year,$my_tables->transfertable);

 // get number of number of unique days controlled this month
 $activedays = active_days($my_timestamp->month, $my_timestamp->year, $my_timestamp->daysthismonth, $my_tables->maintable);

 // get number of downloads for this  month
 $downloads  = downloads_within_range('01', $my_timestamp->daysthismonth, $my_timestamp->month, $my_timestamp->year, $my_tables->downloadtable);

 // get the ammount of data transfered this month
 $transfered_KByte = datatransfer_month($my_timestamp->month,$my_timestamp->year,$my_tables->transfertable);
 @$transfered_MByte = round(($transfered_KByte/1024),2);
 @$transfered_GByte = round(($transfered_MByte/1024),2);

 // get busiest visitor-day of month
 $top_day = topday($my_timestamp->month,$my_timestamp->year,$my_tables->maintable, "TOTAL"); // find busiest visitor-day
 $sorted = $top_day;
 $highpos = count($sorted)-1;
 $lowpos = 0;
 $busiestday_total_visitors = $sorted[$highpos]["visitors"]; // save highest visitor number in $highest
 $busiestday_total = $sorted[$highpos]["day"]; // save day of highest visitor number in $theday
 $maxvalue = $highest;
 if ($maxvalue == 0) $maxvalue=1;

 $top_day_unique = topday($my_timestamp->month,$my_timestamp->year,$my_tables->maintable, "UNIQUE"); // find busiest visitor-day
 $sorted_unique = $top_day_unique;
 $highpos_unique = count($sorted_unique)-1;
 $lowpos_unique = 0; 
 $busiestday_unique_visitors = $sorted_unique[$highpos_unique]["visitors"]; // save highest visitor number in $highest
 $busiestday_unique = $sorted_unique[$highpos_unique]["day"]; // save day of highest visitor number in $theday
 $maxvalue_unique = $highest_unique;
 if ($maxvalue_unique == 0) $maxvalue_unique=1;

 // get weakest visitor-day of month
 $weakestday_total_visitors = $sorted[$lowpos]["visitors"];
 $weakestday_total = $sorted[$lowpos]["day"];
 $weakestday_unique_visitors = $sorted[$lowpos]["day"];
 
 // get number of visitors by direct access
 $visitors_by_direct_access = visitors_by_direct_access(1,$my_timestamp->daysthismonth,$my_timestamp->month,$my_timestamp->year,$my_tables->maintable);

 // get busiest weekday
 $busiest_weekday_total  = busiestweekday($my_timestamp->month,$my_timestamp->year,$my_tables->maintable, "TOTAL");
 $busiest_weekday_unique = busiestweekday($my_timestamp->month,$my_timestamp->year,$my_tables->maintable, "UNIQUE");

 // rebuild weekday-array
 $weekday_total["Sunday"]    = $busiest_weekday_total["Sunday"]; 
 $weekday_total["Monday"]    = $busiest_weekday_total["Monday"]; 
 $weekday_total["Tuesday"]   = $busiest_weekday_total["Tuesday"]; 
 $weekday_total["Wednesday"] = $busiest_weekday_total["Wednesday"]; 
 $weekday_total["Thursday"]  = $busiest_weekday_total["Thursday"]; 
 $weekday_total["Friday"] 	 = $busiest_weekday_total["Friday"]; 
 $weekday_total["Saturday"]  = $busiest_weekday_total["Saturday"]; 

 $weekday_unique["Sunday"]    = $busiest_weekday_unique["Sunday"]; 
 $weekday_unique["Monday"]    = $busiest_weekday_unique["Monday"]; 
 $weekday_unique["Tuesday"]   = $busiest_weekday_unique["Tuesday"]; 
 $weekday_unique["Wednesday"] = $busiest_weekday_unique["Wednesday"]; 
 $weekday_unique["Thursday"]  = $busiest_weekday_unique["Thursday"]; 
 $weekday_unique["Friday"] 	  = $busiest_weekday_unique["Friday"]; 
 $weekday_unique["Saturday"]  = $busiest_weekday_unique["Saturday"]; 

 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>

<html>
<head>
<title><?php echo $lang['Weekreport'];?></title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>
<script language="JavaScript" type="text/JavaScript">
<!--
///////////////////////////////////////////////////////
function printme()
{
 target = "<?php echo $_SERVER['PHP_SELF'];?>?print=TRUE&limitday_low=<?php echo $limitday_low?>&limitday_high=<?php echo $limitday_high;?>&searchphrase=<?php echo $searchphrase;?>&showmax=<?php echo $showmax;?>"
 window.open(target, 'printWindow', 'height=500,width=980, scrollbars');return false;
}
function exportme()
{
 target = "<?php echo $_SERVER['PHP_SELF'];?>?export=TRUE&limitday_low=<?php echo $limitday_low?>&limitday_high=<?php echo $limitday_high;?>&searchphrase=<?php echo $searchphrase;?>&showmax=<?php echo $showmax;?>"
 document.getElementById("exportframe").src = target;
}
///////////////////////////////////////////////////////
function hiLite(rowname, cname)
{ 
  document.getElementById(rowname+"A").className = cname;
  document.getElementById(rowname+"B").className = cname;
  document.getElementById(rowname+"C").className = cname;
  document.getElementById(rowname+"D").className = cname;
}
function starthiding()
{
 top.parent.hidemymenus();
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?searchphrase=<?php echo $searchphrase;?>&changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&displayframe_name=reports/weekreport.php';
}
//-->
</script>
</head>
<body onload="showLayer('contentlayer');reloadmenu();<?php if ($print) echo "window.print();";?>">
<div id="contentlayer" onmouseover="starthiding();" style="position:relative; visibility:hidden; z-index:10;">
  <?php if ($print) {?>
  <table width="100%"  border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td><table width="100%"  border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td width="26%" height="12" class="large_black"><img src="../images/printoutlogo.jpg" width="156" height="74"><br></td>
            <td width="74%" class="large_black"><div align="right" class="large_blackBold"><strong><?php echo $lang['Report'];?>:<img src="../images/blankspacer.gif" width="10" height="5" border="0"> <?php echo $lang['Weekreport'];?></strong></div></td>
          </tr>
          <tr>
            <td height="13" colspan="2" class="large_black"><br></td>
          </tr>
      </table></td>
    </tr>
  </table>
  <?php }?>
  <?php if (!$print) {?>
  <table width="100%" border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="72%"> <span class="smallBold"><? echo $lang['Weekreport_For'];?> </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
            <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
          </tr>
        </table>
          <?php }?>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
          <?php if (!$print) echo "<br>"; if ($print) {?>
          <table width="100%"  border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td><table width="98%"  border="0" align="center" cellpadding="0" cellspacing="0">
                  <tr>
                    <td width="16%" height="25" class="smallBold"><span class="small"><?php echo $lang['Websitename'];?></span></td>
                    <td width="3%" height="25" class="smallBold">:</td>
                    <td width="30%" height="25"><span class="small"><?php echo $activesitename;?></span></td>
                    <td width="19%" height="25"><span class="smallBold"><span class="small"><?php echo $lang['Searchphrase'];?></span></span></td>
                    <td width="3%" class="smallBold">:</td>
                    <td width="29%"><span class="small">
                      <?php
 $temp_phrase = str_replace(" "," + ",$searchphrase);
 if ($temp_phrase == '') echo $lang['No_Searchquery']; else echo $temp_phrase;?>
                    </span></td>
                  </tr>
                  <tr>
                    <td height="25" class="smallBold"><span class="small"><?php echo $lang['Chosen_Timeframe'];?></span></td>
                    <td height="25" class="smallBold">:</td>
                    <td height="25"><span class="small"><?php echo $limitday_low.".  - ".$limitday_high.".";?> <?php echo $lang['DateTime'][$my_timestamp->monthlong]." "; echo $my_timestamp->year;?></span></td>
                    <td height="25"><span class="smallBold"><span class="small"><?php echo $lang['Report_Date_Of_Creation'];?></span></span></td>
                    <td class="smallBold">:</td>
                    <td height="25"><span class="small">
                    <?php 
 // output day, month, year
 $date_string = convert_date($my_timestamp->day, $my_timestamp->month, "", $my_config->datestyle); echo $date_string." ".$my_timestamp->year;

 // output time 
 $display_hour= gethour($my_timestamp->hour, $my_config->timedisplay);
 echo " - ".$display_hour['hour'].":".$my_timestamp->minute." ";
 if ($my_config->timedisplay == '12') echo $my_timestamp->am_pm;
  else echo $lang['O_Clock'];
?>
                    </span></td>
                  </tr>
              </table></td>
            </tr>
          </table>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
          <?php }?>
          <table width="100%" border=0 cellpadding=2 cellspacing=3>
            <tbody>
              <tr>
                <td align=middle class="dottedbox"><table width="100%" border="0" cellspacing="5" cellpadding="0">
                    <tr>
                      <td width="115"><div align="justify"><img src="../images/weekreportbox.jpg" width="107" height="77"></div></td>
                      <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Weekreport'];?></div></td>
                    </tr>
                </table></td>
              </tr>
            </tbody>
          </table>
          <br>
          <table width="100%" border=0>
            <tbody>
              <tr>
                <td><div align=center>
                    <table width="100%"  border="0" cellpadding="0" cellspacing="0">
                      <tr>
                        <td><div align="right"><img src="../images/box_topleft.gif" width="4" height="7"></div></td>
                        <td><img src="../images/box_top.gif" width="100%" height="7"></td>
                        <td><img src="../images/box_topright.gif" width="4" height="7"></td>
                      </tr>
                      <tr>
                        <td><div align="right"><img src="../images/box_left.gif" width="4" height="120"></div></td>
                        <td valign="top"><table width=99% border=0 align="center" cellpadding="0" cellspacing="0">
                            <tr>
                              <td colspan="6"><img src="../images/blackdot.gif" width="100%" height="1" hspace="0" vspace="0"></td>
                            <tr bordercolor="#000033">
                              <td height="16" colspan="6" class="tablehead"> <span class="small"><img src="../images/blankspacer.gif" width="2" height="5" border="0"></span> <img src="../images/bullet_circle.gif" width="6" height="6" border="0"> <span class="small"><img src="../images/blankspacer.gif" width="2" height="5" border="0"></span><span class="small"><? echo $lang['Weekreport_For'];?></span> <span class="small"> <?php echo $lang['DateTime'][$my_timestamp->monthlong]." "; echo $my_timestamp->year;?></span>
                                  <div align=left> </div></td>
                            </tr>
                            <tr bgcolor="#E2E2E2">
                              <td colspan="6" bgcolor="#E2E2E2" class="small"><img src="../images/blackdot.gif" width="100%" height="1" hspace="0" vspace="0"></td>
                            <tr>
                              <td width="139" height="20" class="boxbackground"> <?php echo $lang['Busiest_Weekday'];?> <br>
                              </td>
                              <td width="20" height="20" class="boxbackground">:</td>
                              <td width="176" height="20" class="resultbackground"><?php foreach ($busiest_weekday_total AS $key=>$value) {echo $lang['DateTime']["$key"]; @reset($busiest_weekday_total); break;} echo " (".max($busiest_weekday_total).")"; ?>
                              </td>
                              <td width="147" height="20" bgcolor="#F8F8F8" class="boxbackground"><?php echo $lang['Impressions_Per_Week'];?></td>
                              <td width="19" height="20" class="boxbackground">:</td>
                              <td width="232" height="20" bgcolor="#F8F8F8" class="resultbackground"><?
@$impressions_per_week = round(($impressions_this_month/$activedays)*7);
echo $impressions_per_week;


?></td>
                            </tr>
                            <tr>
                              <td width="139" height="20" class="boxbackground"> <?php echo $lang['Weakest_Weekday'];?> </td>
                              <td width="20" height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground"><?php @array_multisort($busiest_weekday_total, SORT_ASC); foreach ($busiest_weekday_total AS $key=>$value) {echo $lang['DateTime']["$key"]; @reset($busiest_weekday_total); break;} echo " (".min($busiest_weekday_total).")"; ?></td>
                              <td width="147" bgcolor="#F8F8F8" class="boxbackground"><?
echo $lang['Downloads_Per_Day'];
?>
                              </td>
                              <td width="19" height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground"><?php
  @$downloads_per_day = round($downloads/$activedays);
 echo $downloads_per_day;
?></td>
                            </tr>
                            <tr>
                              <td width="139" height="20" class="boxbackground"><?
echo $lang['Visitors_Per_Day'];
?>
                              </td>
                              <td width="20" height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground"><?php
 @$tempvis = round($visitors_month_total/$activedays);
 @$tempvis_unique = round($visitors_month_unique/$activedays);
 $visstring = $tempvis." ".$lang['Total']." ($tempvis_unique ".$lang['Unique'].")";
 echo $visstring;
?></td>
                              <td width="147" bgcolor="#F8F8F8" class="boxbackground"><?
echo $lang['Downloads_Per_Week'];
?>
                              </td>
                              <td width="19" height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground"><?php

 echo round($downloads_per_day*7);

?>
                              </td>
                            </tr>
                            <tr>
                              <td width="139" class="boxbackground">
                                <?
echo $lang['Visitors_Per_Week'];
?></td>
                              <td width="20" height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground">
                                <?php
 @$tempvis = round(($visitors_month_total/$activedays)*7);
 @$tempvis_unique = round(($visitors_month_unique/$activedays)*7);
 $visstring = $tempvis." ".$lang['Total']." ($tempvis_unique ".$lang['Unique'].")";
 echo $visstring;
?>
                              </td>
                              <td width="147" bgcolor="#F8F8F8" class="boxbackground"><?
echo $lang['Transfer_Per_Day'];
?>
                              </td>
                              <td width="19" height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground">
                                <?php
@$transfered_per_day = round($transfered_MByte/$activedays);
echo $transfered_per_day." ".$lang['Megabyte'];
?>
                              </td>
                            </tr>
                            <tr>
                              <td width="139" class="boxbackground"> <?php echo $lang['Impressions_Per_Day'];?></td>
                              <td height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground"><?
@$impressions_per_day= round($impressions_this_month/$activedays);
echo $impressions_per_day;


?></td>
                              <td width="147" bgcolor="#F8F8F8" class="boxbackground"><?
echo $lang['Transfer_Per_Week'];
?></td>
                              <td height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground"><?php
echo round($transfered_per_day*7)." ".$lang['Megabyte'];
?></td>
                            </tr>
                        </table></td>
                        <td><img src="../images/box_right.gif" width="4" height="120"></td>
                      </tr>
                      <tr>
                        <td><div align="right"><img src="../images/box_lowleft.gif" width="4" height="11"></div></td>
                        <td><img src="../images/box_bottom.gif" width="100%" height="11"></td>
                        <td><img src="../images/box_lowright.gif" width="4" height="11" hspace="0" vspace="0" border="0"></td>
                      </tr>
                    </table>
                </div></td>
              </tr>
            </tbody>
          </table>
          <br>
          <table width="99%"  border="0" align="center" cellpadding="0" cellspacing="0" class="finelinebox">
            <tr>
              <td height="16" colspan="4" class="tablehead"><span class="small"><img src="../images/blankspacer.gif" width="2" height="5" border="0"> <img src="../images/bullet_circle.gif" width="6" height="6" border="0"> <img src="../images/blankspacer.gif" width="2" height="5" border="0"><span class="smallBold"></span><?php echo $lang['Visitors_By_Weekday'];?></span></td>
            </tr>
            <tr>
              <td height="2" colspan="4"><img src="../images/blackdot.gif" width="100%" height="1"></td>
            </tr>
            <tr>
              <td width="68%" class="resultbackground"><div align="left"><span class="small"> <br>
                        <?php

 // display bar chart showing number of visitors to site this month(by day)
 
 // seed with microseconds 
 function make_seed()
 { 
  @list($usec, $sec) = explode(' ', microtime());
  return (float) $sec + ((float) $usec * 100000);
 } 
 mt_srand(make_seed());
 $randval = mt_rand();

 // create a new chart image
 $chart = new chart();

 // define chart-filename
 $visitorchart_filename = "images/".$my_session->account_id."_chartvisitorweek.png";

 // set type of graph
 $chart->setGraphType('weekreport'); 

  // set filename of image to be breated
 $chart->setFilename($visitorchart_filename); 

 // set image height and width properties
 $chart->setWidth(770);
 $chart->setHeight(250);
 
  // construct chart
 $chart->constructChart();
  
 // set color of bars and bar-borders
 $chart->setBarColor('bluegray');
 $chart->setSecondBarColor('lighterblue');
 $chart->setBarBorderColor('black');

 // set image backgroundcolor
 $chart->setBackgroundColor('lightgray');

 // set direction of value-display
 $chart->setValueDirection('horizontal');
 
 // set color of values display in/above bars
 $chart->setBarValueColor('white');

 // set number of marks on X and Y axis
 $chart->setTicks_X_Axis(10);
 $chart->setTicks_Y_Axis(7); // draw ticks on y-axis => 7 ticks equal 7 weekdays

 // set graph top offset
 $chart->setGraphTopOffset(5); // top offset

 // set labeloffset on X-axis
 $chart->setLabelOffset(40);

 // set border color,width and border margins
 $chart->setBorderMarginLeft(0);   	// border margin on left side
 $chart->setBorderMarginBottom(0); 	// border margin on bottom side
 $chart->setBorderMarginTop(0); 	// border margin on top side
 $chart->setBorderColor('black');
 $chart->setBackLineColor('black');
 $chart->setBorderWidth(1);

 // set margin
 $chart->setRightMargin(15);   	// margin on right side of image
 $chart->setLeftMargin(45);   	// margin on left side of image
 $chart->setTopMargin(15);   	// margin on right side of image
 $chart->setBottomMargin(20);   // margin on left side of image
 
 // set bar-spacing 
 $chart->setBarSpacing(6);   	// margin on right side of image

 // set axis data
 $chart->setTickColor('black');
 $chart->setAxisColor('black');
 $chart->setValueColor('black');
 $chart->setTickLength(2);
  
 // get maximum and minimum value
 $maxvalue = max($busiest_weekday_total);
 $minvalue = min($busiest_weekday_total);

 // put all total-visitors per day into data-array
 foreach($weekday_total AS $key=>$value) { 
  $chart->AddValue($key,$value);
 }
 
 // put all unique-visitor per day into data-array
 foreach($weekday_unique AS $key=>$value) { 
  $chart->AddAnotherValue($key,$value);
 }

 // set maximum and minimum chart-values
 $chart->setMaxValue($maxvalue);
 $chart->setMinValue($minvalue);

 // draw chart
 $chart->drawChart();
 ?>
                  </span><img src="<?php echo $visitorchart_filename;?>?id=<?php echo $randval;?>"><br>
                  <br>
              </div></td>
            </tr>
          </table>
          <span class="small"><br>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
          </span>
          <table width="100%"  border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td width="60%"><?php if (!$print) { ?>
                  <span class="smallBold"><?php echo $lang['Quicklink'];?></span> <span class="small"><a href="../overview.php"><?php echo $lang['Dayreport'];?></a></span>, <span class="small"><a href="monthreport.php"><?php echo $lang['Monthreport'];?></a></span>, <span class="small"><a href="yearreport.php"><?php echo $lang['Yearreport'];?></a></span>
                  <?php } ?></td>
              <td width="40%"><div align="right"></div></td>
            </tr>
          </table>
          <br>
          <br>
          <table width=100% border=0 cellspacing="0" cellpadding="2">
            <tr>
              <td colspan=3 valign="top"><!-- Hidden frame START -->
                  <iframe src="" id="exportframe" name="exportframe" frameborder="0" width="0" height="0" style="visiblity:hidden;">IFRAME</iframe></td>
            </tr>
        </table></td>
    </tr>
  </table>
</div>
</body>
</html>











