<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

 // use gzip compression if available	   
 if (function_exists('gzcompress')) ob_start("ob_gzhandler"); 
	  
 // ENTER YOUR ABSOLUTE PATH TO BINARY:STAT HERE. PATH ENDS WIHTOUT A TRAILING SLASH!
 $binarystat_path   = "/absolute_path/to/binarystat";
 $basedir	    = "/absolute_path/to/root_directory";

 // ENTER YOUR RELATIVE PATH TO GENERAL-ERRORPAGE HERE. PATH ENDS WIHTOUT A TRAILING SLASH!
 $errorpage_general 	= "http://www.yoursite.com/downloaderror.html";

 // ENTER YOUR RELATIVE PATH TO TIMEWINDOW-ERRORPAGE HERE. PATH ENDS WIHTOUT A TRAILING SLASH!
 $errorpage_timewindow 	= "http://www.yoursite.com/timewindow.html";
 
 // ENTER WEBSITENAME HERE. DOWNLOADS WILL BE COUNTED/RECORDED FOR THIS WEBSITE
 $websitename = "www.yoursite.com";

 // ENTER DELAY IN SECONDS BEFORE A DOWNLOAD WILL START
 $download_delay = 1;

 // -------------------------------------------------------------------------------

 // let script sleep 
 sleep($download_delay);

 // set global variables
 global $my_tables, $my_db, $my_conn, $my_config, $my_timestamp, $my_robots, $visitor_data, $block_result, $robot_check;

 include ($binarystat_path."/includes/global.inc.php"); 	// load variables file
 include ($binarystat_path."/includes/binarystat.inc.php"); 	// load db-connector
 include ($binarystat_path."/includes/getrobotspider.inc.php");	// load robot-spider detection
 include ($binarystat_path."/includes/blacklist.inc.php");	// load blacklist functions
 include ($binarystat_path."/includes/timezone.inc.php");	// load timezone functions
 include ($binarystat_path."/includes/downloadlist.inc.php");	// load downloadlist functions
 include ($binarystat_path."/includes/configdata.inc.php");	// load website configuration 
 include ($binarystat_path."/includes/visitordata.inc.php");	// load visitor-identification functions 

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();
 
 // get website configuration
 $my_config   = new configdata;
 $my_config -> get_configdata($my_tables->websitestable, $websitename);
 
 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get visitor-information 
 $visitor_data = new visitor_data;
 $visitor_data -> get_visitor_data($my_config->gethostname, $my_tables, $my_timestamp, $websitename);

/////////////////////////////////////////////////////////////////////////////////////////////////////////
  
 // get ID for requested download
 $download_id = trim(@$_GET['id']); 
 
 // now check if visitor is a spider or robot -> if so, exit from routine
 @$robot_array = mysql_result(mysql_query("SELECT SQL_CACHE robots FROM $my_tables->identifytable"),0,0);
 if (count($robot_array) == 0)
  @$robot_array = mysql_result(mysql_query("SELECT robots FROM $my_tables->identifytable"),0,0);

 $robot_check  = robotcheck($visitor_data->visitor_hostname, $visitor_data->browserstamp, $robot_array);

 if ($robot_check['type'] == 'Robot/Spider') return;

 // check if visitor is in blacklist -> if so, exit from routine
 $block_result = checkblacklist($visitor_data->visitor_ip, $visitor_data->visitor_hostname, $visitor_data->visitor_browserstamp, $my_config->blacklist, $my_config->blacklist_active);
 if ($block_result == 'TRUE') return;

 // save referer-domain
 $refererdomain = $visitor_data->visitor_refererdomain;

 /////////////////////////////////////////////////////////////////////////////////////////////////////////
 
 
 // function to set the correct MIME-header for requested file
 function mimeheader()
 {
  return array(
         "ez" => "application/andrew-inset",
         "hqx" => "application/mac-binhex40",
         "cpt" => "application/mac-compactpro",
         "doc" => "application/msword",
         "bin" => "application/octet-stream",
         "dms" => "application/octet-stream",
         "lha" => "application/octet-stream",
         "lzh" => "application/octet-stream",
         "exe" => "application/octet-stream",
         "class" => "application/octet-stream",
         "so" => "application/octet-stream",
         "dll" => "application/octet-stream",
         "oda" => "application/oda",
         "pdf" => "application/pdf",
         "ai" => "application/postscript",
         "eps" => "application/postscript",
         "ps" => "application/postscript",
         "smi" => "application/smil",
         "smil" => "application/smil",
         "wbxml" => "application/vnd.wap.wbxml",
         "wmlc" => "application/vnd.wap.wmlc",
         "wmlsc" => "application/vnd.wap.wmlscriptc",
         "bcpio" => "application/x-bcpio",
         "vcd" => "application/x-cdlink",
         "pgn" => "application/x-chess-pgn",
         "cpio" => "application/x-cpio",
         "csh" => "application/x-csh",
         "dcr" => "application/x-director",
         "dir" => "application/x-director",
         "dxr" => "application/x-director",
         "dvi" => "application/x-dvi",
         "spl" => "application/x-futuresplash",
         "gtar" => "application/x-gtar",
         "hdf" => "application/x-hdf",
         "js" => "application/x-javascript",
         "skp" => "application/x-koan",
         "skd" => "application/x-koan",
         "skt" => "application/x-koan",
         "skm" => "application/x-koan",
         "latex" => "application/x-latex",
         "nc" => "application/x-netcdf",
         "cdf" => "application/x-netcdf",
         "sh" => "application/x-sh",
         "shar" => "application/x-shar",
         "swf" => "application/x-shockwave-flash",
         "sit" => "application/x-stuffit",
         "sv4cpio" => "application/x-sv4cpio",
         "sv4crc" => "application/x-sv4crc",
         "tar" => "application/x-tar",
         "tcl" => "application/x-tcl",
         "tex" => "application/x-tex",
         "texinfo" => "application/x-texinfo",
         "texi" => "application/x-texinfo",
         "t" => "application/x-troff",
         "tr" => "application/x-troff",
         "roff" => "application/x-troff",
         "man" => "application/x-troff-man",
         "me" => "application/x-troff-me",
         "ms" => "application/x-troff-ms",
         "ustar" => "application/x-ustar",
         "src" => "application/x-wais-source",
         "xhtml" => "application/xhtml+xml",
         "xht" => "application/xhtml+xml",
         "zip" => "application/zip",
         "au" => "audio/basic",
         "snd" => "audio/basic",
         "mid" => "audio/midi",
         "midi" => "audio/midi",
         "kar" => "audio/midi",
         "mpga" => "audio/mpeg",
         "mp2" => "audio/mpeg",
         "mp3" => "audio/mpeg",
         "aif" => "audio/x-aiff",
         "aiff" => "audio/x-aiff",
         "aifc" => "audio/x-aiff",
         "m3u" => "audio/x-mpegurl",
         "ram" => "audio/x-pn-realaudio",
         "rm" => "audio/x-pn-realaudio",
         "rpm" => "audio/x-pn-realaudio-plugin",
         "ra" => "audio/x-realaudio",
         "wav" => "audio/x-wav",
         "pdb" => "chemical/x-pdb",
         "xyz" => "chemical/x-xyz",
         "bmp" => "image/bmp",
         "gif" => "image/gif",
         "ief" => "image/ief",
         "jpeg" => "image/jpeg",
         "jpg" => "image/jpeg",
         "jpe" => "image/jpeg",
         "png" => "image/png",
         "tiff" => "image/tiff",
         "tif" => "image/tif",
         "djvu" => "image/vnd.djvu",
         "djv" => "image/vnd.djvu",
         "wbmp" => "image/vnd.wap.wbmp",
         "ras" => "image/x-cmu-raster",
         "pnm" => "image/x-portable-anymap",
         "pbm" => "image/x-portable-bitmap",
         "pgm" => "image/x-portable-graymap",
         "ppm" => "image/x-portable-pixmap",
         "rgb" => "image/x-rgb",
         "xbm" => "image/x-xbitmap",
         "xpm" => "image/x-xpixmap",
         "xwd" => "image/x-windowdump",
         "igs" => "model/iges",
         "iges" => "model/iges",
         "msh" => "model/mesh",
         "mesh" => "model/mesh",
         "silo" => "model/mesh",
         "wrl" => "model/vrml",
         "vrml" => "model/vrml",
         "css" => "text/css",
         "html" => "text/html",
         "htm" => "text/html",
         "asc" => "text/plain",
         "txt" => "text/plain",
         "rtx" => "text/richtext",
         "rtf" => "text/rtf",
         "sgml" => "text/sgml",
         "sgm" => "text/sgml",
         "tsv" => "text/tab-seperated-values",
         "wml" => "text/vnd.wap.wml",
         "wmls" => "text/vnd.wap.wmlscript",
         "etx" => "text/x-setext",
         "xml" => "text/xml",
         "xsl" => "text/xml",
         "mpeg" => "video/mpeg",
         "mpg" => "video/mpeg",
         "mpe" => "video/mpeg",
         "qt" => "video/quicktime",
         "mov" => "video/quicktime",
         "mxu" => "video/vnd.mpegurl",
         "avi" => "video/x-msvideo",
         "movie" => "video/x-sgi-movie",
         "ice" => "x-conference-xcooltalk"
      );
 }


 // STEP #1: check if downloads need to be monitored and if requests are within time-window
 if ($my_config->downloadmonitor == 'TRUE')
 { 
  // a.) check if visitors downloads file within allowed time-window
  if ($my_config->downloadstart != '00:00' && $my_config->downloadend != '00:00')
  { 
    // get timewindow
    $start_time = explode(":", $my_config->downloadstart);
    $end_time 	= explode(":", $my_config->downloadend);
    
    $starthour   = $start_time[0];
    $endhour	 = $end_time[0];
    
    $startminute = $start_time[1];
    $endminute	 = $end_time[1];
    
   // get current hour and minute
   $currenthour	  = $my_timestamp->hour;
   $currentminute = $my_timestamp->minute;
   
   // is it too early for visitor to download the requested file -> if so, exit here
   if ($currenthour < $starthour)
   { if ($my_config->downloaderrorpage == 'TRUE') {header ("LOCATION:  $errorpage_timewindow"); exit();} else {return;}}
   // is current hour within the time-window?
   if ($currenthour >= $starthour && $currenthour-$endhour >=0 && $currenthour<=$endhour)
   {
    // is current minute within time-window -> if not, exit here
    if ($currentminute > $endminute)
    { if ($my_config->downloaderrorpage == 'TRUE') {header ("LOCATION:  $errorpage_timewindow"); exit();} else {return;}}
   }
  }  
 
  // b.) check if refering domain is allowed to deeplink -> if not, show error and exit;
  $download_block = checkdownloadlist($visitor_data->visitor_refererdomain, $my_config->downloaddomains, $my_tables->configtable);
  if ($download_block == 'TRUE') 
  { if ($my_config->downloaderrorpage == 'TRUE') {header ("LOCATION:  $errorpage_general"); exit();} else {return;}}

  // c.) check if referer-information is blocked -> firewalls could block/filter this information
  if ($visitor_data->visitor_refererpage == '')
  { if ($my_config->downloaderrorpage == 'TRUE') {header ("LOCATION:  $errorpage_general"); exit();} else {return;}}


  // check if denied download needs to be recorded to the logfile-table
  if ($my_config->downloadprotocol == 'TRUE')
  {
   // connect to downloadmanagertable and see if the requested file exists at all
   @$entries  = mysql_result(mysql_query("SELECT count(*) FROM $my_tables->downloadmanagertable WHERE id = '$download_id'"),0,0);
   
   // entry for current download exists -> get information about requested file   
   if ($entries != 0)
   {
    @$numofdownloads 	= 0;
    @$result  		= mysql_query("SELECT * FROM $my_tables->downloadmanagertable WHERE id = '$download_id'");
    @$myobject 		= mysql_fetch_object($result);
    @$location		= trim($myobject->location);
    @$filetitle		= trim($myobject->filetitle);
    @$filedir		= trim($myobject->filedir);
    @$file_to_transfer 	= trim($myobject->filename);
    @$output_filename   = trim($myobject->output_filename);
    @$target_file 	= trim($myobject->fullfile);
    @$filesize	 	= trim($myobject->filesize);
    @$file_id		= trim($myobject->id);

    // finaly save denied download to database
    @$result = mysql_query("INSERT INTO $my_tables->protocoltable (visitor_id,download_timestamp,fileid,filetitle,filename,visitor_ip,refererpage,
			    refererdomain,websitename) VALUES ('$visitor_data->visitor_id','$my_timestamp->now','$file_id','$filetitle','$file_to_transfer',
			    '$visitor_data->visitor_ip','$visitor_data->visitor_refererpage','$visitor_data->visitor_refererdomain','$websitename')");
   }
  }
 }
 
 
 // STEP #3: no problems found -> grant access to requested file

 // unset some variables to avoid possible problems
 unset($filesize_bytes);
 unset($filesize_kbytes);
 unset($file_to_transfer);
 unset($download_directory);

 // set $file_found to FALSE
 $file_found = FALSE;

 // connect to downloadmanagertable and check if download exists
 @$entries  = mysql_result(mysql_query("SELECT count(*) FROM $my_tables->downloadmanagertable WHERE id = '$download_id'"),0,0);
 
 // if download exists, get information about requested file
 if ($entries > 0)
 {
  $file_found 		= TRUE;
 
  @$result  		= mysql_query("SELECT * FROM $my_tables->downloadmanagertable WHERE id = '$download_id'");
  @$myobject 		= mysql_fetch_object($result);
  $numofdownloads 	= 0;
  $location		= trim($myobject->location);
  $filetitle		= trim($myobject->filetitle);
  $filedir		= trim($myobject->filedir);
  $file_to_transfer 	= trim($myobject->filename);
  $target_file 		= trim($myobject->fullfile);
  $filesize	 	= trim($myobject->filesize);
  $file_id		= trim($myobject->id);
  $numofdownloads     	= trim($myobject->totaldownloads);
  $lastdownloadip     	= trim($myobject->lastdownloadip);
  $lastdownloadtime 	= trim($myobject->lastdownload); 

 
  // increase number of downloads
  @$result = mysql_query("UPDATE $my_tables->downloadmanagertable SET totaldownloads = totaldownloads + 1,
			  lastdownload = '$my_timestamp->now', lastdownloadip = '$visitor_data->visitor_ip',
			  lastdownloadid = '$visitor_data->visitor_id'
			  WHERE id = '$download_id'");

  // if download is located on external server, re-direct user to that page
  if ($location == 'EXTERNAL')
  {
    // save file-request to download-table
   @$db_query 	  = "INSERT INTO $my_tables->downloadtable (visitor_id, download_timestamp, fileid, filetitle, filename, filesize, visitor_ip, websitename)
		     VALUES ('$visitor_data->visitor_id','$my_timestamp->now', '$file_id', '$filetitle','$file_to_transfer', '$filesize', '$visitor_data->visitor_ip','$websitename')";
   @$query_result = mysql_query($db_query);


   header("location: $target_file");
   exit();
  } 
 }  
 else 
 {
  // do something else if file was not found in database
  // header("location: downloadnotfound.php");
 }

 if ($file_found == TRUE && $location == 'INTERNAL')
 { 
  // get file-extension
  if ($output_filename != '') 
    $filetype  = explode('.', $output_filename); 
   else 
     $filetype  = explode('.', $file_to_transfer); 
  // grab last part of filename following after the dot
  $filetype  = $filetype[count($filetype)-1];   
  // create MIME array
  $mimetypes = mimeheader();
  // get the right mime type for file
  if (isset($mimetypes[$filetype]))
  {
   $MIME_TYPE =  $mimetypes[$filetype];
  } else {
   $MIME_TYPE = "application/octet-stream";
  }
 
  // get filesize of requested download
  $basedirlength = strlen($basedir); 
  $testchar = substr($basedir,$basedirlength-1,$basedirlength);
  if ($testchar == "/") $basedir = substr($basedir,0,$basedirlength-1);
  $checkfile = $basedir.$filedir.$file_to_transfer;
  if (file_exists($checkfile))
  {
   $downloadfile = $basedir.$filedir.$file_to_transfer;
   @$filesize_bytes  = filesize($checkfile); // filesize in bytes
   @$filesize_kbytes = round (($filesize_bytes/1024),2); // get filesize in KB an round the result
  
   // save file-request to download-table
   @$db_query 	  = "INSERT INTO $my_tables->downloadtable (visitor_id, download_timestamp, fileid, filetitle, filename, filesize, visitor_ip, websitename)
				 	  VALUES ('$visitor_data->visitor_id','$my_timestamp->now', '$file_id', '$filetitle','$file_to_transfer', '$filesize', '$visitor_data->visitor_ip','$websitename')";
   @$query_result = mysql_query($db_query);

   if (isset($db_query)) unset($db_query);
   if (isset($query_result)) unset($query_result);

   // add filesize of current file to total ammount of transfered data 
   $roundedfilesize  = round($filesize_kbytes);
   $db_query 	     = "UPDATE $my_tables->transfertable SET datatransfered = datatransfered + $roundedfilesize WHERE websitename = '$websitename'";
   @$query_result    = mysql_query($db_query);

   // update counter-table
   $db_query 	     = "UPDATE $my_tables->countertable SET downloads = downloads + 1 WHERE websitename = '$websitename'";
   @$query_result    = mysql_query($db_query);
   
  
   // send file to user
   if ($file_found == TRUE)
   {
    // create the correct header
    if (strstr($HTTP_USER_AGENT,"MSIE")) { $attachment = ""; } else { $attachment = "attachment;"; }
    if (strstr($HTTP_USER_AGENT,"MSIE")) {header("Cache-Control: public\n");} else {header("Cache-control: private\n");}

    header("Cache-control: must-revalidate\n");
    header("Content-type: $MIME_TYPE\n"); 
    
    if ($output_filename != '') 
    { 
     header("Content-name: $output_filename\n"); 
     header("Content-Disposition: $attachment filename=$output_filename\n"); 
    } 
    else 
    { 
     header("Content-name: $file_to_transfer\n"); 
     header("Content-Disposition: $attachment filename=$file_to_transfer\n"); 
    } 

    header("Content-length: $filesize_bytes\n");
    header("Pragma: no-cache\n");
    header("Expires: 0\n");
    header("Connection: close\n");

    //send file to user 
    unset($fp);
    @$fp = fopen($downloadfile, "rb");
    fpassthru($fp);
    exit(); 
   }
  }
 }
 exit();
?>