<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

// TAKE STARTING TIME
$starttime       = microtime(); 
$starttime   	 = explode(" ",$starttime); 
$starttime   	 = $starttime[1] + $starttime[0]; 
$timescriptstart = $starttime; 

if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
$timeparts = explode(" ",microtime());
$starttime = $timeparts[1].substr($timeparts[0],1); 

$include_path = dirname(__FILE__); $include_path .= "/";
include_once ($include_path."./../language/language.inc.php");
include_once ($include_path."./../includes/global.inc.php");			 
include_once ($include_path."./../includes/binarystat.inc.php"); 		 
include_once ($include_path."./../includes/dbactions.inc.php");
include_once ($include_path."./../includes/timezone.inc.php");
include_once ($include_path."./../includes/sessions.inc.php");

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // check if user is logged in and allowed to view this page -> if not, show error page
 if ($my_session->usertype  == 'GUEST') { header("Location: ../login/noguestallowed.php"); exit();}
 if ($my_session->logged_in == 'FALSE') { header("Location: ../login/loginfirstmessage.php"); exit();}

 // get server uptime
 @$fd = fopen("/proc/uptime", "r");
 if ($fd)
 {
  @$ar_buf = split( " ", fgets( $fd, 4096 ) );
  fclose( $fd );

  $sys_ticks = trim( $ar_buf[0] );

  $min   = $sys_ticks / 60;
  $hours = $min / 60;
  $days  = floor( $hours / 24 );
  $hours = floor( $hours - ($days * 24) );
  $min   = floor( $min - ($days * 60 * 24) - ($hours * 60) );
    
  if ( $days != 0 )
  {
   $server_uptime = "$days "; if ($days == 0 || $days > 1) $server_uptime .= $lang['Days'].", "; else $server_uptime .= $lang['Day'].", ";
  }  
  if ( $hours != 0 )
  {
   $server_uptime .= "$hours "; if ($hours == 0 || $hours > 1) $server_uptime .= $lang['Hours'].", "; else $server_uptime .= $lang['Hour'].", ";
  }  
  $server_uptime .= "$min "; if ($min == 0 || $min > 1) $server_uptime .= $lang['Minutes']; else $server_uptime .= $lang['Minute'];
 }
 else
 {
  $server_uptime = $lang['Unknown'];
 }

 // get database total size
 $total_dbsize = database_size($my_tables,$my_db->bstat_db_name);
 
 // get database information
 @$result 		= mysql_query("SHOW TABLE STATUS FROM $my_db->bstat_db_name"); 
 @$data 		= mysql_fetch_array($result); 										 

 @$result     		= mysql_query("SELECT VERSION() as version, USER() as user, DATABASE() as dbname");
 @$mysql_user 		= mysql_result($result, 0, 'user');
 @$mysql_version 	= mysql_result($result, 0, 'version');
 @$mysql_dbname 	= mysql_result($result, 0, 'dbname');

 // get status of database-tables 
 $mainstatus     = table_status($my_db->bstat_db_name, $my_tables->maintable);
 $trackingstatus = table_status($my_db->bstat_db_name, $my_tables->trackingtable);
 $archivestatus  = table_status($my_db->bstat_db_name, $my_tables->archivetable);
 $pluginstatus   = table_status($my_db->bstat_db_name, $my_tables->plugintable);
 $refererstatus  = table_status($my_db->bstat_db_name, $my_tables->referertable);
 $revisitstatus	 = table_status($my_db->bstat_db_name, $my_tables->revisittable);
 $downloadstatus = table_status($my_db->bstat_db_name, $my_tables->downloadtable);

 // get database status itself
 $query  = "SHOW STATUS";
 $result = mysql_query($query);

 while(@$my_row = mysql_fetch_row($result))
 {
  $serverStatus[$my_row[0]] = $my_row[1];
 }

 $mysql_uptime 			  = $serverStatus['Uptime'];
 $mysql_threads_running   = $serverStatus['Threads_running'];
 $mysql_threads_connected = $serverStatus['Threads_connected'];
 $mysql_threads_created	  = $serverStatus['Threads_created'];
 $mysql_max_connections	  = $serverStatus['Max_used_connections'];
 $mysql_open_tables		  = $serverStatus['Open_tables'];
 $mysql_slow_queries	  = $serverStatus['Slow_queries'];
 $mysql_bytes_received    = $serverStatus['Bytes_received'];
 $mysql_bytes_sent	      = $serverStatus['Bytes_sent'];

 // convert bytes sent/recieved to MByte
 @$data_sent_kbyte     = round(($mysql_bytes_sent/1024),2);
 @$data_sent_mbyte     = round(($data_sent_kbyte/1024),2);
 @$data_received_kbyte = round(($mysql_bytes_received/1024),2);
 @$data_received_mbyte = round(($data_received_kbyte/1024),2);

 // convert mysql-uptime from seconds to minutes, hours and days
 $diff  	= $mysql_uptime;

 $days 		= ($diff - ($diff % 86400)) / 86400;
 $diff 		= $diff - ($days * 86400);
 $hours 	= ($diff - ($diff % 3600)) / 3600;
 $diff 		= $diff - ($hours * 3600);
 $minutes 	= ($diff - ($diff % 60)) / 60;
 $diff 		= $diff - ($minutes * 60);
 $seconds 	= ($diff - ($diff % 1)) / 1;
 
 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Database &amp; Server</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/divresize.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/popup.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>
<script language="JavaScript" type="text/JavaScript">
<!--
///////////////////////////////////////////////////////
function printme()
{
 target = "<?php echo $_SERVER['PHP_SELF'];?>?print=TRUE&limitday_low=<?php echo $limitday_low?>&limitday_high=<?php echo $limitday_high;?>&searchphrase=<?php echo $searchphrase;?>&showmax=<?php echo $showmax;?>"
 window.open(target, 'printWindow', 'height=500,width=980, scrollbars');return false;
}
function exportme()
{
 target = "<?php echo $_SERVER['PHP_SELF'];?>?export=TRUE&limitday_low=<?php echo $limitday_low?>&limitday_high=<?php echo $limitday_high;?>&searchphrase=<?php echo $searchphrase;?>&showmax=<?php echo $showmax;?>"
 document.getElementById("exportframe").src = target;
}

///////////////////////////////////////////////////////
function hiLite(rowname, cname)
{ 
  document.getElementById(rowname+"A").className = cname;
  document.getElementById(rowname+"B").className = cname;
  document.getElementById(rowname+"C").className = cname;
  document.getElementById(rowname+"D").className = cname;
}

function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}
function starthiding()
{
 top.parent.hidemymenus();
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?searchphrase=&changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&displayframe_name=setup/databaseserver.php';
}
//-->
</script>
</head>
<body class="section-1" onload="<?php if ($print) echo "window.print();";?> showLayer('contentlayer');reloadmenu();">
<div id="contentlayer" onMouseOver="starthiding();" style="position:relative; z-index:10; visibility: hidden;">
<table width="100%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td width="72%"> <span class="smallBold"><? echo $lang['Overview'];?>: </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
          <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
        </tr>
      </table>
        <img src="../images/blackdot.gif" width="100%" height="1"><br>
        <form action="../reports/databaseserver.php" method="post" name="ipresolving" id="ipresolving">
          <br>
          <br>
          <ul id="menu">
            <li id="nav-1"><a href="./databaseserver.php" target="_self" onmouseover="pointerHand();" onmouseout="pointerNormal();"><?php echo $lang['Tab']['Database_Server_Overview']; ?></a></li>
            <li id="nav-2"><a href="./optimizedatabase.php" target="_self" onmouseover="pointerHand();" onmouseout="pointerNormal();"><?php echo $lang['Tab']['Optimize_Database']; ?></a></li>
          </ul>
          <div id="contents">              <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3>
                <TBODY>
                  <TR>
                    <TD bgcolor="#FFFFFF" class="finelinebox">                        <table width="95%" border="0" align="center" cellpadding="0" cellspacing="0" class="smallBlack">
                          <tr>
                            <td width="21%" height="25" class="smallBold">&raquo; <? echo $lang['PHP_Version'];?></td>
                            <td width="3%" height="25" class="smallBold">: </td>
                            <td width="26%" height="25"><?php 
 $phpversion = phpversion(); if ($phpversion == '') $phpversion = $lang['Unknown']; echo $phpversion;
?></td>
                            <td width="25%" height="25" class="smallBold">&raquo; <? echo $lang['Mysql_Databasename'];?></td>
                            <td width="2%" class="smallBold">: </td>
                            <td width="23%">
                              <?php 

 // make DB-settings unreadable for demo-account
 if ($my_session->usertype == 'DEMO' )
  $mysql_dbname = "xxxxxxxxxxxxx";
 
 if (empty($mysql_dbname)) $mysql_dbname = $lang['Unknown'];

 if(strlen($mysql_dbname) > 36)
 { $mysql_dbname = substr($mysql_dbname, 0 ,33); $mysql_dbname .= "..."; }
 echo $mysql_dbname;
?>
                            </td>
                          </tr>
                          <tr>
                            <td height="25" class="smallBold">&raquo; <? echo $lang['PHP_Version'];?></td>
                            <td height="25" class="smallBold">:</td>
                            <td height="25">
                              <?php 
 @$server_software = $_SERVER['SERVER_SOFTWARE'];
 if (empty($server_software)) $server_software = $lang['Unknown'];
 
 if (strlen($server_software)>32) // If hostname length longer than 28 chars, cut it.
 {
  $server_software = substr($server_software,0,29);
  $server_software .= "...";
 }
 echo $server_software;
?>
                            </td>
                            <td height="25" class="smallBold">&raquo; <? echo $lang['Mysql_Username'];?></td>
                            <td class="smallBold">:</td>
                            <td>
                              <?php 
 // make DB-settings unreadable for demo-account
 if ($my_session->usertype == "DEMO" )
  $mysql_user = "xxxxxxxxxxxxx";

 if (empty($mysql_user)) $mysql_user = $lang['Unknown'];
 
 if(strlen($mysql_user) > 36)
 { $mysql_user = substr($mysql_user, 0 ,33); $mysql_user .= "..."; }
 echo $mysql_user;
?>
                            </td>
                          </tr>
                          <tr>
                            <td height="25" class="smallBold">&raquo; <? echo $lang['Mysql_Version'];?></td>
                            <td height="25" class="smallBold">:</td>
                            <td height="25">
                              <?php 

 //$mysql_freespace 		= round($mysql_freespace/1024); $mysql_freespace .= " KBytes";

 if (empty($mysql_version)) $mysql_version = $lang['Unknown'];
 if(strlen($mysql_version) > 32)
 { $mysql_version = substr($mysql_version, 0 ,29); $mysql_version .= "..."; }

 echo $mysql_version;

?>
                            </td>
                            <td height="25" class="smallBold">&raquo; <? echo $lang['Database_Totalsize'];?></td>
                            <td class="smallBold">:</td>
                            <td height="25">
                              <?php 

 echo $total_dbsize.' '.$lang['Kilobyte']." / ".round(($total_dbsize/1024),2)." ".$lang['Megabyte'];
?>
                            </td>
                          </tr>
                        </table>
                    </TD>
                  </TR>
                </TBODY>
              </TABLE>
              <br>
              <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3>
                <TBODY>
                  <TR>
                    <TD bgcolor="#FFFFFF" class="finelinebox"><br>
                        <table width="95%" border="0" align="center" cellpadding="0" cellspacing="0" class="smallBlack">
                          <tr>
                            <td width="21%" height="25" class="smallBold">&raquo; <? echo $lang['Server_Uptime'];?></td>
                            <td width="3%"><span class="smallBold">:</span></td>
                            <td width="26%"><?
echo $server_uptime;
?></td>
                            <td width="25%"><span class="smallBold">&raquo; <? echo $lang['Server_CPU_Load_Average'];?></span></td>
                            <td width="2%"><span class="smallBold">:</span></td>
                            <td width="23%">
                              <?php
 // get vmstat-data from server
 ob_start();
 @passthru("vmstat 1 2");
 @$read = ob_get_contents(); 
 ob_end_clean();

 if (!empty($read))
 {
  $lines = split("\n", $read);
  for ($i = 2; $i < sizeof($lines); $i++)
  {
   @$buffer[] = preg_split("/\s+/", $lines[$i], 19);
   // cpu idle time is saved in array-cell #16
  }
 }
 // CPU-load is saved in $buffer[1][14]
 $average_load = $buffer[1][14];

 if (empty($average_load)) $average_load = $lang['Unknown'];
 echo $average_load;
 if ($average_load > 0 && $average_load != '' && $average_load != $lang['Unknown'])
 {
  echo "% ";
 }
 ?></td>
                          </tr>
                          <tr> </tr>
                        </table>
                    <br></TD>
                  </TR>
                </TBODY>
              </TABLE>
              <br>
              <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3>
                <TBODY>
                  <TR>
                    <TD bgcolor="#FFFFFF" class="finelinebox"><br>
                        <table width="95%" border="0" align="center" cellpadding="0" cellspacing="0" class="smallBlack">
                          <tr>
                            <td height="25" class="smallBold">&raquo; <? echo $lang['MYSQL_Uptime'];?></td>
                            <td><span class="smallBold">:</span></td>
                            <td>
                              <?
 echo $days." ";
 if ($days == 0 || $days > 1) echo $lang['Days'];
  else echo $lang['Day'];
 echo ", "; echo $hours." ";
 if ($hours == 0 || $hours > 1) echo $lang['Hours'];
  else echo $lang['Hour'];
 echo ", "; echo $minutes." ";
 if ($minutes == 0 || $minutes > 1) echo $lang['Minutes'];
  else echo $lang['Minute'];

?></td>
                            <td><span class="smallBold">&raquo; <? echo $lang['Data_Sent_Received']?></span></td>
                            <td><span class="smallBold">:</span></td>
                            <td><?php echo $data_sent_mbyte." ".$lang['Megabyte']." / ".$data_received_mbyte." ".$lang['Megabyte'];?></td>
                          </tr>
                          <tr>
                            <td height="25" class="smallBold">&raquo; <? echo $lang['Threads']?> / <? echo $lang['Active']?></td>
                            <td><span class="smallBold">:</span></td>
                            <td><?php echo $serverStatus['Threads_connected'];?> / <?php echo $serverStatus['Threads_running'];?></td>
                            <td><span class="smallBold">&raquo; <? echo $lang['Total_Questions']?></span></td>
                            <td><span class="smallBold">:</span></td>
                            <td><?php echo $serverStatus['Questions'];?> </td>
                          </tr>
                          <tr>
                            <td width="21%" height="25" class="smallBold">&raquo; <? echo $lang['Connection_Attempts'];?> </td>
                            <td width="3%"><span class="smallBold">:</span></td>
                            <td width="26%"><?php echo $serverStatus['Connections'];?></td>
                            <td width="22%"><span class="smallBold">&raquo; <? echo $lang['Connections_Failed']?></span></td>
                            <td width="3%"><span class="smallBold">:</span></td>
                            <td width="25%"><?php echo $serverStatus['Aborted_connects'];?> </td>
                          </tr>
                          <tr> </tr>
                        </table>
                        <br></TD>
                  </TR>
                </TBODY>
              </TABLE>
                            <table width="100%" border="0" cellspacing="0" cellpadding="0">
                <tr> </tr>
              </table>
          </div>
        </form>
        <div align="right"> </div>
        <table width=100% border=0 cellspacing="0" cellpadding="2">
          <tr> </tr>
      </table></td>
  </tr>
</table>
</div>
</body>
</html>

















