<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen. Jede unauthorisierte
Nutzung dieser Software ohne gltigen Lizenzschlssel ist ein Versto gegen die
Lizenzvereinbarungen und wird zivil- und strafrechtlich verfolgt.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
Any unauthorized use of this software without a valid license key is a violation 
of the license agreement and will be prosecuted by civil and criminal law.
---------------------------------------------------------------------------------
*/

 ################################################################################
 ## robot/spider identification -> logging & tracking routine
 ################################################################################

function logspider($loggedsite)
{ 
 // TAKE STARTING TIME
 $starttime       = microtime(); 
 $starttime   	  = explode(' ',$starttime); 
 $starttime   	  = $starttime[1] + $starttime[0]; 
 $timescriptstart = $starttime; 
 $timeparts 	  = explode(' ',microtime());
 $starttime 	  = $timeparts[1].substr($timeparts[0],1);  

 // set global variables
 global $my_tables, $my_db, $my_conn, $my_config, $my_timestamp, $my_robots, $visitor_data, 
        $abort_logging, $block_result, $robot_check, $page_short, $page_fullpath,
        $page_referer, $trackname, $trackmode, $mode, $numframes, $websitename,
        $visitor_resolution, $visitor_colordepth, $visitor_cookies, $visitor_java, 
        $visitor_realplayer, $visitor_shockwave, $visitor_acrobat, $visitor_quicktime, 
        $visitor_flash, $visitor_svg, $visitor_mediaplayer, $visitor_id, $spider;

 // hand over websitename-variable
 $websitename = $loggedsite;

 // check if website is referring the the robot/spider -> if so, abort logging
 if (!empty($_SERVER['HTTP_REFERER']))
 { 
  $lowered_websitename  = strtolower($websitename);
  preg_match('!^(([^:/?#]+):)?(//([^/:?#]*)(:(\d+))?)?([^?#]*)(\\?([^#]*))?(#(.*))?!',$_SERVER['HTTP_REFERER'], $matches);
  list(,,$url['scheme'],,$url['host'],,$url['port'],$url['path'],,$url['query'])= $matches;
  if (substr_count($url['host'], $lowered_websitename) > 0 && $mode != 'NOSCRIPT') {$abort_logging = TRUE; return;}
 }
 
 // include routines
 @$include_path = dirname(__FILE__); $include_path .= '/';
 include_once ($include_path.'./includes/global.inc.php'); 	    // load variables file
 include_once ($include_path.'./includes/binarystat.inc.php'); 	    // load configuration file
 include_once ($include_path.'./includes/getrobotspider.inc.php');  // load robot identification routines

 // connect to database 
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // make tablenames available
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();
 
 // get robot/spider- and searchengine-list from database
 $sql 	      = "SELECT robots FROM $my_tables->identifytable";
 @$result     = $my_db->query($sql);
 @$my_array   = mysql_fetch_array($result);
 @$my_robots  = $my_array['robots'];
 
 // get identification string from robot/spider
 $id_string = $_SERVER['HTTP_USER_AGENT']; 

 // set some variables
 $UNIQUE     	= 'TRUE';       
 $MUST_WAIT  	= 3;          // number of seconds have to pass before the robot/visitor gets logged again 
 $diff 	     	= 0;
 $seconds    	= 0;
 $lastvisit  	= 'NOTCHECKED';
 $abort_logging = FALSE;

 // next line is for debugging -> uncomment if needed
 // $id_string = "IconSurf";

 // check if visitor is a robot or spider   
 $robot_check = robotcheck('xxxxx', $id_string, $my_robots);

 // check result
 if ($robot_check['type'] != 'NONE')
  $spider = 'TRUE';
 else
  $spider = 'FALSE';

 #########################################################################
 ## save robot/spider to database
 #########################################################################
 if ($robot_check['type'] != 'NONE')
 {
  include_once ($include_path.'./includes/timezone.inc.php'); 	  // load timezone functions
  include_once ($include_path.'./includes/visitordata.inc.php');  // load visitor-analysis functions
  include_once ($include_path.'./includes/configdata.inc.php');   // load website configuration
  include_once ($include_path.'./trackit.php');		  	  // load tracking functions

  // create timestamp
  $my_timestamp = new binarystat_timezone;
  $my_timestamp -> get_timestamp();

  $my_config   = new configdata;
  $my_config -> get_configdata($my_tables->websitestable, $websitename);  
 
  // gather information about visitor
  $visitor_data = new visitor_data;
  $visitor_data -> get_visitor_data($my_config->gethostname, $my_tables, $my_timestamp, $websitename);
 
  // override $visitor_data settings with collected information about robot
  $visitor_data->spidername 		 = $robot_check['brand'];
  $visitor_data->visitor_system 	 = $robot_check['type'];
  $visitor_data->visitor_browserfull 	 = $robot_check['brand'];
  $visitor_data->visitor_browsername 	 = $robot_check['brand'];
  $visitor_data->visitor_browsertype     = 'ROBOT';
  
  #########################################################################################
    
  // what webpage did roboter/spider request? -> get name and save it to variable
  @$orig_requested   = $_SERVER['SCRIPT_NAME'];
  @$parsed_requested = parse_url($orig_requested);
  @$exploded 	     = explode ('/', $parsed_requested['path']);
  @$elements 	     = count($exploded);
  @$raw_requested    = $exploded[$elements-1];
  
  // save requested pagename
  $visitor_data->visitor_requestedpage = $raw_requested;

  // did robot/spider request index-page? Is there a dynamic name for index-page set? If so, use it.
  if (substr_count($raw_requested, 'index.') > 0)
  {
   if (!empty($my_config->indexdynamicname)) 
    $visitor_data->visitor_requestedpage = $my_config->indexdynamicname;
   else
    $visitor_data->visitor_requestedpage = $my_config->indexpage;
  }
  // roboter/spider did not request index page
  else
  {
   // get query of requested page (if available)
   $query = $parsed_requested['query'];
 
   // only continue this routine if there is a query available
   if (!empty($query))
   { 
    // split up uri elements if the are any   
    if (substr_count($query, '&') < 1) $uri_elements[] = $query;
     else @$uri_elements = explode('&', $query);
    
    // look at trackingmanager table and find a name of requested page (if availabe)
    foreach ($uri_elements AS $current_element)
    { 
     $current_element = trim($current_element);
     $sql = "SELECT fieldtype, realname FROM $my_tables->dynamictable WHERE idstring = '$current_element' AND websitename = '$websitename'";
     @$result = $my_db->query($sql);
     if ($result)
     {
      $my_array  = mysql_fetch_assoc($result); 
      $realname  = $my_array['realname']; 
      $fieldtype = $my_array['fieldtype']; 
   
     if ($fieldtype == 'ELEMENT') $element = $realname;
      elseif ($fieldtype == 'CATEGORY') $category = $realname;
    
      // explode current element and check if it equals the $extra-variable
      $exploded_elements = explode('=', $current_element);
      if (trim($exploded_elements[0]) == trim($extra))
      {
       $extra_value = $exploded_elements[1];
      }
      else $extra_value = '';
    
      // create final "realname" for tracked page
      $requested_page = $category; if (!empty($element)) $requested_page .= " ".$element;

      // if $extra_value is set, append it to pagename
      if (!empty($extra_value)) $requested_page .= '  '.$extra_value;

      // cleanup webpage name and hand over variable -> if name is empty, give it name of $raw_requested (see above)
      $visitor_data->visitor_requestedpage = trim($requested_page); 
      
      // exit from loop
      break;
     }
     elseif (!$result)
     {
      // no dynamic pagename found for requested page? then save orginal pagename as requested page
      if (empty($visitor_data->visitor_requestedpage)) $visitor_data->visitor_requestedpage = $raw_requested;
      if (!empty($parsed_requested['path'])) $visitor_data->visitor_requestedpage .= '?'.$parsed_requested['path'];
     }
    } 
   }
   // no query element available, save original pagename as requested page
   else
   {
    $visitor_data->visitor_requestedpage = $raw_requested;	
    // check if first char if requested page contains "/"
    if ($visitor_data->visitor_requestedpage{0}!= '/')
     $visitor_data->visitor_requestedpage = '/'.$visitor_data->visitor_requestedpage;  
   }   
  }
  
  // make final check and see if pagename is empty -> if so, set its name to index page
  if ($visitor_data->visitor_requestedpage == '/' || $visitor_data->visitor_requestedpage == './' || empty($visitor_data->visitor_requestedpage))
   $visitor_data->visitor_requestedpage = $my_config->indexpage; 

  #########################################################################################
  ## check last time of spider-visit
  #########################################################################################
  
  $sql = "SELECT MAX(UNIX_TIMESTAMP(visitor_timestamp)) FROM $my_tables->maintable 
          WHERE visitor_ip  = '$visitor_data->visitor_ip' AND websitename = '$websitename'";

  @$result = $my_db->query($sql);
  @$time_lastvisit = mysql_result($result,0,0); 
  
  // did the current visitor already visit the website? How much time passed since last visit?
  $day_lastvisit 	= strftime( "%d",$time_lastvisit);     	 	// number of day the visitor visited last time
  $hour_lastvisit 	= strftime( "%H",$time_lastvisit);     	 	// hour the visitor visited last time
  $minute_lastvisit 	= strftime( "%M",$time_lastvisit); 	 	// minute the visitor visited last time
  $second_lastvisit 	= strftime( "%S",$time_lastvisit); 	 	// second the visitor visited last time
  $day_today     	= strftime( "%d",$my_timestamp->timestamp); 	// timestamp for today

  $diff 	= $my_timestamp->timestamp - $time_lastvisit;
  $days 	= ($diff - ($diff % 86400)) / 86400;
  $diff 	= $diff - ($days * 86400);
  $hours 	= ($diff - ($diff % 3600)) / 3600;
  $diff 	= $diff - ($hours * 3600);
  $minutes 	= ($diff - ($diff % 60)) / 60;
  $diff 	= $diff - ($minutes * 60);
  $seconds 	= ($diff - ($diff % 1)) / 1;

  // ---------------------------------------------------------------------------------------
  // #1: check if logit()-option "ONCE" is used. If minutes that passed since last visit 
  // is smaller than the reloadblockingtime-value, return from this routine. 
  // ---------------------------------------------------------------------------------------
  // #2:check if last saved entry is the same visitor as the current one
  // If only 4 seconds passed since the first one was saved into database, this time
  // the visitor will not be saved. Prevents multiple logging of page reloads.
  // ---------------------------------------------------------------------------------------

  // check if visitor is within blocking-time -> if so, return from this routine
  if ($minutes < $my_config->reloadblocking && $my_config->reloadblocking != 0) {$abort_logging = TRUE; return;}
  if ($seconds <= $MUST_WAIT) {$abort_logging = TRUE; return;} 
 
  // now check if visitor is unique or not -> set $UNIQUE variable
  if ($minutes <= $my_config->uniqueblocking) $UNIQUE  = 'FALSE';  // set if visitor is unique 
  if ($minutes > $my_config->uniqueblocking || days >=1 || $day_lastvisit != $day_today) $UNIQUE  = 'TRUE';   
 
  // make visitor_id empty for robots (they change very time and can not be used for logging/tracking)
  $visitor_data->visitor_id = '';

  // create sql-query
  $sql = "INSERT INTO $my_tables->maintable(visitor_id,visitor_type,visitor_language, hostnameresolved,
			      visitor_timestamp, visitor_date, visitor_ip, visitor_tld, visitor_country, 
			      visitor_browserfull, visitor_hostname, visitor_hostnameshort,visitor_referertype,visitor_refererpage, visitor_system, unique_visit,
			      browserstamp, requested_page, proxyinfo, visitor_resolution, visitor_colordepth, websitename) 
 			      VALUES(
 		 	      '$visitor_data->visitor_id','$visitor_data->visitor_browsertype','$visitor_data->visitor_language',
 		 	      '$visitor_data->hostnameresolved','$my_timestamp->now','$my_timestamp->now','$visitor_data->visitor_ip',
 		 	      '$visitor_data->visitor_tld', '$visitor_data->visitor_countrytoken',
 		 	      '$visitor_data->visitor_browserfull','$visitor_data->visitor_hostname','$visitor_data->visitor_hostnameshort',
 		 	      '$visitor_data->visitor_referertype','$visitor_data->visitor_refererpage','$visitor_data->visitor_system', '$UNIQUE',
 			      '$visitor_data->visitor_browserstamp', '$visitor_data->visitor_requestedpage', 
 			      '$visitor_data->visitor_proxy','Unknown','Unknown','$websitename')";


  // execute sql-query
  if (!$abort_logging) @$result = $my_db->query($sql);
  
  ##################################################################################
  ## save robot/spider movement witing website (tracking)
  ##################################################################################

  start_tracking('robotspider', $robot_check);
  
 }
}

?>