<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

////////////////////////////////////////////////////////////////////////////////////////////////
// ### FUNCTION TRACKIT ###
////////////////////////////////////////////////////////////////////////////////////////////////
function start_tracking($calling = 'human', $robotdata = '')
{  
 // set global variables
 global $my_tables, $my_db, $my_conn, $my_config, $my_timestamp, $my_robots, $visitor_data, 
        $abort_logging, $block_result, $robot_check, $page_short, $page_fullpath,$spider,
        $page_referer, $trackname, $trackmode, $websitename, $mode, $numframes, $visitor_id;

 // set include-path
 @$include_path = dirname(__FILE__); $include_path .= '/';
         
 // check variables
 $trackmode = trim($trackmode);
 if (empty($trackmode)) $trackmode = 'STATIC';

 // check if visitor is a robot/spider
 if ($calling == 'robotspider') $mode = 'ROBOT';
 
 // check if visitor data needs to be gathered
 if (empty($visitor_data))
 {
  // include routines
  include_once ($include_path.'./includes/global.inc.php'); 		// load variables file
  include_once ($include_path.'./includes/binarystat.inc.php'); 	// load configuration file
  include_once ($include_path.'./includes/configdata.inc.php'); 	// load website configuration
  include_once ($include_path.'./includes/timezone.inc.php'); 		// load timezone functions
  include_once ($include_path.'./includes/visitordata.inc.php'); 	// load visitor-detection functions
  
  // set $get_all_data to FALSE because we do not need all visitor information (country, etc.)
  $get_all_data = 'FALSE';
  
  // connect to database, get website configuration, database tablenames, timestamp, etc.
  if (!isset($my_conn))
  {
   $my_db     = new binarystat_db;
   $my_conn   = $my_db->connect();
  }
  if (!isset($my_tables))
  {
   $my_tables = new binarystat_tables;
   $my_tables -> build_tables();
  }
  if (!isset($my_config))
  {
   $my_config = new configdata;
   $my_config -> get_configdata($my_tables->websitestable, $websitename);  
  }
  if (!isset($my_timestamp))
  {
   $my_timestamp = new binarystat_timezone;
   $my_timestamp -> get_timestamp();
  }
  if (!isset($visitor_data))
  {
   // gather information about visitor
   $visitor_data = new visitor_data;
   $visitor_data -> get_visitor_data('FALSE', $my_tables, $my_timestamp, $websitename, $get_all_data);
  }
 }

 // check if $visitor_id is set -> if so, save it to $visitor_data
 if (!empty($visitor_id)) $visitor_data->visitor_id = $visitor_id;

 ////////////////////////////////////////////////////////////////////////////////////////////////
 // you may change the standard-trackit-plugin here:
 ////////////////////////////////////////////////////////////////////////////////////////////////
 include_once($include_path.'./plugins/standardtracker.inc.php');

 ////////////////////////////////////////////////////////////////////////////////////////////////
 // DO NOT EDIT BELOW THIS LINE!
 ////////////////////////////////////////////////////////////////////////////////////////////////

 // if visitor is the admin himself or if tracking is disabled or securitykey is wrong, return from this routine
 if (isset($_COOKIE['binarystatmaster']) || $my_config->visitortracking == 'FALSE' || $my_config->logging_activated == 'FALSE') {$abort_logging = TRUE; return;}

 // visitor has been identified as robot/spider -> set flags
 if ($calling == 'robotspider')
 {
  $robot = TRUE;
  $visitor_type = 'ROBOT';
  $visitor_data->visitor_id = '';
 }
 else
 {
  $robot = FALSE;
  $visitor_type = 'HUMAN';
 }

 // if visitor does not need to be blocked, gather information about the page he requested
 if ($block_result == 'FALSE' || empty($block_result))
 { 
  // retrieve information about requested page
  $pages_container = get_trackingdata($my_config, $my_tables, $trackmode, $trackname, $websitename);
   
  // pull data from container
  $visitor_webpage 	= $pages_container['visitor_webpage'];
  $visitor_realpagename = $pages_container['visitor_realpagename'];
    
  // check if javascript is turned off -> if so, $_SERVER['HTTP_REFERER'] contains the 
  // requested page and NOT a referer!
  
  if ($mode == 'NOSCRIPT')
  {
   $page_fullpath = $_SERVER['HTTP_REFERER'];
   // get name and full path of page that has been requested
   preg_match('!^(([^:/?#]+):)?(//([^/:?#]*)(:(\d+))?)?([^?#]*)(\\?([^#]*))?(#(.*))?!',$page_fullpath, $matches);
   list(,,$req_page['scheme'],,$req_page['host'],,$req_page['port'],$req_page['path'],,$req_page['query'])= $matches;

 // if name of page is empty, save name as configured in setup ($my_config->indexpage)
   if ($req_page['path'] == '/' || $req_page['path'] == '/.' || empty($req_page['path']))
    $req_page['path'] = $my_config->indexpage;
  
   // save pathname to variables
   $visitor_webpage 	 = $req_page['path'];
   $visitor_realpagename = $req_page['path'];  
  }

  // verify if visitor_id is set - if not, try to get it from main data-table (only if visitor is NOT a robot/spider)
  if (empty($visitor_id) && $calling != 'robotspider')
  {
   $stamp_today = $my_timestamp->year.'-'.$my_timestamp->month.'-'.$my_timestamp->day;	
  
   $sql = "SELECT MAX(visitor_id) FROM $my_tables->maintable 
   	   WHERE visitor_ip = '$visitor_data->visitor_ip'
    	   AND visitor_date = '$stamp_today'
    	   AND websitename = '$websitename'";
    
   @$result = $my_db->query($sql);
   @$visitor_data->visitor_id = mysql_result($result,0,0);  
  }
 
  // connect to database again -> plugin-module might have connected to another database 
  if ($plugin_type != 'STANDARD' && $other_database == 'TRUE')
  {
   @$my_db    = new binarystat_db;
   @$my_conn  = $my_db->connect();
  }
  
  // save tracking information to database
  $sql 	= "INSERT INTO $my_tables->trackingtable(visitor_id, visitor_type, visitor_timestamp, visitor_ip, visitor_webpage, visitor_realpagename, websitename) 
 	   VALUES('$visitor_data->visitor_id','$visitor_type', '$my_timestamp->now', '$visitor_data->visitor_ip', '$visitor_webpage', '$visitor_realpagename', '$websitename')"; 

  @$result = $my_db->query($sql);

  // increase number of impressions by 1 if visitor is NOT a robot/spider
  if ($visitor_type == 'HUMAN')
  {
   $targetstamp   = $my_timestamp->year."-".$my_timestamp->month."-".$my_timestamp->day;
   $sql 	  = "UPDATE $my_tables->transfertable SET numofpages = numofpages + 1
    		    WHERE transfer_timestamp = '$targetstamp' AND websitename = '$websitename'";
   @$result = $my_db->query($sql);
   
   // increase number if impressions in $my_tables->countertable, too.
   $sql 	  = "UPDATE $my_tables->countertable SET impressions = impressions + 1
    		     WHERE websitename = '$websitename'";
   @$result = $my_db->query($sql);
   
  } 
 }
 // end of function
}
?>